 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Aberlour =
{
  /* BMLevel */
  {
    "Aberlour",
    "Tobias Johansson",
    "xblast.useAberlour",
    "Rule the highland",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Aberlour,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_early_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_mayhem,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"karo_light", "Black", "Gold", "DarkOrange"}, 
     {"karo_light_S", "Black", "Gold", "DarkOrange"}, 
     {"pyramid", "Black", "MediumSeaGreen", "MediumSeaGreen"}, 
     {"pyramid_R", "Black", "MediumSeaGreen", "MediumSeaGreen"}, 
     {"extra", "Black", "Gold", "DodgerBlue"}, 
     {"extra_O", "Black", "Gold", "DodgerBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MAYHEM,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEget,
      { 15, 30, 45, 48, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,X,_,X,_,X,_,_,_,B, },
        { B,_,B,_,_,_,_,_,_,_,B,_,B, },
        { B,_,B,B,_,X,_,X,_,B,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,X,_,q,_,X,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,B,_,X,_,X,_,B,B,_,B, },
        { B,_,B,_,_,_,_,_,_,_,B,_,B, },
        { B,_,_,_,X,_,X,_,X,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
