/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData Alleys =
{
  /* BMLevel */
  {
    "Alleys",
    "Tobias Johansson",
    "xblast.useAlleys",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Alleys,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_3,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_ignite_all,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 2,
    {
      { 1, 7 },
      { 1, 5 },
      { 1, 3 },
      { 11, 7 },
      { 11, 5 },
      { 11, 3 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "Black", "DarkGray" },
      { "iron_floor_S", "Black", "Black", "DarkGray" },
      { "dark_block", "Black", "OrangeRed", "Red" },
      { "dark_block_R", "Black", "OrangeRed", "Red" },
      { "extra", "Black", "OrangeRed", "Gold" },
      { "extra_O", "Black", "OrangeRed", "Gold" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BUTTON,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 15, 30, 45, 60, 60 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,r,r,X,_,_,_,_,_,X,r,r,B, },
      { B,B,B,B,_,_,X,_,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,_,X,_,_,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,_,X,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,X,_,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,X,_,B,_,_,B,_,X,_,B, },
      { B,_,_,B,_,B,_,_,B,_,B,_,B, },
      { B,_,_,X,_,B,_,_,B,_,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
