/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData AmazingBlaze =
{
  /* BMLevel */
  {
    "Amazing Blaze",
    "Tobias Johansson",
    "xblast.useAmazingBlaze",
    "Don't trust walls",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &AmazingBlaze,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 15,
    {
      { 1, 1 },
      { 1, 7 },
      { 1, 13 },
      { 11, 1 },
      { 11, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    IllBomb, IllBomb, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "DodgerBlue", "GhostWhite" },
      { "rock_floor_S", "Black", "DodgerBlue", "GhostWhite" },
      { "jizz", "Black", "DodgerBlue", "Crimson" },
      { "jizz", "Black", "DodgerBlue", "Crimson" },
      { "chess_sphere", "Black", "PapayaWhip", "CornflowerBlue" },
      { "chess_sphere_O", "Black", "PapayaWhip", "CornflowerBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
      { "button_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,v,_,_,_,_,_,v,_,_,_,B, },
      { B,_,v,b,v,v,v,_,v,_,v,_,B, },
      { B,_,v,_,_,_,v,b,v,v,v,_,B, },
      { B,_,_,_,_,_,v,_,_,b,_,_,B, },
      { B,v,v,v,v,_,v,_,_,v,_,_,B, },
      { B,_,_,_,_,_,v,_,_,v,v,v,B, },
      { B,_,v,v,v,b,v,b,_,_,_,_,B, },
      { B,_,v,_,_,b,b,b,v,_,_,_,B, },
      { B,_,_,b,v,v,v,v,v,v,v,_,B, },
      { B,v,v,_,_,_,_,_,_,_,b,_,B, },
      { B,_,_,_,_,v,v,v,v,_,v,v,B, },
      { B,_,v,_,_,v,_,v,_,_,_,_,B, },
      { B,_,v,_,_,b,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
