 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData BlastersInDaHood =
{
  /* BMLevel */
  {
    "Blasters in da Hood",
    "Tobias Johansson",
    "xblast.useBlastersInDaHood",
    "Tell no tales",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &BlastersInDaHood,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_savage_compound,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"check", "Black", "DarkCyan", "SpringGreen"}, 
     {"check", "Black", "DarkCyan", "SpringGreen"}, 
     {"dark_house", "Black", "DarkGoldenrod", "Silver"}, 
     {"dark_house_R", "Black", "DarkGoldenrod", "Silver"}, 
     {"hex_extra", "Black", "SpringGreen", "Tomato"}, 
     {"hex_extra_O", "Black", "SpringGreen", "Tomato"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,B,B,_,B,B,_,B,_,B, },
        { B,_,B,_,B,B,_,B,B,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,B,_,B, },
        { B,_,B,B,_,B,_,B,_,B,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,B,_,B,_,B,_,B,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,B,B,_,B,B,_,B,_,B, },
        { B,_,B,_,B,B,_,_,_,_,B,_,B, },
        { B,_,_,_,_,_,_,B,B,_,_,_,B, },
        { B,_,B,_,B,B,_,B,B,_,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
