 /*
 * Level created by Storch 2.04
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData BombBoxes =
{
  /* BMLevel */
  {
    "Bomb Boxes",
    "Tobias Johansson",
    "xblast.useBombBoxes",
    "Have a look inside, if you dare",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &BombBoxes,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_solid,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_void,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 1,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_RC | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_contact,
    GoStop, FUSEshort,
    BMTnapalm, BMTnormal, BMTfirecracker,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "DarkGreen", "SpringGreen"}, 
     {"button_floor_S", "Black", "DarkGreen", "SpringGreen"}, 
     {"dark_block", "Black", "SpringGreen", "DarkTurquoise"}, 
     {"dark_block_R", "Black", "SpringGreen", "DarkTurquoise"}, 
     {"box", "Black", "Crimson", "Yellow"}, 
     {"box", "Black", "Crimson", "Yellow"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,X,_,_,X,_,_,_,_,B, },
        { B,_,X,_,_,_,_,_,X,_,_,X,B, },
        { B,_,_,_,_,X,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,X,_,X,_,_,B, },
        { B,_,_,X,_,X,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,X,X,_,_,_,B, },
        { B,_,_,_,X,_,X,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,X,_,B, },
        { B,_,X,_,X,_,X,_,_,X,_,_,B, },
        { B,_,X,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,X,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
