 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Boxer_Draw[]  =
{
  {6,2}, {2,7}, {10,7}, {6,12}
};

static BMPosition Boxer_Del[]  =
{
  {6,3}, {3,7}, {9,7}, {6,11}
};

static BMLevelData Boxer =
{
  /* BMLevel */
  {
    "Boxer",
    "Tor Andr",
    "xblast.useBoxer",
    "Don't get locked out",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Boxer,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_23,
    {GAME_TIME*0.2, 4, Boxer_Draw, },
    {GAME_TIME*0.1, 4, Boxer_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 2,
    {
      { 4, 4 },
      { 8, 10 },
      { 4, 10 },
      { 8, 4 },
      { 4, 7 },
      { 8, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Black", "Black"}, 
     {"iron_floor_S", "Black", "Black", "Black"}, 
     {"wall", "Black", "Red", "Black"}, 
     {"wall_R", "Black", "Red", "Black"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"rock_floor", "Black", "Green", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,q,r,b,r,r,b,r,r,b,r,q,B, },
        { B,b,_,_,_,_,_,_,_,_,_,b,B, },
        { B,r,_,B,B,B,B,B,B,B,_,r,B, },
        { B,r,_,B,_,_,_,_,_,B,_,r,B, },
        { B,r,_,B,_,_,_,_,_,B,_,r,B, },
        { B,r,_,B,_,_,_,_,_,B,_,r,B, },
        { B,b,_,B,_,_,_,_,_,B,_,b,B, },
        { B,r,_,B,_,_,_,_,_,B,_,r,B, },
        { B,r,_,B,_,_,_,_,_,B,_,r,B, },
        { B,r,_,B,_,_,_,_,_,B,_,r,B, },
        { B,r,_,B,B,B,B,B,B,B,_,r,B, },
        { B,b,_,_,_,_,_,_,_,_,_,b,B, },
        { B,q,r,b,r,r,b,r,r,b,r,q,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
