 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition CClub_Del[]  =
{
  {8,3}, {6,5}, {4,6}, {9,8}, {3,10}
};

static BMLevelData CClub =
{
  /* BMLevel */
  {
    "C club",
    "Tobias Johansson",
    "xblast.useCClub",
    "The fuse is short at C club",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &CClub,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_early_spiral,
    SCRAMBLE_VOID,
    {GAME_TIME*0.67, 5, CClub_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Black", "Black"}, 
     {"iron_floor_S", "Black", "Black", "Black"}, 
     {"dark_block", "Black", "Red", "Red"}, 
     {"dark_block_R", "Black", "Red", "Red"}, 
     {"bricks", "Black", "OrangeRed", "OrangeRed"}, 
     {"brick_O", "Black", "OrangeRed", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,q,r,q,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,q,_,_,_,_,_,_,B,B,_,q,B, },
        { B,r,_,_,_,_,_,B,_,_,B,r,B, },
        { B,q,_,_,_,B,B,_,_,_,B,q,B, },
        { B,_,_,_,B,_,_,_,_,_,B,_,B, },
        { B,_,_,B,_,_,_,_,_,B,_,_,B, },
        { B,_,B,_,_,_,_,_,_,B,_,_,B, },
        { B,q,B,_,_,_,_,_,_,B,_,q,B, },
        { B,r,_,B,B,_,_,_,_,_,_,r,B, },
        { B,q,_,_,_,_,_,_,_,_,_,q,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,q,r,q,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
