 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Checkers =
{
  /* BMLevel */
  {
    "Checkers",
    "Tor Andr",
    "xblast.useCheckers",
    "Get a bomb and some range",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Checkers,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_mayhem,
  special_key_void,
  },
  /* BMPlayerData */
  {
    0, 0,
    {
      { 1, 5 },
      { 1, 3 },
      { 1, 12 },
      { 1, 2 },
      { 1, 10 },
      { 1, 8 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "Peru", "White"}, 
     {"button_floor_S", "Black", "Peru", "White"}, 
     {"dark_block", "Black", "Peru", "SandyBrown"}, 
     {"dark_block_R", "Black", "Peru", "SandyBrown"}, 
     {"dark_block", "Black", "Black", "Black"}, 
     {"dark_block", "Black", "Black", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MAYHEM,
     {"button_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 16, 47, 51, 55, 55 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,b,X,X,X,X,X,X,X,q,B, },
        { B,_,v,v,X,_,_,X,v,v,X,q,B, },
        { B,_,v,v,X,_,_,X,v,v,X,q,B, },
        { B,_,_,b,X,v,v,X,_,_,X,q,B, },
        { B,_,_,r,X,v,v,X,_,_,X,q,B, },
        { B,_,v,v,X,_,_,X,v,v,X,q,B, },
        { B,_,v,v,X,_,_,X,v,v,X,q,B, },
        { B,_,_,b,X,v,v,X,_,_,X,q,B, },
        { B,_,_,r,X,v,v,X,_,_,X,q,B, },
        { B,_,v,v,X,_,_,X,v,v,X,q,B, },
        { B,_,v,v,X,_,_,X,v,v,X,q,B, },
        { B,_,_,b,X,v,v,X,_,_,X,q,B, },
        { B,_,_,r,X,v,v,X,_,_,X,q,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
