 /*
 * Level created by Storch 2 beta1
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Cowriter Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition CrimsonHorizon_Draw[]  =
{
  {3,3}, {4,3}, {5,3}, {6,3}, {7,3}, {8,3}, {9,3}, {3,4}, {4,4}, {5,4}, {6,4}, {7,4}, {8,4}, {9,4}, {3,5}, {4,5}, {5,5}, {6,5}, {7,5}, {8,5}, {9,5}, {3,6}, {4,6}, {5,6}, {6,6}, {7,6}, {8,6}, {9,6}, {3,7}, {4,7}, {5,7}, {6,7}, {7,7}, {8,7}, {9,7}, {3,8}, {4,8}, {5,8}, {6,8}, {7,8}, {8,8}, {9,8}, {3,9}, {4,9}, {5,9}, {6,9}, {7,9}, {8,9}, {9,9}, {3,10}, {4,10}, {5,10}, {6,10}, {7,10}, {8,10}, {9,10}, {3,11}, {4,11}, {5,11}, {6,11}, {7,11}, {8,11}, {9,11}
};

static BMPosition CrimsonHorizon_Del[]  =
{
  {5,2}, {6,2}, {7,2}, {2,6}, {10,6}, {2,7}, {10,7}, {2,8}, {10,8}, {5,12}, {6,12}, {7,12}
};

static BMLevelData CrimsonHorizon =
{
  /* BMLevel */
  {
    "Crimson Horizon",
    "Tobias Johansson",
    "xblast.useCrimsonHorizon",
    "Seek the walls",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &CrimsonHorizon,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    {GAME_TIME*0.33, 63, CrimsonHorizon_Draw, },
    {GAME_TIME*0.2, 12, CrimsonHorizon_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    2, 7,
    {
      { 3, 3 },
      { 9, 11 },
      { 3, 11 },
      { 9, 3 },
      { 3, 7 },
      { 9, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "Gray", "Black"}, 
     {"button_floor_S", "Black", "Gray", "Black"}, 
     {"dark_block", "Black", "Crimson", "Crimson"}, 
     {"dark_block_R", "Black", "Crimson", "Crimson"}, 
     {"box", "Black", "LightBlue", "Crimson"}, 
     {"box", "Black", "LightBlue", "Crimson"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Red", "Red", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 12, 25, 38, 51, 64 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,B,B,B,B,B,B,B,B,B,_,B, },
        { B,_,B,_,_,_,r,_,_,_,B,_,B, },
        { B,_,B,_,_,_,r,_,_,_,B,_,B, },
        { B,_,B,_,_,_,X,_,_,_,B,_,B, },
        { B,_,B,_,_,_,r,_,_,_,B,_,B, },
        { B,X,B,_,_,_,X,_,_,_,B,X,B, },
        { B,_,B,_,_,_,r,_,_,_,B,_,B, },
        { B,_,B,_,_,_,X,_,_,_,B,_,B, },
        { B,_,B,_,_,_,r,_,_,_,B,_,B, },
        { B,_,B,_,_,_,r,_,_,_,B,_,B, },
        { B,_,B,B,B,B,B,B,B,B,B,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
