 /*
 * Level created by Storch 2.11
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData DarkStreet =
{
  /* BMLevel */
  {
    "Dark Street",
    "Tobias Johansson",
    "xblast.useDarkStreet",
    "It's a dangerous neighborhood",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &DarkStreet,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_air,
  special_key_air,
  },
  /* BMPlayerData */
  {
    1, 2,
    {
      { 2, 1 },
      { 11, 13 },
      { 1, 13 },
      { 10, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "DimGray", "Black"}, 
     {"iron_floor_S", "Black", "DimGray", "Black"}, 
     {"wall", "Black", "SlateBlue", "Cyan"}, 
     {"wall_R", "Black", "SlateBlue", "Cyan"}, 
     {"dark_house", "Black", "DarkSlateGray", "Black"}, 
     {"dark_house", "Black", "DarkSlateGray", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_AIRPUMP,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 16, 32, 47, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,_,X,_,X,X,X,_,B,_,X,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,_,B,_,B,B,B,_,B,B,B,B, },
        { B,B,_,B,_,B,X,X,_,X,B,X,B, },
        { B,B,_,B,_,B,X,X,_,X,B,X,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,_,X,_,B,_,B,B,_,B, },
        { B,B,X,X,_,X,_,B,_,X,X,_,B, },
        { B,B,X,X,_,X,_,B,_,X,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,X,_,X,_,B,_,B,B,_,B, },
        { B,_,X,X,_,X,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
