/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData DevNull =
{
  /* BMLevel */
  {
    "/dev/null",
    "Tobias Johansson",
    "xblast.useDevNull",
    "Not a friendly place",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &DevNull,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 5,
    {
      { 1, 1 },
      { 1, 7 },
      { 1, 13 },
      { 11, 1 },
      { 11, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTfirecracker, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "Black", "DimGray" },
      { "rock_floor_S", "Black", "Black", "DimGray" },
      { "wall", "Black", "Black", "DimGray" },
      { "wall_R", "Black", "Black", "DimGray" },
      { "chess_sphere", "Black", "PapayaWhip", "CornflowerBlue" },
      { "chess_sphere_O", "Black", "PapayaWhip", "CornflowerBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
