 /*
 * Level created by Storch 2.04
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Everblasting_Del[]  =
{
  {5,5}, {7,5}, {5,7}, {7,7}, {5,9}, {7,9}
};

static BMLevelData Everblasting =
{
  /* BMLevel */
  {
    "Everblasting",
    "Tobias Johansson",
    "xblast.useEverblasting",
    "Long lasting blast",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Everblasting,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_solid,
    SCRAMBLE_VOID,
    {GAME_TIME*0.33, 6, Everblasting_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 20,
    {
      { 5, 6 },
      { 7, 8 },
      { 5, 8 },
      { 7, 6 },
      { 4, 7 },
      { 8, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"hole_floor", "Black", "MediumSpringGreen", "Gold"}, 
     {"hole_floor", "Black", "MediumSpringGreen", "Gold"}, 
     {"jizz", "Black", "MediumSpringGreen", "Coral"}, 
     {"hole_floor", "Black", "MediumSpringGreen", "Coral"}, 
     {"hex_extra", "Black", "MediumSpringGreen", "OrangeRed"}, 
     {"hex_extra_O", "Black", "MediumSpringGreen", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"score_floor", "Black", "Gray", "White"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 16, 32, 35, 43, 43 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
