/*
 * Level created by Storch 1.31
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData FlamesOfFury =
{
  /* BMLevel */
  {
    "Flames of Fury",
    "Tobias Johansson",
    "xblast.useFlamesOfFury",
    "Run for your lives",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &FlamesOfFury,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_life,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    4, 10,
    {
      { 11, 6 },
      { 11, 4 },
      { 11, 12 },
      { 11, 2 },
      { 11, 8 },
      { 11, 10 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTdestruction, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "PapayaWhip", "SpringGreen" },
      { "rock_floor_S", "Black", "PapayaWhip", "SpringGreen" },
      { "city_rip", "Black", "Cyan", "PapayaWhip" },
      { "city_rip_R", "Black", "Cyan", "PapayaWhip" },
      { "extra", "Black", "White", "Gray" },
      { "extra_O", "Black", "White", "Gray" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_LIFE,
      { "rock_floor", "Black", "Red", "Black" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,q,v,_,_,_,_,_,_,_,_,_,B, },
      { B,b,v,_,_,_,_,_,_,_,_,_,B, },
      { B,q,v,_,_,_,_,_,_,_,_,_,B, },
      { B,r,v,_,_,_,_,_,_,_,_,_,B, },
      { B,q,v,_,_,_,_,_,_,_,_,_,B, },
      { B,b,v,_,_,_,_,_,_,_,_,_,B, },
      { B,q,B,_,_,_,_,_,_,_,_,_,B, },
      { B,b,v,_,_,_,_,_,_,_,_,_,B, },
      { B,q,v,_,_,_,_,_,_,_,_,_,B, },
      { B,r,v,_,_,_,_,_,_,_,_,_,B, },
      { B,q,v,_,_,_,_,_,_,_,_,_,B, },
      { B,b,v,_,_,_,_,_,_,_,_,_,B, },
      { B,q,v,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
