 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Fragile =
{
  /* BMLevel */
  {
    "Fragile",
    "Tobias Johansson",
    "xblast.useFragile",
    "Don't touch the bombs!",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &Fragile,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_ignite_all,
  special_key_void,
  },
  /* BMPlayerData */
  {
    4, 8,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllMalfunction, IllMalfunction, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_randomdir, bomb_click_randomdir, bomb_click_contact,
    GoLeft, FUSElong,
    BMTnapalm, BMTnormal, BMTfirecracker,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "PaleTurquoise", "Coral"}, 
     {"iron_floor_S", "Black", "PaleTurquoise", "Coral"}, 
     {"bricks", "Black", "DimGray", "Cyan"}, 
     {"bricks", "Black", "DimGray", "Cyan"}, 
     {"chest", "Black", "Purple", "White"}, 
     {"chest_O", "Black", "Purple", "White"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BUTTON,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 8, 15, 15, 19, 23 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,B,_,_,_,_,B,_,_,B, },
        { B,_,X,_,_,_,B,_,_,_,_,_,B, },
        { B,B,_,_,X,X,_,_,X,_,_,B,B, },
        { B,_,_,_,_,_,X,_,_,B,_,_,B, },
        { B,_,_,X,X,_,_,_,_,_,_,X,B, },
        { B,_,X,_,_,B,_,_,B,_,_,_,B, },
        { B,_,_,B,_,_,X,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,B,_,B,B, },
        { B,_,_,X,_,_,B,_,X,X,_,_,B, },
        { B,_,_,_,B,_,_,_,_,B,_,_,B, },
        { B,_,X,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,B,_,_,B,_,X,_,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
