 /*
 * Level created by Storch 2.11
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Framework =
{
  /* BMLevel */
  {
    "Framework",
    "Tobias Johansson",
    "xblast.useFramework",
    "Empty playground",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Framework,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_lazy_compound_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_void,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    8, 5,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_rebound, bomb_click_none,
    GoStop, FUSElong,
    BMTnormal, BMTfungus, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"score_floor", "White", "Silver", "Maroon"}, 
     {"score_floor", "White", "Silver", "Maroon"}, 
     {"dark_block", "Black", "DimGray", "DimGray"}, 
     {"dark_block_R", "White", "DimGray", "DimGray"}, 
     {"extra", "Black", "DarkSlateGray", "DarkCyan"}, 
     {"extra_O", "White", "DarkSlateGray", "DarkCyan"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "White", "White", "White"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
