/*
 * Level created by Storch 1.33
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData FryEm =
{
  /* BMLevel */
  {
    "Fry 'em",
    "Tobias Johansson",
    "xblast.useFryEm",
    "Fast and evil blast",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &FryEm,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_lazy_compound_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_stun_others,
  special_key_teleport,
  },
  /* BMPlayerData */
  {
    3, 20,
    {
      { 2, 5 },
      { 10, 5 },
      { 2, 9 },
      { 6, 2 },
      { 10, 9 },
      { 6, 12 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_Teleport,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "dark_way", "Black", "DeepSkyBlue", "CornflowerBlue" },
      { "dark_way_S", "Black", "DeepSkyBlue", "CornflowerBlue" },
      { "dark_block", "Black", "PapayaWhip", "Chocolate" },
      { "dark_block_R", "Black", "PapayaWhip", "Chocolate" },
      { "chest", "Black", "PapayaWhip", "CornflowerBlue" },
      { "chest_O", "Black", "PapayaWhip", "CornflowerBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POW,
      { "dark_way", "Black", "DeepSkyBlue", "Navy" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEget,
      { 15, 30, 30, 45, 45 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,X,_,_,_,_,_,_,_,_,_,X,B, },
      { B,X,_,_,_,_,_,_,_,_,_,X,B, },
      { B,v,v,v,v,v,v,v,v,v,v,v,B, },
      { B,X,_,_,_,_,_,_,_,_,_,X,B, },
      { B,X,_,_,_,_,_,_,_,_,_,X,B, },
      { B,X,_,_,_,_,_,_,_,_,_,X,B, },
      { B,v,v,v,v,v,v,v,v,v,v,v,B, },
      { B,X,_,_,_,_,_,_,_,_,_,X,B, },
      { B,X,_,_,_,_,_,_,_,_,_,X,B, },
      { B,X,_,_,_,_,_,_,_,_,_,X,B, },
      { B,v,v,v,v,v,v,v,v,v,v,v,B, },
      { B,X,_,_,_,_,_,_,_,_,_,X,B, },
      { B,X,_,_,_,_,_,_,_,_,_,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
