 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition GITBB_Draw[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {11,1}, {1,2}, {2,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {10,2}, {11,2}, {1,3}, {11,3}, {1,4}, {2,4}, {10,4}, {11,4}, {1,5}, {2,5}, {10,5}, {11,5}, {1,6}, {2,6}, {10,6}, {11,6}, {1,7}, {2,7}, {10,7}, {11,7}, {1,8}, {2,8}, {10,8}, {11,8}, {1,9}, {2,9}, {10,9}, {11,9}, {1,10}, {2,10}, {10,10}, {11,10}, {1,11}, {10,11}, {11,11}, {1,12}, {2,12}, {4,12}, {5,12}, {6,12}, {7,12}, {8,12}, {10,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMPosition GITBB_Del[]  =
{
  {3,3}, {9,3}, {3,11}, {9,11}
};

static BMLevelData GITBB =
{
  /* BMLevel */
  {
    "G.I.T.B.B.",
    "Glaset",
    "xblast.useGITBB",
    "You will find out",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &GITBB,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.4, 73, GITBB_Draw, },
    {GAME_TIME*0.4, 4, GITBB_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_speed,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 5,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "DarkGreen", "Black"}, 
     {"iron_floor_S", "Black", "DarkGreen", "Black"}, 
     {"pyramid", "Black", "Black", "Black"}, 
     {"pyramid_R", "Black", "Black", "Black"}, 
     {"ghost_ci", "Black", "Black", "Maroon"}, 
     {"ghost_ci_R", "Black", "Black", "Maroon"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_SPEED,
     {"chess_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 16, 32, 32, 39, 39 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,B,_,_,_,_,_,B,_,_,B, },
        { B,_,B,B,_,_,_,_,_,B,B,_,B, },
        { B,_,_,_,X,B,X,B,X,_,_,_,B, },
        { B,_,_,_,B,B,X,B,B,_,_,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,_,_,X,X,q,X,X,_,_,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,_,_,B,B,X,B,B,_,_,_,B, },
        { B,_,_,_,X,B,X,B,X,_,_,_,B, },
        { B,_,B,B,_,_,_,_,_,B,B,_,B, },
        { B,_,_,B,_,_,_,_,_,B,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
