 /*
 * Level created by Storch 2.16 develop
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Handboll_Draw[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {11,1}, {1,2}, {2,2}, {3,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {9,2}, {10,2}, {11,2}, {1,3}, {2,3}, {11,3}, {1,4}, {2,4}, {11,4}, {1,5}, {2,5}, {11,5}, {1,6}, {2,6}, {11,6}, {1,7}, {2,7}, {11,7}, {1,8}, {2,8}, {11,8}, {1,9}, {2,9}, {11,9}, {1,10}, {2,10}, {11,10}, {1,11}, {2,11}, {11,11}, {1,12}, {2,12}, {3,12}, {4,12}, {5,12}, {6,12}, {7,12}, {8,12}, {9,12}, {10,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMPosition Handboll_Del[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {11,1}, {1,2}, {1,3}, {5,3}, {7,3}, {9,3}, {11,3}, {1,4}, {3,4}, {11,4}, {1,5}, {11,5}, {1,6}, {3,6}, {11,6}, {1,7}, {11,7}, {1,8}, {3,8}, {11,8}, {1,9}, {11,9}, {1,10}, {3,10}, {11,10}, {1,11}, {5,11}, {7,11}, {9,11}, {11,11}, {1,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMLevelData Handboll =
{
  /* BMLevel */
  {
    "Handboll",
    "Tor Andr",
    "xblast.useHandboll",
    "Madde i buren rena rama muren",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &Handboll,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.5, 71, Handboll_Draw, },
    {GAME_TIME*0.53, 52, Handboll_Del, },
  },
  /* BMFuncData */
  {
  special_init_nasty_walls,
  special_game_nasty_walls,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_randomdir, bomb_click_rebound, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "SeaGreen", "SeaGreen"}, 
     {"iron_floor_S", "Black", "SeaGreen", "SeaGreen"}, 
     {"dark_block", "Black", "Black", "Black"}, 
     {"dark_block_R", "Black", "Black", "Black"}, 
     {"bricks", "Black", "Chocolate", "Gold"}, 
     {"brick_O", "Black", "Chocolate", "Gold"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"dark_block", "Chocolate", "Gold", "Gold"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 32, 63, 63, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,B,B,v,B,v,B,v,B,_,B, },
        { B,_,_,v,X,X,X,X,X,X,X,_,B, },
        { B,_,_,B,X,X,X,X,X,X,X,_,B, },
        { B,_,_,v,X,X,X,X,X,X,X,_,B, },
        { B,_,_,B,X,X,X,X,X,X,X,_,B, },
        { B,_,_,v,X,X,X,X,X,X,X,_,B, },
        { B,_,_,B,X,X,X,X,X,X,X,_,B, },
        { B,_,_,v,X,X,X,X,X,X,X,_,B, },
        { B,_,_,B,B,v,B,v,B,v,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
