 /*
 * Level created by Storch 2.11
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition HappyFace_Draw[]  =
{
  {2,2}, {3,2}, {9,2}, {10,2}, {1,3}, {2,3}, {3,3}, {9,3}, {10,3}, {11,3}, {3,6}, {9,6}, {6,7}, {3,8}, {9,8}, {1,11}, {2,11}, {3,11}, {9,11}, {10,11}, {11,11}, {2,12}, {3,12}, {9,12}, {10,12}
};

static BMLevelData HappyFace =
{
  /* BMLevel */
  {
    "Happy Face",
    "Glaset",
    "xblast.useHappyFace",
    "Bomb it uper",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_SinglePlayer | GM_All,
    (void *) &HappyFace,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    {GAME_TIME*0.2, 25, HappyFace_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 10,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllRun, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_contact,
    GoStop, FUSElong,
    BMTnormal, BMTrandom, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Red", "Red", "Red"}, 
     {"iron_floor_S", "Red", "Red", "Red"}, 
     {"bricks", "Black", "Yellow", "Black"}, 
     {"bricks", "Red", "Yellow", "Black"}, 
     {"bricks", "Black", "Lime", "Black"}, 
     {"brick_O", "Red", "Lime", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Red", "Red", "Red"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,X,_,_,B,_,_,X,_,_,B, },
        { B,_,v,v,_,_,_,_,_,v,v,_,B, },
        { B,v,v,v,_,_,_,_,_,v,v,v,B, },
        { B,_,_,_,_,_,_,X,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,X,_,_,_,B, },
        { B,_,_,v,_,_,_,_,_,v,_,_,B, },
        { B,_,_,_,_,_,v,_,_,_,X,_,B, },
        { B,_,_,v,_,_,_,_,_,v,_,_,B, },
        { B,_,_,_,_,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,_,_,X,_,_,_,_,B, },
        { B,v,v,v,_,_,_,_,_,v,v,v,B, },
        { B,_,v,v,_,_,_,_,_,v,v,_,B, },
        { B,_,_,X,_,_,B,_,_,X,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
