 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Hatch =
{
  /* BMLevel */
  {
    "Hatch",
    "Tobias Johansson",
    "xblast.useHatch",
    "Break out quickly!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Hatch,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_solid,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_stun_others,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    2, 5,
    {
      { 4, 3 },
      { 8, 11 },
      { 4, 11 },
      { 8, 3 },
      { 3, 7 },
      { 9, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTrenovation, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"hex", "Black", "SpringGreen", "SpringGreen"}, 
     {"hex", "Black", "SpringGreen", "SpringGreen"}, 
     {"jizz", "Black", "SpringGreen", "Aquamarine"}, 
     {"hole_floor", "Black", "SpringGreen", "Aquamarine"}, 
     {"hex_extra", "Black", "SpringGreen", "Tomato"}, 
     {"hex_extra_O", "Black", "SpringGreen", "Tomato"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POW,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 16, 32, 32, 47, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,_,_,B,_,X,_,B,_,_,_,B, },
        { B,X,_,B,_,B,_,B,_,B,_,X,B, },
        { B,_,_,_,B,_,_,_,B,_,_,_,B, },
        { B,_,_,_,_,X,_,X,_,_,_,_,B, },
        { B,X,_,B,_,_,_,_,_,B,_,X,B, },
        { B,_,B,_,B,_,X,_,B,_,B,_,B, },
        { B,X,_,B,_,_,_,_,_,B,_,X,B, },
        { B,_,_,_,_,X,_,X,_,_,_,_,B, },
        { B,_,_,_,B,_,_,_,B,_,_,_,B, },
        { B,X,_,B,_,B,_,B,_,B,_,X,B, },
        { B,_,_,_,B,_,X,_,B,_,_,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
