 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData HexagonHell =
{
  /* BMLevel */
  {
    "Hexagon hell",
    "Tobias Johansson",
    "xblast.useHexagonHell",
    "Kick 'em carefully",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &HexagonHell,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_lazy_compound_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_special_bomb,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    1, 6,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_contact, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTgrenade, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"hole_floor", "Black", "MidnightBlue", "Gold"}, 
     {"hole_floor", "Black", "MidnightBlue", "Gold"}, 
     {"jizz", "Black", "MidnightBlue", "OrangeRed"}, 
     {"hole_floor", "Black", "MidnightBlue", "OrangeRed"}, 
     {"hex_extra", "Black", "MidnightBlue", "Lavender"}, 
     {"hex_extra_O", "Black", "MidnightBlue", "Lavender"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "Gray", "White"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 15, 23, 30, 38 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,B,_,_,_,_,_,_,_,B,_,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,X,_,_,B,_,B,_,B,_,_,X,B, },
        { B,_,_,_,X,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,B,_,B,_,_,_,_,B, },
        { B,_,B,_,_,_,X,_,_,_,B,_,B, },
        { B,_,_,_,_,B,_,B,_,_,_,_,B, },
        { B,_,_,_,X,_,_,_,X,_,_,_,B, },
        { B,X,_,_,B,_,B,_,B,_,_,X,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,_,B,_,_,_,_,_,_,_,B,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
