 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Inferno_Draw[]  =
{
  {4,4}, {5,4}, {6,4}, {7,4}, {8,4}, {4,5}, {5,5}, {6,5}, {7,5}, {8,5}, {4,6}, {5,6}, {6,6}, {7,6}, {8,6}, {4,7}, {5,7}, {6,7}, {7,7}, {8,7}, {4,8}, {5,8}, {6,8}, {7,8}, {8,8}, {4,9}, {5,9}, {6,9}, {7,9}, {8,9}, {4,10}, {5,10}, {6,10}, {7,10}, {8,10}
};

static BMLevelData Inferno =
{
  /* BMLevel */
  {
    "Inferno",
    "Tobias Johansson",
    "xblast.useInferno",
    "Time is short...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Inferno,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_constrict_wave,
    {GAME_TIME*0.75, 35, Inferno_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 10,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSElong,
    BMTgrenade, BMTnormal, BMTfirecracker,
  },
  /* BMGraphicsData */
  {
    {
     {"score_floor", "Yellow", "Red", "Red"}, 
     {"score_floor", "Yellow", "Red", "Red"}, 
     {"pyramid", "Black", "Red", "Red"}, 
     {"pyramid_R", "Yellow", "Red", "Red"}, 
     {"chest", "Black", "Black", "Gold"}, 
     {"chest_O", "Yellow", "Black", "Gold"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "Black", "Black"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 16, 32, 32, 32, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,X,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,X,_,_,X,_,B, },
        { B,_,X,_,_,X,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,X,_,X,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,X,_,B, },
        { B,_,_,_,X,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,X,_,X,_,B, },
        { B,_,_,_,_,X,_,X,_,_,_,_,B, },
        { B,_,X,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
