 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData JailBrake =
{
  /* BMLevel */
  {
    "JailBrake",
    "Tor Andr",
    "xblast.useJailBrake",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &JailBrake,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_special_bomb,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTrenovation, BMTgrenade,
  },
  /* BMGraphicsData */
  {
    {
     {"rock_floor", "Black", "White", "Cyan"}, 
     {"rock_floor_S", "Black", "White", "Cyan"}, 
     {"dark_block", "Black", "Black", "DimGray"}, 
     {"dark_block_R", "Black", "Black", "DimGray"}, 
     {"dark_block", "Black", "Black", "DarkGray"}, 
     {"dark_block", "Black", "Black", "DarkGray"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_CONSTR,
     {"score_floor", "Black", "Black", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 16, 32, 32, 39, 43 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,X,B,B,B,B,X,B,B,B,B,X,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,X,B,B,B,X,X,X,B,B,B,X,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,X,B,B,X,X,X,X,X,B,B,X,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,X,B,B,X,X,X,X,X,B,B,X,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,X,B,B,B,X,X,X,B,B,B,X,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,X,B,B,B,B,X,B,B,B,B,X,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
