/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData JoBurg =
{
  /* BMLevel */
  {
    "Jo'burg",
    "Penfold",
    "xblast.useJoBurg",
    "The safest areas in Jo'burg might not be safe enough...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &JoBurg,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_kick,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    2, 2,
    {
      { 1, 1 },
      { 11, 1 },
      { 1, 13 },
      { 11, 13 },
      { 2, 13 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTfirecracker, BMTconstruction,
  },
  /* BMGraphicsData */
  {
    {
      { "sphere_half", "Black", "Coral", "SteelBlue" },
      { "sphere_half_S", "Black", "Coral", "SteelBlue" },
      { "sphere_dark", "Black", "SteelBlue", "Black" },
      { "sphere_dark", "Black", "SteelBlue", "Black" },
      { "sphere_light", "Black", "SteelBlue", "Black" },
      { "sphere_light_O", "Black", "SteelBlue", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 10, 20, 30, 40, 50 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,B,B,B,B,B,_,_,_,B, },
      { B,B,B,_,X,B,B,B,X,_,B,B,B, },
      { B,b,b,B,_,_,B,_,_,B,r,r,B, },
      { B,_,_,X,B,X,X,X,B,X,_,_,B, },
      { B,_,s,X,_,_,_,_,_,X,s,_,B, },
      { B,X,X,X,B,_,_,_,B,X,X,X,B, },
      { B,r,s,X,_,_,X,_,_,X,s,r,B, },
      { B,X,X,X,B,_,_,_,B,X,X,X,B, },
      { B,_,s,X,_,_,_,_,_,X,s,_,B, },
      { B,_,_,X,B,X,X,X,B,X,_,_,B, },
      { B,r,r,B,_,_,B,_,_,B,b,b,B, },
      { B,B,B,_,X,B,B,B,X,_,B,B,B, },
      { B,_,_,_,B,B,B,B,B,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
