 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Klondike_Del[]  =
{
  {3,1}, {4,1}, {8,1}, {9,1}, {4,2}, {5,2}, {7,2}, {8,2}, {1,3}, {11,3}, {1,4}, {3,4}, {4,4}, {5,4}, {6,4}, {7,4}, {8,4}, {9,4}, {11,4}, {3,5}, {6,5}, {9,5}, {3,6}, {6,6}, {9,6}, {3,7}, {4,7}, {5,7}, {7,7}, {8,7}, {9,7}, {3,8}, {6,8}, {9,8}, {3,9}, {6,9}, {9,9}, {1,10}, {3,10}, {4,10}, {5,10}, {6,10}, {7,10}, {8,10}, {9,10}, {11,10}, {1,11}, {11,11}, {4,12}, {5,12}, {7,12}, {8,12}, {3,13}, {4,13}, {8,13}, {9,13}
};

static BMLevelData Klondike =
{
  /* BMLevel */
  {
    "Klondike",
    "Tobias Johansson",
    "xblast.useKlondike",
    "Don't panic",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Klondike,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_lazy_compound_f,
    SCRAMBLE_VOID,
    {GAME_TIME*0.02, 56, Klondike_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    2, 5,
    {
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Silver", "WhiteSmoke"}, 
     {"iron_floor_S", "Black", "Silver", "WhiteSmoke"}, 
     {"dark_block", "Black", "Gold", "DarkGoldenrod"}, 
     {"dark_block_R", "Black", "Gold", "DarkGoldenrod"}, 
     {"extra", "Black", "Chocolate", "Peru"}, 
     {"extra_O", "Black", "Chocolate", "Peru"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"score_floor", "Black", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 16, 32, 35, 51, 51 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,X,X,B,B,B,B,B,B,B,X,X,B, },
        { B,X,B,B,B,B,X,B,B,B,B,X,B, },
        { B,B,B,B,B,B,X,B,B,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,X,X,B,B,B,B,B,B,B,X,X,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,B,B,B,_,B,B,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,X,X,B,B,B,B,B,B,B,X,X,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,B,B,B,X,B,B,B,B,B,B, },
        { B,X,B,B,B,B,X,B,B,B,B,X,B, },
        { B,X,X,B,B,B,B,B,B,B,X,X,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
