/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData KrissKross =
{
  /* BMLevel */
  {
    "Kriss Kross",
    "Glaset",
    "xblast.useKrissKross",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &KrissKross,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_early_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_air,
  special_key_air,
  },
  /* BMPlayerData */
  {
    3, 3,
    {
      { 3, 6 },
      { 5, 6 },
      { 5, 8 },
      { 3, 8 },
      { 7, 8 },
      { 7, 6 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_none, bomb_click_thru,
    GoStop, FUSEshort,
    BMTnormal, BMTpyro, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "city_free", "Black", "LightPink", "Black" },
      { "city_free_S", "Black", "LightPink", "Black" },
      { "wall", "Black", "Violet", "Chocolate" },
      { "wall_R", "Black", "Violet", "Chocolate" },
      { "extra", "Black", "Red", "LawnGreen" },
      { "extra_O", "Black", "Red", "LawnGreen" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_AIRPUMP,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 21, 42, 42, 63, 63 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,s,X,B, },
      { B,s,B,_,B,_,B,_,B,_,B,X,B, },
      { B,X,s,_,s,_,s,_,s,_,X,X,B, },
      { B,r,B,_,B,_,B,_,B,r,b,B,B, },
      { B,r,B,_,B,_,B,_,B,s,b,B,B, },
      { B,r,X,_,B,_,X,_,B,r,b,B,B, },
      { B,s,B,X,B,X,B,X,B,r,s,B,B, },
      { B,r,B,_,X,_,B,_,X,r,b,B,B, },
      { B,r,B,_,B,_,B,_,B,s,b,B,B, },
      { B,r,B,_,B,_,B,_,B,r,b,B,B, },
      { B,X,s,_,s,_,s,_,s,_,X,X,B, },
      { B,s,B,_,B,_,B,_,B,_,B,X,B, },
      { B,_,_,_,_,_,_,_,_,_,s,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
