/*
 * Level created by Storch 1.31
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData Masquerade =
{
  /* BMLevel */
  {
    "Masquerade",
    "Tobias Johansson",
    "xblast.useMasquerade",
    "Watch that rebound",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Masquerade,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_quad,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_stun_others,
  special_key_void,
  },
  /* BMPlayerData */
  {
    10, 4,
    {
      { 4, 7 },
      { 6, 7 },
      { 4, 8 },
      { 4, 6 },
      { 6, 6 },
      { 6, 8 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_randomdir, bomb_click_randomdir, bomb_click_rebound,
    GoStop, FUSElong,
    BMTrandom, BMTnormal, BMTrandom,
  },
  /* BMGraphicsData */
  {
    {
      { "score_floor", "Black", "Cyan", "Black" },
      { "score_floor", "Black", "Cyan", "Black" },
      { "pyramid", "Black", "Teal", "Red" },
      { "pyramid_R", "Black", "Teal", "Red" },
      { "extra", "Black", "GhostWhite", "MidnightBlue" },
      { "extra_O", "Black", "GhostWhite", "MidnightBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POW,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 0, 21, 21, 42, 63 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,X,_,_,_,_,B, },
      { B,_,X,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,_,_,_,_,B,_,_,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,B,_,B, },
      { B,_,_,B,_,_,_,_,_,_,_,_,B, },
      { B,_,X,_,_,B,_,_,X,_,_,_,B, },
      { B,_,_,_,_,_,_,_,B,_,_,_,B, },
      { B,_,B,_,_,X,_,_,_,_,_,_,B, },
      { B,_,_,X,_,_,B,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,X,_,_,_,B, },
      { B,_,_,_,B,_,_,_,_,B,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
