/*

 * Level created by Storch 0.92 beta

 * Written by Tobias Johansson (d97tj@efd.lth.se)

 */



/* XBlast 2.6.beta level */

static BMLevelData MegaBlast =

{

  /* BMLevel */

  {

	 "MegaBlast",

    "Tor Andr",

	 "xblast.useMegaBlast",

	 "Full power...",

    GM_Random | GM_23456_Player | GM_All,

	 (void *) &MegaBlast,

    NULL,

  },

  /* BMShrinkData */

  {

    shrink_spiral,

    SCRAMBLE_VOID,

    SCRAMBLE_VOID,

  },

  /* BMFuncData */

  {

  special_init_special_bombs_30,

  special_game_void,

  special_extra_void,

  special_key_RC,

  },

  /* BMPlayerData */

  {

    9, 10,

    {

      { 2, 2 },

      { 10, 12 },

      { 2, 12 },

      { 10, 2 },

      { 5, 6 },

      { 7, 8 },

    },

    PM_Polar, 2,

    Healthy, Healthy, IF_RC | IF_Kick,

  },

  /* BMBombData */

  {

    bomb_click_snooker, bomb_click_contact, bomb_click_contact,

    GoStop, FUSEnormal,

    BMTnapalm, BMTrenovation, BMTrenovation,

  },

  /* BMGraphicsData */

  {

    {

      { "iron_floor", "Black", "LightSteelBlue", "SpringGreen" },

      { "iron_floor_S", "Black", "LightSteelBlue", "SpringGreen" },

      { "dark_block", "Black", "LightCoral", "IndianRed" },

      { "dark_block_R", "Black", "LightCoral", "IndianRed" },

      { "extra", "Black", "Sienna", "Black" },

      { "extra", "Black", "Sienna", "Black" },

      EXTRA_BOMB,

      EXTRA_RANGE,

      EXTRA_TRAP,

      EXTRA_BOMB,

      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },

    },

  },

  /* BMMapData */

  {

      ShadowFull, DEnone,

      { 0, 0, 0, 0, 0 },

      {

      { B,B,B,B,B,B,B,B,B,B,B,B,B, },

      { B,_,_,_,_,_,_,_,_,_,_,_,B, },

      { B,_,_,X,_,_,_,_,_,X,_,_,B, },

      { B,_,X,B,X,_,_,_,X,B,X,_,B, },

      { B,_,_,X,_,_,_,_,_,X,_,_,B, },

      { B,_,_,_,_,_,_,_,_,_,_,_,B, },

      { B,_,_,_,_,_,X,_,_,_,_,_,B, },

      { B,_,_,_,_,X,B,X,_,_,_,_,B, },

      { B,_,_,_,_,_,X,_,_,_,_,_,B, },

      { B,_,_,_,_,_,_,_,_,_,_,_,B, },

      { B,_,_,X,_,_,_,_,_,X,_,_,B, },

      { B,_,X,B,X,_,_,_,X,B,X,_,B, },

      { B,_,_,X,_,_,_,_,_,X,_,_,B, },

      { B,_,_,_,_,_,_,_,_,_,_,_,B, },

      { B,B,B,B,B,B,B,B,B,B,B,B,B, },

    },

  },

};

