 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Memento_Draw[]  =
{
  {1,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {11,1}, {1,3}, {11,3}, {1,4}, {11,4}, {1,5}, {11,5}, {1,7}, {11,7}, {1,9}, {11,9}, {1,10}, {11,10}, {1,11}, {11,11}, {1,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {11,13}
};

static BMLevelData Memento =
{
  /* BMLevel */
  {
    "Memento ",
    "Tor Andr",
    "xblast.useMemento",
    "Remember the scrambleDraw",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &Memento,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.33, 32, Memento_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_12,
  special_game_void,
  special_extra_invincible,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTdestruction, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "IndianRed", "Yellow"}, 
     {"iron_floor_S", "Black", "IndianRed", "Yellow"}, 
     {"bricks", "Black", "Black", "Cyan"}, 
     {"bricks", "Black", "Black", "Cyan"}, 
     {"bricks", "Black", "SaddleBrown", "Black"}, 
     {"brick_O", "Black", "SaddleBrown", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_INVINC,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 16, 32, 35, 35, 35 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,q,B,X,X,X,X,X,X,X,B,q,B, },
        { B,B,B,X,X,X,X,X,X,X,B,B,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,_,_,_,X,X,X,X,B, },
        { B,B,B,X,X,_,_,_,X,X,B,B,B, },
        { B,_,B,X,X,_,_,_,X,X,B,_,B, },
        { B,B,B,X,X,_,_,_,X,X,B,B,B, },
        { B,X,X,X,X,_,_,_,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,B,B,X,X,X,X,X,X,X,B,B,B, },
        { B,q,B,X,X,X,X,X,X,X,B,q,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
