/*
 * Level created by Storch 0.92 beta
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData NapalmGardens =
{
  /* BMLevel */
  {
    "Napalm Gardens",
    "Tobias Johansson",
    "xblast.useNapalmGardens",
    "Full Power Napalm",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &NapalmGardens,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    2, 10,
    {
      { 1, 3 },
      { 10, 2 },
      { 2, 12 },
      { 10, 12 },
      { 3, 7 },
      { 9, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_randomdir, bomb_click_none, bomb_click_thru,
    GoStop, FUSEnormal,
    BMTnapalm, BMTnormal, BMTnapalm,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor",   "Black", "BlueViolet", "SpringGreen" },
      { "iron_floor_S", "Black", "BlueViolet", "SpringGreen" },
      { "dark_block", "Black", "SpringGreen", "Aquamarine" },
      { "dark_block_R", "Black", "SpringGreen", "Aquamarine" },
      { "extra", "Black", "Gold", "OrangeRed" },
      { "extra_O", "Black", "Gold", "OrangeRed" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "Black", "White", "Gray50" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 10, 20, 30, 40, 50 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,q,r,b,r,b,_,_,_,_,_,X,B, },
      { B,B,B,B,B,B,B,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,e,X,e,_,_,_,_,B, },
      { B,B,B,_,_,X,q,X,_,_,B,B,B, },
      { B,_,_,_,_,e,X,e,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,B,_,_,_,_,_,B, },
      { B,_,_,_,_,_,B,_,_,_,_,_,B, },
      { B,X,_,_,_,_,B,_,_,_,_,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
