/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData OldGlen =
{
  /* BMLevel */
  {
    "Old Glen",
    "Tobias Johansson",
    "xblast.useOldGlen",
    "Old Glen is watching you",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &OldGlen,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_quad,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 1, 1 },
      { 1, 7 },
      { 1, 13 },
      { 11, 1 },
      { 11, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    IllReverse, IllReverse, IF_RC | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "karo_dark", "Black", "GhostWhite", "DarkSeaGreen" },
      { "karo_dark_S", "Black", "GhostWhite", "DarkSeaGreen" },
      { "wall", "Black", "FireBrick", "Black" },
      { "wall_R", "Black", "FireBrick", "Black" },
      { "chest", "Black", "Cyan", "Gold" },
      { "chest_O", "Black", "Cyan", "Gold" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 31, 62, 62, 62, 62 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,B,X,_,_,B,B,_,_,B, },
      { B,_,_,_,B,B,_,_,B,X,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,B,_,X,B,_,B,B,_,_,B, },
      { B,_,B,X,_,B,B,_,X,B,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,X,B,_,B,X,_,_,_,B, },
      { B,_,_,_,B,B,_,B,B,_,_,_,B, },
      { B,_,B,X,_,_,_,_,_,_,_,_,B, },
      { B,_,B,B,_,B,B,_,X,B,_,_,B, },
      { B,_,_,_,_,X,B,_,B,B,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
