 /*
 * Level created by Storch 2.15 Develop
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData OmpaOmpa =
{
  /* BMLevel */
  {
    "Ompa Ompa",
    "Glaset",
    "xblast.useOmpaOmpa",
    "Watch the Clock",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &OmpaOmpa,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    5, 5,
    {
      { 2, 2 },
      { 10, 12 },
      { 2, 12 },
      { 10, 2 },
      { 2, 7 },
      { 10, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_clockwise, bomb_click_contact,
    GoStop, FUSElong,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "LightSteelBlue", "SpringGreen"}, 
     {"iron_floor_S", "Black", "LightSteelBlue", "SpringGreen"}, 
     {"dark_block", "Black", "LightCoral", "IndianRed"}, 
     {"dark_block_R", "Black", "LightCoral", "IndianRed"}, 
     {"extra", "Black", "Sienna", "Black"}, 
     {"extra_O", "Black", "Sienna", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,_,_,_,B,_,_,_,B,B,B, },
        { B,B,_,_,_,_,_,_,_,_,_,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,B,_,_,_,B,B,B,_,_,_,B,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,_,_,_,_,_,_,_,_,_,B,B, },
        { B,B,B,_,_,_,B,_,_,_,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
