 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Playground =
{
  /* BMLevel */
  {
    "Playground",
    "Tobias Johansson",
    "xblast.usePlayground",
    "Let's have fun!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Playground,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 1, 7 },
      { 11, 7 },
      { 1, 7 },
      { 11, 7 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTfirecracker,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "LimeGreen", "ForestGreen"}, 
     {"button_floor_S", "Black", "LimeGreen", "ForestGreen"}, 
     {"dark_block", "Black", "Blue", "Blue"}, 
     {"dark_block_R", "Black", "Blue", "Blue"}, 
     {"dark_block", "Black", "SteelBlue", "SteelBlue"}, 
     {"dark_block", "Black", "SteelBlue", "SteelBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "SteelBlue", "SteelBlue", "SteelBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 15, 23, 30, 38 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,X,_,X,_,_,_,X,_,X,_,B, },
        { B,_,X,_,X,_,B,_,X,_,X,_,B, },
        { B,_,X,_,X,_,_,_,X,_,X,_,B, },
        { B,_,X,_,X,_,B,_,X,_,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,v,v,v,v,_,B,_,v,v,v,v,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,v,v,v,v,_,B,_,v,v,v,v,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,X,_,B,_,X,_,X,_,B, },
        { B,_,X,_,X,_,_,_,X,_,X,_,B, },
        { B,_,X,_,X,_,B,_,X,_,X,_,B, },
        { B,_,X,_,X,_,_,_,X,_,X,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
