 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Pursuit_Draw[]  =
{
  {3,5}, {5,5}, {7,5}, {9,5}, {3,9}, {5,9}, {7,9}, {9,9}
};

static BMPosition Pursuit_Del[]  =
{
  {3,3}, {5,3}, {7,3}, {9,3}, {3,7}, {5,7}, {7,7}, {9,7}, {3,11}, {5,11}, {7,11}, {9,11}
};

static BMLevelData Pursuit =
{
  /* BMLevel */
  {
    "Pursuit",
    "Tobias Johansson",
    "xblast.usePursuit",
    "Kick is king",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Pursuit,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    {GAME_TIME*0.45, 8, Pursuit_Draw, },
    {GAME_TIME*0.45, 12, Pursuit_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 4,
    {
      { 1, 1 },
      { 1, 1 },
      { 1, 1 },
      { 1, 1 },
      { 1, 1 },
      { 1, 1 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"hex", "Black", "DarkSlateGray", "Tomato"}, 
     {"hex", "Black", "DarkSlateGray", "Tomato"}, 
     {"hex_wall", "Black", "DarkSlateGray", "Red"}, 
     {"hex_wall", "Black", "DarkSlateGray", "Red"}, 
     {"hex_extra", "Black", "DarkSlateGray", "DeepSkyBlue"}, 
     {"hex_extra_O", "Black", "DarkSlateGray", "DeepSkyBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 32, 63, 63, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,X,_,_,_,_,_,_,_,_,B, },
        { B,_,_,X,_,_,_,_,_,_,_,_,B, },
        { B,X,X,B,_,B,_,B,_,B,_,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,_,B,_,B,_,B,_,B,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,q,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
