 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Quiz =
{
  /* BMLevel */
  {
    "Quiz",
    "Tobias Johansson",
    "xblast.useQuiz",
    "The Question is always there...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Quiz,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_extra,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_multiple,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 11, 1 },
      { 11, 13 },
      { 11, 13 },
      { 11, 1 },
      { 11, 1 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_contact, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnapalm, BMTnormal, BMTfirecracker,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Teal", "SpringGreen"}, 
     {"iron_floor_S", "Black", "Teal", "SpringGreen"}, 
     {"dark_block", "Black", "SpringGreen", "Aquamarine"}, 
     {"dark_block_R", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "DarkSlateGray", "Lime"}, 
     {"extra_O", "Black", "DarkSlateGray", "Lime"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MULTIPLE,
     {"extra", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 8, 15, 23, 30, 38 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,v,_,_,_,v,v,_,v,v,_,B, },
        { B,_,v,_,_,v,_,_,_,_,_,_,B, },
        { B,_,_,v,v,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,X,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,_,_,X,X,_,X,X,_,B, },
        { B,_,X,_,_,X,_,_,_,_,_,_,B, },
        { B,_,_,X,X,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,v,_,_,_,_,_,_,_,_,B, },
        { B,_,v,_,_,_,_,_,_,_,_,_,B, },
        { B,_,v,_,_,_,v,v,_,v,v,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
