/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData RingOfDeath =
{
  /* BMLevel */
  {
    "Ring of Death",
    "Tobias Johansson",
    "xblast.useRingOfDeath",
    "Beware!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &RingOfDeath,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_speed_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_poison,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 5, 5 },
      { 5, 7 },
      { 5, 9 },
      { 7, 5 },
      { 7, 7 },
      { 7, 9 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "chess_floor", "Black", "Chocolate", "Chocolate" },
      { "chess_floor_S", "Black", "Chocolate", "Chocolate" },
      { "city_rip", "Black", "LimeGreen", "Chocolate" },
      { "city_rip_R", "Black", "LimeGreen", "Chocolate" },
      { "chess_sphere", "Black", "Chocolate", "Chocolate" },
      { "chess_sphere_O", "Black", "Chocolate", "Chocolate" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POISON,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 63, 63 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,r,r,r,r,r,r,r,r,r,r,r,B, },
      { B,r,q,q,q,q,q,q,q,q,q,r,B, },
      { B,r,q,r,r,r,r,r,r,r,q,r,B, },
      { B,r,q,r,X,X,X,X,X,r,q,r,B, },
      { B,r,q,r,X,_,_,_,X,r,q,r,B, },
      { B,r,q,r,X,_,_,_,X,r,q,r,B, },
      { B,r,q,r,X,_,_,_,X,r,q,r,B, },
      { B,r,q,r,X,_,_,_,X,r,q,r,B, },
      { B,r,q,r,X,_,_,_,X,r,q,r,B, },
      { B,r,q,r,X,X,X,X,X,r,q,r,B, },
      { B,r,q,r,r,r,r,r,r,r,q,r,B, },
      { B,r,q,q,q,q,q,q,q,q,q,r,B, },
      { B,r,r,r,r,r,r,r,r,r,r,r,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
