 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition RolandGarros_Del[]  =
{
  {4,7}, {6,7}, {8,7}
};

static BMLevelData RolandGarros =
{
  /* BMLevel */
  {
    "Roland Garros",
    "Tor Andr",
    "xblast.useRolandGarros",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &RolandGarros,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_2_f,
    SCRAMBLE_VOID,
    {GAME_TIME*0.5, 3, RolandGarros_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_ignite_all,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 5,
    {
      { 3, 2 },
      { 4, 8 },
      { 9, 12 },
      { 8, 6 },
      { 3, 6 },
      { 9, 8 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "OrangeRed", "SpringGreen"}, 
     {"button_floor_S", "Black", "OrangeRed", "SpringGreen"}, 
     {"dark_block", "Black", "White", "White"}, 
     {"dark_block_R", "Black", "White", "White"}, 
     {"button_floor", "DimGray", "White", "White"}, 
     {"button_floor", "Black", "White", "White"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BUTTON,
     {"dark_block", "Black", "DarkGreen", "Green"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 15, 23, 26, 34 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,X,X,X,X,X,X,X,X,X,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,X,X,X,X,X,X,X,X,X,_,B, },
        { B,_,X,_,_,_,X,_,_,_,X,_,B, },
        { B,_,X,_,_,_,X,_,_,_,X,_,B, },
        { B,_,B,B,B,B,B,B,B,B,B,_,B, },
        { B,_,X,_,_,_,X,_,_,_,X,_,B, },
        { B,_,X,_,_,_,X,_,_,_,X,_,B, },
        { B,_,X,X,X,X,X,X,X,X,X,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,X,X,X,X,X,X,X,X,X,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
