 /*
 * Level created by Storch 2.10
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData SoccerField =
{
  /* BMLevel */
  {
    "Soccer field",
    "Tor Andr",
    "xblast.useSoccerField",
    "Don't run offside",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &SoccerField,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_stun_others,
  special_key_teleport,
  },
  /* BMPlayerData */
  {
    1, 8,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 6 },
      { 11, 8 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Teleport | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"rock_floor", "Black", "Green", "SpringGreen"}, 
     {"rock_floor_S", "Black", "Green", "SpringGreen"}, 
     {"dark_block", "Black", "Red", "FireBrick"}, 
     {"dark_block_R", "Black", "Red", "FireBrick"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POW,
     {"score_floor", "White", "White", "White"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEget,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,v,_,q,_,v,_,_,_,B, },
        { B,_,_,_,v,v,v,v,v,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,q,_,_,_,_,_,B, },
        { B,v,v,v,v,v,v,v,v,v,v,v,B, },
        { B,_,_,_,_,_,q,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,v,v,v,v,v,_,_,_,B, },
        { B,_,_,_,v,_,q,_,v,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
