 /*
 * Level created by Storch 2.04
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Spawner =
{
  /* BMLevel */
  {
    "Spawner",
    "Tobias Johansson",
    "xblast.useSpawner",
    "Growing and growing...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Spawner,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_outward_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_speed,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    2, 10,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSElong,
    BMTfungus, BMTfungus, BMTfungus,
  },
  /* BMGraphicsData */
  {
    {
     {"sphere_half", "Black", "DarkKhaki", "Black"}, 
     {"sphere_half_S", "Black", "DarkKhaki", "Black"}, 
     {"sphere_dark", "Black", "FireBrick", "Black"}, 
     {"sphere_dark", "Black", "FireBrick", "Black"}, 
     {"sphere_light", "Black", "SteelBlue", "Black"}, 
     {"sphere_light_O", "Black", "SteelBlue", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_SPEED,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 25, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,B,_,X,_,B,_,X,_,B, },
        { B,_,B,_,X,_,B,_,X,_,B,_,B, },
        { B,_,X,_,B,_,X,_,B,_,X,_,B, },
        { B,_,B,_,X,_,B,_,X,_,B,_,B, },
        { B,_,X,_,B,_,X,_,B,_,X,_,B, },
        { B,_,B,_,X,_,B,_,X,_,B,_,B, },
        { B,_,X,_,B,_,X,_,B,_,X,_,B, },
        { B,_,B,_,X,_,B,_,X,_,B,_,B, },
        { B,_,X,_,B,_,X,_,B,_,X,_,B, },
        { B,_,B,_,X,_,B,_,X,_,B,_,B, },
        { B,_,X,_,B,_,X,_,B,_,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
