 /*
 * Level created by Storch 2.10
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData SpeedTrack =
{
  /* BMLevel */
  {
    "Speed track",
    "Tor Andr",
    "xblast.useSpeedTrack",
    "Don't lose your speed",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &SpeedTrack,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_3,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_mayhem,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 2, 2 },
      { 10, 12 },
      { 2, 12 },
      { 10, 2 },
      { 2, 6 },
      { 10, 6 },
    },
    PM_Polar, 2,
    IllRun, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTgrenade,
  },
  /* BMGraphicsData */
  {
    {
     {"hex", "Black", "Gray", "DodgerBlue"}, 
     {"hex", "Black", "Gray", "DodgerBlue"}, 
     {"hex_wall", "Black", "Gray", "Tomato"}, 
     {"hex_wall", "Black", "Gray", "Tomato"}, 
     {"hex_extra", "Black", "Gray", "Yellow"}, 
     {"hex_extra_O", "Black", "Gray", "Yellow"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MAYHEM,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 25, 51, 57, 60, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,X,B,X,B,X,B,X,B,X,B,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,B,_,B,X,B,X,B,X,B,_,B,B, },
        { B,X,_,X,s,_,s,_,s,X,_,X,B, },
        { B,B,_,B,_,B,X,B,_,B,_,B,B, },
        { B,X,_,X,s,X,q,X,s,X,_,X,B, },
        { B,B,_,B,_,B,X,B,_,B,_,B,B, },
        { B,X,_,X,s,X,q,X,s,X,_,X,B, },
        { B,B,_,B,_,B,X,B,_,B,_,B,B, },
        { B,X,_,X,s,_,s,_,s,X,_,X,B, },
        { B,B,_,B,X,B,X,B,X,B,_,B,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,B,X,B,X,B,X,B,X,B,X,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
