 /*
 * Level created by Storch 2.11
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData SpiderWorld =
{
  /* BMLevel */
  {
    "Spider world",
    "Glaset",
    "xblast.useSpiderWorld",
    "Try to get the specials",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &SpiderWorld,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    3, 3,
    {
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTconstruction, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"mr_beam_free", "Black", "MediumBlue", "Crimson"}, 
     {"mr_beam_free", "Black", "MediumBlue", "Crimson"}, 
     {"mr_beam_tv", "Black", "Cyan", "Crimson"}, 
     {"mr_beam_tv", "Black", "Cyan", "Crimson"}, 
     {"mr_beam_bear", "Black", "PaleTurquoise", "Crimson"}, 
     {"mr_beam_bear_O", "Black", "PaleTurquoise", "Crimson"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "Chartreuse", "Orchid", "White"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,v,q,v,q,v,_,_,_,B, },
        { B,_,B,s,B,r,B,r,B,s,B,_,B, },
        { B,b,B,s,B,r,B,r,B,s,B,b,B, },
        { B,B,B,s,B,X,B,X,B,s,B,B,B, },
        { B,_,_,_,B,s,B,s,B,_,_,_,B, },
        { B,_,_,_,B,s,B,s,B,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,B,s,B,s,B,_,_,_,B, },
        { B,_,_,_,B,s,B,s,B,_,_,_,B, },
        { B,B,B,s,B,X,B,X,B,s,B,B,B, },
        { B,b,B,s,B,r,B,r,B,s,B,b,B, },
        { B,_,B,s,B,r,B,r,B,s,B,_,B, },
        { B,_,_,_,v,q,v,q,v,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
