 /*
 * Level created by Storch 2 beta1
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Cowriter Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Spirello2_Del[]  =
{
  {7,6}, {7,4}
};

static BMLevelData Spirello2 =
{
  /* BMLevel */
  {
    "Spirello2",
    "Tor Andr",
    "xblast.useSpirello2",
    "The return of Spirello",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Spirello2,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_outward_spiral,
    SCRAMBLE_VOID,
    {GAME_TIME*0.18, 2, Spirello2_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    5, 5,
    {
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_anticlockwise, bomb_click_none,
    GoStop, FUSElong,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "LightGrey", "Gray"}, 
     {"button_floor", "Black", "LightGrey", "Gray"}, 
     {"dark_block", "Black", "Lime", "Lime"}, 
     {"dark_block_R", "Black", "Lime", "Lime"}, 
     {"ghost_ci", "Black", "Blue", "Red"}, 
     {"ghost_ci_R", "Black", "Blue", "Red"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"lego_floor", "Black", "SteelBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 14, 29, 29, 29, 29 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,X,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,B,B,B,B,B,B,B,B,_,B, },
        { B,_,B,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,B,B,B,B,B,B,B,_,B, },
        { B,_,B,_,B,_,_,_,_,_,B,_,B, },
        { B,_,B,_,B,_,B,B,B,_,B,_,B, },
        { B,_,B,_,B,_,B,q,B,_,B,_,B, },
        { B,_,B,_,B,_,B,q,B,_,B,_,B, },
        { B,_,B,_,B,_,X,_,B,_,B,_,B, },
        { B,_,B,_,B,B,B,B,B,_,B,_,B, },
        { B,_,B,_,_,_,_,_,_,_,B,_,B, },
        { B,_,B,B,B,B,B,B,B,B,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,X,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
