/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData SuddenDeath =
{
  /* BMLevel */
  {
    "Sudden death",
    "Tor Andr",
    "xblast.useSuddenDeath",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &SuddenDeath,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_morph,
  special_key_morph,
  },
  /* BMPlayerData */
  {
    4, 6,
    {
      { 1, 1 },
      { 1, 7 },
      { 1, 13 },
      { 11, 1 },
      { 11, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTfungus, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "hex", "Black", "LavenderBlush", "Black" },
      { "hex", "Black", "LavenderBlush", "Black" },
      { "hex_wall", "Black", "GhostWhite", "Black" },
      { "hex_wall", "Black", "GhostWhite", "Black" },
      { "extra", "Black", "PapayaWhip", "CornflowerBlue" },
      { "extra_O", "Black", "PapayaWhip", "CornflowerBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MORPH,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 0, 15, 30, 45, 45 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,X,X,_,B,_,_,_,q,_,B, },
      { B,q,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,X,_,_,B, },
      { B,_,_,_,B,_,X,_,_,_,_,X,B, },
      { B,_,_,X,_,B,_,X,B,_,_,X,B, },
      { B,B,_,B,_,q,B,q,_,B,_,B,B, },
      { B,_,q,X,_,_,X,_,_,X,q,_,B, },
      { B,B,_,B,X,B,_,_,B,_,_,B,B, },
      { B,_,_,_,_,X,_,B,_,_,_,_,B, },
      { B,_,_,B,_,X,X,_,_,_,_,_,B, },
      { B,_,_,X,_,_,_,_,_,_,_,_,B, },
      { B,q,_,_,_,_,_,_,_,_,_,q,B, },
      { B,_,_,_,_,_,B,_,X,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
