 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData TeddybearChamber =
{
  /* BMLevel */
  {
    "Teddybear Chamber",
    "Tobias Johansson",
    "xblast.useTeddybearChamber",
    "Blast the bears!!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TeddybearChamber,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_lego,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_multiple,
  special_key_void,
  },
  /* BMPlayerData */
  {
    2, 4,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_randomdir, bomb_click_randomdir, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTpyro,
  },
  /* BMGraphicsData */
  {
    {
     {"mr_beam_free", "Black", "LightGreen", "Black"}, 
     {"mr_beam_free", "Black", "LightGreen", "Black"}, 
     {"mr_beam_tv", "Black", "LightGreen", "SlateGray"}, 
     {"mr_beam_tv", "Black", "LightGreen", "SlateGray"}, 
     {"mr_beam_bear", "Black", "LightGreen", "SaddleBrown"}, 
     {"mr_beam_bear_O", "Black", "LightGreen", "SaddleBrown"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MULTIPLE,
     {"mr_beam_bear", "Gray", "LightGreen", "White"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 7, 14, 17, 60, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,X,_,_,X,_,_,_,B, },
        { B,_,_,X,_,_,_,X,_,X,X,_,B, },
        { B,_,X,_,X,X,_,_,_,_,_,_,B, },
        { B,X,_,_,_,_,X,_,X,_,_,X,B, },
        { B,_,_,X,_,_,_,X,_,_,X,X,B, },
        { B,_,X,_,_,X,X,X,_,_,_,_,B, },
        { B,_,_,_,X,X,v,X,X,_,_,_,B, },
        { B,_,_,_,_,X,X,X,_,X,_,_,B, },
        { B,X,_,X,_,_,X,X,_,_,X,X,B, },
        { B,X,_,_,X,_,X,_,_,X,X,_,B, },
        { B,_,X,_,_,X,_,_,_,_,X,_,B, },
        { B,_,X,_,_,X,_,_,X,_,_,_,B, },
        { B,_,_,_,_,X,X,_,_,X,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
