 /*
 * Level created by Storch 2.10
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData TheDucks =
{
  /* BMLevel */
  {
    "The Ducks",
    "Tor Andr",
    "xblast.useTheDucks",
    "Run for a kick",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &TheDucks,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 11, 1 },
      { 11, 13 },
      { 11, 13 },
      { 11, 1 },
      { 11, 13 },
      { 11, 1 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTconstruction,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "MediumBlue", "SpringGreen"}, 
     {"iron_floor_S", "Black", "MediumBlue", "SpringGreen"}, 
     {"dark_block", "Black", "OrangeRed", "OrangeRed"}, 
     {"dark_block_R", "Black", "OrangeRed", "OrangeRed"}, 
     {"dark_block", "Black", "Gold", "Gold"}, 
     {"dark_block", "Black", "Gold", "Gold"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 8, 15, 15, 15, 62 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,q,_,X,X,_,_,B, },
        { B,_,B,B,B,X,X,X,X,X,_,_,B, },
        { B,_,B,X,X,X,X,X,X,X,_,_,B, },
        { B,_,_,B,X,X,_,_,_,_,_,_,B, },
        { B,_,_,_,B,B,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,B,B,_,_,_,_,_,_,B, },
        { B,_,_,B,X,X,_,_,_,_,_,_,B, },
        { B,_,B,X,X,X,X,X,X,X,_,_,B, },
        { B,_,B,B,B,X,X,X,X,X,_,_,B, },
        { B,_,_,_,_,_,q,_,X,X,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
