 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData TheKickContest =
{
  /* BMLevel */
  {
    "The Kick Contest",
    "Tor Andr",
    "xblast.useTheKickContest",
    "Just kick and hide",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TheKickContest,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    10, 30,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 6, 1 },
      { 6, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"score_floor", "Black", "Orchid", "DarkOrchid"}, 
     {"score_floor", "Black", "Orchid", "DarkOrchid"}, 
     {"pyramid", "Black", "SlateBlue", "Black"}, 
     {"pyramid_R", "Black", "SlateBlue", "Black"}, 
     {"extra", "Black", "Gold", "Yellow"}, 
     {"extra_O", "Black", "Gold", "Yellow"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,_,B,B,B,X,B,B,B,_,B,B, },
        { B,B,_,B,B,B,X,B,B,B,_,B,B, },
        { B,B,X,B,B,B,X,B,B,B,X,B,B, },
        { B,B,_,B,B,B,X,B,B,B,_,B,B, },
        { B,B,_,B,B,B,X,B,B,B,_,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
