/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData TheTunnels =
{
  /* BMLevel */
  {
    "The Tunnels",
    "Penfold",
    "xblast.useTheTunnels",
    "Don't be trapped",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TheTunnels,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    2, 15,
    {
      { 1, 1 },
      { 5, 1 },
      { 1, 13 },
      { 11, 1 },
      { 5, 13 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "dark_way", "Black", "Green", "Gray" },
      { "dark_way_S", "Black", "Green", "Gray" },
      { "r_i_p", "Black", "Gray", "Green" },
      { "r_i_p_R", "Black", "Gray", "Green" },
      { "pumpkin", "Black", "Goldenrod", "Green" },
      { "pumpkin_O", "Black", "Goldenrod", "Green" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "Black", "Black", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 0, 31, 31, 31, 31 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,B,b,B,_,B,q,B,b,B,_,B, },
      { B,_,B,r,B,_,B,X,B,r,B,_,B, },
      { B,_,B,X,B,_,B,X,B,X,B,_,B, },
      { B,_,B,b,B,_,B,X,B,b,B,_,B, },
      { B,_,B,X,B,_,B,X,B,X,B,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,X,B,_,B,X,B,X,B,_,B, },
      { B,_,B,b,B,_,B,X,B,b,B,_,B, },
      { B,_,B,X,B,_,B,X,B,X,B,_,B, },
      { B,_,B,r,B,_,B,X,B,r,B,_,B, },
      { B,_,B,b,B,_,B,q,B,b,B,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
