 /*
 * Level created by Storch 2.15 Develop
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Tigers_Draw[]  =
{
  {1,1}, {2,1}, {3,1}, {9,1}, {10,1}, {11,1}, {1,2}, {2,2}, {3,2}, {9,2}, {10,2}, {11,2}, {1,3}, {2,3}, {3,3}, {9,3}, {10,3}, {11,3}, {1,4}, {2,4}, {3,4}, {9,4}, {10,4}, {11,4}, {1,5}, {2,5}, {3,5}, {9,5}, {10,5}, {11,5}, {1,6}, {2,6}, {3,6}, {9,6}, {10,6}, {11,6}, {1,7}, {2,7}, {3,7}, {9,7}, {10,7}, {11,7}, {1,8}, {2,8}, {3,8}, {9,8}, {10,8}, {11,8}, {1,9}, {2,9}, {3,9}, {9,9}, {10,9}, {11,9}, {1,10}, {2,10}, {3,10}, {9,10}, {10,10}, {11,10}, {1,11}, {2,11}, {3,11}, {9,11}, {10,11}, {11,11}, {1,12}, {2,12}, {3,12}, {9,12}, {10,12}, {11,12}, {1,13}, {2,13}, {3,13}, {9,13}, {10,13}, {11,13}
};

static BMLevelData Tigers =
{
  /* BMLevel */
  {
    "Tigers",
    "Glaset",
    "xblast.useTigers",
    "Tigers are playing...",
    GM_Random | GM_23456_Player | GM_Single | GM_LR_Players,
    (void *) &Tigers,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.5, 78, Tigers_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    5, 15,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "BlueViolet", "SpringGreen"}, 
     {"iron_floor_S", "Black", "BlueViolet", "SpringGreen"}, 
     {"dark_block", "Black", "SpringGreen", "Aquamarine"}, 
     {"dark_block_R", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,v,_,_,_,_,_,_,_,B, },
        { B,_,_,_,v,v,v,v,_,_,_,_,B, },
        { B,_,_,_,v,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,v,v,v,v,_,_,_,_,B, },
        { B,_,_,_,v,_,v,_,_,_,_,_,B, },
        { B,_,_,_,v,v,v,v,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,v,v,v,v,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,v,v,v,v,_,_,_,_,B, },
        { B,_,_,_,v,_,v,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
