 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData ToraBora =
{
  /* BMLevel */
  {
    "Tora Bora",
    "Tobias Johansson",
    "xblast.useToraBora",
    "Just bomb them!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &ToraBora,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_air,
  },
  /* BMPlayerData */
  {
    3, 3,
    {
      { 1, 1 },
      { 1, 11 },
      { 1, 13 },
      { 1, 3 },
      { 1, 8 },
      { 1, 6 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Airpump,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_contact, bomb_click_none,
    GoStop, FUSEnormal,
    BMTgrenade, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"score_floor", "SaddleBrown", "BurlyWood", "BurlyWood"}, 
     {"score_floor", "SaddleBrown", "BurlyWood", "BurlyWood"}, 
     {"pyramid", "Black", "DarkGoldenrod", "Silver"}, 
     {"pyramid_R", "SaddleBrown", "DarkGoldenrod", "Silver"}, 
     {"bricks", "Black", "DarkGoldenrod", "Silver"}, 
     {"brick_O", "SaddleBrown", "DarkGoldenrod", "Silver"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "DodgerBlue", "DodgerBlue", "DodgerBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,X,_,_,B,B,_,B, },
        { B,_,_,_,_,_,B,X,X,X,B,_,B, },
        { B,_,_,_,_,X,X,X,B,X,_,X,B, },
        { B,_,_,_,_,X,B,X,X,B,_,X,B, },
        { B,_,_,_,_,_,B,_,X,B,_,B,B, },
        { B,_,_,_,_,X,X,B,X,B,_,X,B, },
        { B,_,_,_,_,X,X,B,X,X,X,_,B, },
        { B,_,_,_,_,_,_,X,X,_,X,B,B, },
        { B,_,_,_,_,X,X,B,X,B,X,X,B, },
        { B,_,_,_,_,_,X,_,X,_,X,B,B, },
        { B,_,_,_,_,_,X,B,B,X,B,X,B, },
        { B,_,_,_,_,_,X,X,_,X,X,_,B, },
        { B,_,_,_,_,_,_,X,B,_,B,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
