 /*
 * Level created by Storch 2.11
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData TriangleTraffic =
{
  /* BMLevel */
  {
    "Triangle Traffic",
    "Glaset",
    "xblast.useTriangleTraffic",
    "Bombas",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &TriangleTraffic,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 1, 7 },
      { 1, 7 },
      { 1, 7 },
      { 1, 7 },
      { 1, 7 },
      { 1, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_thru,
    GoDown, FUSEnormal,
    BMTnormal, BMTconstruction, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"karo_light", "Black", "White", "Gray"}, 
     {"karo_light_S", "Black", "White", "Gray"}, 
     {"temple", "Black", "White", "Gray"}, 
     {"temple", "Black", "White", "Gray"}, 
     {"extra", "Black", "White", "Gray"}, 
     {"extra_O", "Black", "White", "Gray"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 25, 51, 51, 57, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,_,X,X,X,X,X,X,X,X,X,X,B, },
        { B,_,_,X,X,X,X,X,X,X,X,X,B, },
        { B,_,_,_,X,X,X,X,X,X,X,X,B, },
        { B,_,_,_,_,X,X,X,X,X,X,X,B, },
        { B,_,_,_,_,_,X,X,X,X,X,X,B, },
        { B,_,_,_,_,_,_,X,X,X,X,X,B, },
        { B,_,_,_,_,_,X,X,X,X,X,X,B, },
        { B,_,_,_,_,X,X,X,X,X,X,X,B, },
        { B,_,_,_,X,X,X,X,X,X,X,X,B, },
        { B,_,_,X,X,X,X,X,X,X,X,X,B, },
        { B,_,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
