 /*
 * Level created by Storch 2.02
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Cowriter Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition TrickyRunner_Draw[]  =
{
  {6,1}, {5,2}, {6,2}, {7,2}, {6,4}, {7,4}, {9,4}, {2,5}, {4,5}, {5,5}, {11,5}, {1,6}, {4,6}, {8,6}, {10,6}, {3,7}, {6,7}, {8,7}, {1,8}, {5,8}, {9,8}, {11,8}, {2,9}, {7,9}, {5,10}, {7,10}, {8,10}, {10,10}, {5,11}, {6,12}, {4,13}
};

static BMPosition TrickyRunner_Del[]  =
{
  {3,2}, {9,2}, {3,12}, {9,12}
};

static BMLevelData TrickyRunner =
{
  /* BMLevel */
  {
    "Tricky runner",
    "Tor Andr",
    "xblast.useTrickyRunner",
    "Be patient",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &TrickyRunner,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_speed_spiral,
    {GAME_TIME*0.04, 31, TrickyRunner_Draw, },
    {GAME_TIME*0.07, 4, TrickyRunner_Del, },
  },
  /* BMFuncData */
  {
  special_init_special_bombs_12,
  special_game_void,
  special_extra_void,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    4, 4,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTconstruction, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "MediumBlue", "SpringGreen"}, 
     {"button_floor_S", "Black", "MediumBlue", "SpringGreen"}, 
     {"pyramid", "Black", "DarkGreen", "Green"}, 
     {"pyramid_R", "Black", "DarkGreen", "Green"}, 
     {"extra", "Black", "White", "Navy"}, 
     {"extra_O", "Black", "White", "Navy"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 3, 7, 7, 7, 7 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,b,B,_,_,_,_,_,B,b,_,B, },
        { B,r,X,B,_,_,_,_,_,B,X,r,B, },
        { B,B,B,B,_,_,_,_,_,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,_,_,_,_,_,B,B,B,B, },
        { B,r,X,B,_,_,_,_,_,B,X,r,B, },
        { B,_,b,B,_,_,_,_,_,B,b,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
