 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition TwoFaces_Del[]  =
{
  {6,1}, {6,3}, {6,5}, {6,7}, {6,9}, {6,11}, {6,13}
};

static BMLevelData TwoFaces =
{
  /* BMLevel */
  {
    "Two faces",
    "Tor Andr",
    "xblast.useTwoFaces",
    "Get a life",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TwoFaces,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down,
    SCRAMBLE_VOID,
    {GAME_TIME*0.43, 7, TwoFaces_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_life,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 5,
    {
      { 1, 1 },
      { 1, 11 },
      { 1, 13 },
      { 1, 3 },
      { 1, 9 },
      { 1, 5 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_thru,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "DarkBlue", "SpringGreen"}, 
     {"button_floor_S", "Black", "DarkBlue", "SpringGreen"}, 
     {"dark_block", "Black", "Yellow", "Yellow"}, 
     {"dark_block_R", "Black", "Yellow", "Yellow"}, 
     {"chest", "Black", "Peru", "Brown"}, 
     {"chest_O", "Black", "Peru", "Brown"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_LIFE,
     {"downarrow", "Black", "White", "DarkBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 32, 63, 63, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,B,r,r,_,B,_,B, },
        { B,_,_,_,_,_,B,q,X,r,_,_,B, },
        { B,_,_,_,_,_,B,r,r,_,B,_,B, },
        { B,_,_,_,_,_,B,q,X,r,_,_,B, },
        { B,_,_,_,_,_,B,r,r,_,B,_,B, },
        { B,_,_,_,_,_,B,q,X,r,_,_,B, },
        { B,_,_,_,_,_,B,r,r,_,B,_,B, },
        { B,_,_,_,_,_,B,q,X,r,_,_,B, },
        { B,_,_,_,_,_,B,r,r,_,B,_,B, },
        { B,_,_,_,_,_,B,q,X,r,_,_,B, },
        { B,_,_,_,_,_,B,r,r,_,B,_,B, },
        { B,_,_,_,_,_,B,q,X,r,_,_,B, },
        { B,_,_,_,_,_,B,r,r,_,B,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
