 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Unholy_Draw[]  =
{
  {5,3}, {5,5}, {5,7}, {5,9}, {5,11}
};

static BMLevelData Unholy =
{
  /* BMLevel */
  {
    "Unholy",
    "Tobias Johansson",
    "xblast.useUnholy",
    "Not every grail is holy",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Unholy,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_3,
    {GAME_TIME*0.03, 5, Unholy_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_holy_grail,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 11, 4 },
      { 11, 10 },
      { 11, 12 },
      { 11, 2 },
      { 11, 8 },
      { 11, 6 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"city_free", "Black", "DarkTurquoise", "SteelBlue"}, 
     {"city_free_S", "Black", "DarkTurquoise", "SteelBlue"}, 
     {"city_rip", "Black", "MediumVioletRed", "DarkTurquoise"}, 
     {"city_rip_R", "Black", "MediumVioletRed", "DarkTurquoise"}, 
     {"chest", "Black", "SteelBlue", "Black"}, 
     {"chest_O", "Black", "SteelBlue", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_HOLYGRAIL,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,X,X,B, },
        { B,_,_,_,_,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,q,X,_,_,_,X,X,B, },
        { B,_,_,_,_,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,q,X,_,_,_,X,X,B, },
        { B,_,_,_,_,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,q,X,_,_,_,X,X,B, },
        { B,_,_,_,_,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,q,X,_,_,_,X,X,B, },
        { B,_,_,_,_,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,q,X,_,_,_,X,X,B, },
        { B,_,_,_,_,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,X,X,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
