 /*
 * Level created by Storch 2.04
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData UpNDown =
{
  /* BMLevel */
  {
    "Up'n'down",
    "Tobias Johansson",
    "xblast.useUpNDown",
    "It's bouncing...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &UpNDown,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_special_bomb,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    3, 25,
    {
      { 2, 2 },
      { 10, 12 },
      { 2, 12 },
      { 10, 2 },
      { 2, 7 },
      { 10, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_rebound, bomb_click_thru,
    GoDown, FUSElong,
    BMTnormal, BMTnapalm, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"check", "Black", "DarkGreen", "Gray"}, 
     {"check", "Black", "DarkGreen", "Gray"}, 
     {"uparrow", "Black", "Cyan", "Yellow"}, 
     {"uparrow", "Black", "Cyan", "Yellow"}, 
     {"box", "Black", "White", "Gray"}, 
     {"box", "Black", "White", "Gray"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"downarrow", "Black", "Red", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 47, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,v,v,v,v,v,v,v,v,v,v,v,B, },
        { B,v,_,_,_,_,_,_,_,_,_,v,B, },
        { B,v,_,_,v,X,X,X,B,_,_,v,B, },
        { B,v,_,_,B,_,_,_,v,_,_,v,B, },
        { B,v,_,_,v,_,_,_,B,_,_,v,B, },
        { B,v,_,_,B,_,_,_,v,_,_,v,B, },
        { B,v,_,_,v,_,_,_,B,_,_,v,B, },
        { B,v,_,_,B,_,_,_,v,_,_,v,B, },
        { B,v,_,_,v,_,_,_,B,_,_,v,B, },
        { B,v,_,_,B,X,X,X,v,_,_,v,B, },
        { B,v,_,_,_,_,_,_,_,_,_,v,B, },
        { B,v,_,_,_,_,_,_,_,_,_,v,B, },
        { B,v,v,v,v,v,v,v,v,v,v,v,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
