/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData Upstairs =
{
  /* BMLevel */
  {
    "Upstairs",
    "Tobias Johansson",
    "xblast.useUpstairs",
    "Stay on top",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Upstairs,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 8,
    {
      { 1, 1 },
      { 1, 7 },
      { 1, 13 },
      { 11, 1 },
      { 11, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "dark_block", "Black", "LightCoral", "IndianRed" },
      { "dark_block", "Black", "LightCoral", "IndianRed" },
      { "iron_floor", "Black", "LightSteelBlue", "SpringGreen" },
      { "iron_floor_S", "Black", "LightSteelBlue", "SpringGreen" },
      { "extra", "Black", "Sienna", "Black" },
      { "extra_O", "Black", "Sienna", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,B,B,B,B,B,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,B,B,B, },
      { B,B,B,B,_,B,_,B,B,_,_,_,B, },
      { B,_,_,_,_,B,_,B,_,_,B,B,B, },
      { B,B,B,_,B,B,_,_,_,_,B,B,B, },
      { B,B,B,_,_,_,_,_,_,_,B,B,B, },
      { B,_,_,_,_,B,_,_,_,_,_,_,B, },
      { B,B,B,B,_,B,B,B,_,B,B,B,B, },
      { B,B,B,B,_,_,_,_,_,_,B,B,B, },
      { B,_,_,_,_,_,B,_,B,B,B,B,B, },
      { B,B,B,_,B,_,B,_,_,_,_,_,B, },
      { B,B,B,_,B,_,B,B,B,_,B,_,B, },
      { B,_,_,_,B,_,B,B,B,_,B,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
