 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition VillaVictoria_Draw[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {8,1}, {9,1}, {10,1}, {11,1}, {1,2}, {6,2}, {8,2}, {11,2}, {1,3}, {3,3}, {4,3}, {5,3}, {6,3}, {7,3}, {8,3}, {9,3}, {11,3}, {1,4}, {2,4}, {3,4}, {9,4}, {11,4}, {3,5}, {9,5}, {11,5}, {1,6}, {2,6}, {3,6}, {9,6}, {10,6}, {11,6}, {1,7}, {3,7}, {9,7}, {1,8}, {3,8}, {9,8}, {1,9}, {2,9}, {3,9}, {9,9}, {10,9}, {11,9}, {3,10}, {9,10}, {11,10}, {1,11}, {2,11}, {3,11}, {4,11}, {5,11}, {6,11}, {7,11}, {8,11}, {9,11}, {11,11}, {1,12}, {3,12}, {6,12}, {9,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {9,13}, {10,13}, {11,13}
};

static BMPosition VillaVictoria_Del[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {8,1}, {9,1}, {10,1}, {11,1}, {1,2}, {6,2}, {8,2}, {11,2}, {1,3}, {8,3}, {11,3}, {1,4}, {2,4}, {11,4}, {11,5}, {1,6}, {2,6}, {10,6}, {11,6}, {1,7}, {1,8}, {1,9}, {2,9}, {10,9}, {11,9}, {11,10}, {1,11}, {2,11}, {11,11}, {1,12}, {3,12}, {6,12}, {9,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {9,13}, {10,13}, {11,13}
};

static BMLevelData VillaVictoria =
{
  /* BMLevel */
  {
    "Villa Victoria",
    "Tobias Johansson",
    "xblast.useVillaVictoria",
    "Nice and cozy",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &VillaVictoria,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_early_spiral,
    {GAME_TIME*0.85, 76, VillaVictoria_Draw, },
    {GAME_TIME*0.67, 49, VillaVictoria_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_special_bomb,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    8, 1,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllMalfunction, IllMalfunction, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_clockwise, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTpyro, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Moccasin", "Brown"}, 
     {"iron_floor_S", "Black", "Moccasin", "Brown"}, 
     {"dark_block", "Black", "HotPink", "HotPink"}, 
     {"dark_block_R", "Black", "HotPink", "HotPink"}, 
     {"extra", "Black", "Indigo", "Pink"}, 
     {"extra_O", "Black", "Indigo", "Pink"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_FIRECRACKER,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 47, 47, 47, 47, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,X,_,X,_,_,_,_,B, },
        { B,_,_,_,X,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,X,X,X,_,_,_,_,B, },
        { B,_,_,X,_,X,_,X,_,X,_,_,B, },
        { B,_,_,_,_,X,X,X,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,X,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,X,_,X,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
