 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition VarendsvallenPlanB_Draw[]  =
{
  {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {1,2}, {2,2}, {3,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {9,2}, {10,2}, {11,2}, {1,3}, {2,3}, {3,3}, {4,3}, {5,3}, {6,3}, {7,3}, {8,3}, {9,3}, {10,3}, {11,3}, {1,4}, {2,4}, {3,4}, {9,4}, {10,4}, {11,4}, {1,5}, {2,5}, {3,5}, {9,5}, {10,5}, {11,5}, {1,6}, {2,6}, {3,6}, {9,6}, {10,6}, {11,6}, {1,7}, {2,7}, {3,7}, {9,7}, {10,7}, {11,7}, {1,8}, {2,8}, {3,8}, {9,8}, {10,8}, {11,8}, {1,9}, {2,9}, {3,9}, {9,9}, {10,9}, {11,9}, {1,10}, {2,10}, {3,10}, {9,10}, {10,10}, {11,10}, {1,11}, {2,11}, {3,11}, {4,11}, {5,11}, {6,11}, {7,11}, {8,11}, {9,11}, {10,11}, {11,11}, {1,12}, {2,12}, {3,12}, {4,12}, {5,12}, {6,12}, {7,12}, {8,12}, {9,12}, {10,12}, {11,12}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}
};

static BMPosition VarendsvallenPlanB_Del[]  =
{
  {9,1}, {10,1}, {2,2}, {3,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {9,2}, {11,2}, {2,3}, {7,3}, {11,3}, {1,4}, {2,4}, {11,4}, {1,5}, {7,5}, {11,5}, {1,6}, {2,6}, {3,6}, {5,6}, {6,6}, {7,6}, {11,6}, {1,7}, {5,7}, {7,7}, {11,7}, {1,8}, {5,8}, {6,8}, {7,8}, {9,8}, {10,8}, {11,8}, {1,9}, {2,9}, {5,9}, {7,9}, {11,9}, {2,10}, {7,10}, {11,10}, {2,11}, {5,11}, {7,11}, {11,11}, {2,12}, {3,12}, {4,12}, {5,12}, {6,12}, {7,12}, {11,12}, {7,13}, {8,13}, {9,13}, {10,13}
};

static BMLevelData VarendsvallenPlanB =
{
  /* BMLevel */
  {
    "Vrendsvallen Plan B",
    "Glaset",
    "xblast.useVarendsvallenPlanB",
    ":) Blast throw.",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &VarendsvallenPlanB,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down,
    {GAME_TIME*0.1, 104, VarendsvallenPlanB_Draw, },
    {GAME_TIME*0.13, 61, VarendsvallenPlanB_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_teleport,
  },
  /* BMPlayerData */
  {
    6, 10,
    {
      { 3, 3 },
      { 9, 11 },
      { 9, 3 },
      { 3, 11 },
      { 1, 13 },
      { 11, 1 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_Teleport | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnapalm, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"ghost", "Black", "ForestGreen", "Black"}, 
     {"ghost", "Black", "ForestGreen", "Black"}, 
     {"ghost_sq", "Black", "ForestGreen", "FireBrick"}, 
     {"ghost_sq_R", "Black", "ForestGreen", "FireBrick"}, 
     {"ghost_ci", "Black", "ForestGreen", "RoyalBlue"}, 
     {"ghost_ci_R", "Black", "ForestGreen", "RoyalBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "Black", "Black"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,v,v,v,_,v,_,_,_,B, },
        { B,_,_,_,v,v,v,v,v,_,_,_,B, },
        { B,_,_,_,_,v,v,v,v,_,_,_,B, },
        { B,_,_,_,v,v,v,v,v,_,_,_,B, },
        { B,_,_,_,v,v,v,v,_,_,_,_,B, },
        { B,_,_,_,v,v,v,v,v,_,_,_,B, },
        { B,_,_,_,v,_,v,v,v,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
