 /*
 * Level created by Storch 2.11
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData WorldWideBlast =
{
  /* BMLevel */
  {
    "World Wide Blast",
    "Glaset",
    "xblast.useWorldWideBlast",
    "The Walls are klicking",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &WorldWideBlast,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_extra,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_rebound, bomb_click_contact, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"hole_floor", "Black", "BlueViolet", "Gold"}, 
     {"hole_floor", "Black", "BlueViolet", "Gold"}, 
     {"jizz", "Black", "Gold", "BlueViolet"}, 
     {"hole_floor", "Black", "Gold", "BlueViolet"}, 
     {"extra", "Black", "Yellow", "White"}, 
     {"extra_O", "Black", "Yellow", "White"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "Gray", "White"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 21, 42, 63, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,_,_,_,_,_,_,B,_,B, },
        { B,_,_,_,X,B,X,B,X,_,_,_,B, },
        { B,_,_,B,X,X,X,X,X,B,_,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,_,_,B,X,X,X,B,_,_,_,B, },
        { B,_,_,_,X,X,B,X,X,_,_,_,B, },
        { B,_,_,_,B,X,X,X,B,_,_,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,_,B,X,X,X,X,X,B,_,_,B, },
        { B,_,_,_,X,B,X,B,X,_,_,_,B, },
        { B,_,B,_,_,_,_,_,_,_,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
