 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition XTra_Draw[]  =
{
  {5,5}, {6,5}, {7,5}, {6,6}, {5,7}, {7,7}, {6,8}, {5,9}, {6,9}, {7,9}
};

static BMPosition XTra_Del[]  =
{
  {5,5}, {6,5}, {7,5}, {6,6}, {5,7}, {7,7}, {6,8}, {5,9}, {6,9}, {7,9}
};

static BMLevelData XTra =
{
  /* BMLevel */
  {
    "X-tra",
    "Tobias Johansson",
    "xblast.useXTra",
    "Xpect the unexpectible",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &XTra,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound,
    {GAME_TIME*0.5, 10, XTra_Draw, },
    {GAME_TIME*0.6, 10, XTra_Del, },
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_multiple,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    2, 5,
    {
      { 5, 1 },
      { 6, 11 },
      { 5, 13 },
      { 7, 1 },
      { 6, 3 },
      { 7, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTfirecracker, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "DarkSlateGray", "Teal"}, 
     {"iron_floor_S", "Black", "DarkSlateGray", "Teal"}, 
     {"bricks", "Black", "LightSkyBlue", "Cyan"}, 
     {"bricks", "Black", "LightSkyBlue", "Cyan"}, 
     {"bricks", "Black", "Crimson", "Black"}, 
     {"brick_O", "Black", "Crimson", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MULTIPLE,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 8, 15, 15, 62, 62 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,q,_,_,_,_,_,_,_,_,_,q,B, },
        { B,_,q,_,_,_,_,_,_,_,q,_,B, },
        { B,_,_,q,X,X,X,X,X,q,_,_,B, },
        { B,_,_,X,q,r,r,r,q,X,_,_,B, },
        { B,_,_,X,r,q,b,q,r,X,_,_,B, },
        { B,_,_,X,r,b,q,b,r,X,_,_,B, },
        { B,_,_,X,r,q,b,q,r,X,_,_,B, },
        { B,_,_,X,q,r,r,r,q,X,_,_,B, },
        { B,_,_,q,X,X,X,X,X,q,_,_,B, },
        { B,_,q,_,_,_,_,_,_,_,q,_,B, },
        { B,q,_,_,_,_,_,_,_,_,_,q,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
