/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData ZQLast =
{
  /* BMLevel */
  {
    "ZQLast",
    "Tobias Johansson",
    "xblast.useZQLast",
    "There is a secret...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &ZQLast,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_early_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    3, 8,
    {
      { 1, 1 },
      { 1, 7 },
      { 1, 13 },
      { 11, 1 },
      { 11, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_randomdir, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTpyro,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "Maroon", "Purple" },
      { "rock_floor_S", "Black", "Maroon", "Purple" },
      { "dark_block", "Black", "Blue", "Blue" },
      { "dark_block_R", "Black", "Blue", "Blue" },
      { "chest", "Black", "Yellow", "DarkGreen" },
      { "chest_O", "Black", "Yellow", "DarkGreen" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
      { "rock_floor", "Black", "Maroon", "Purple" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 31, 62 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,B,B,_,_,_,B,B,_,_,B, },
      { B,_,_,B,X,X,B,X,X,B,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,B,X,B,X,B,_,_,_,B, },
      { B,_,_,_,_,_,v,_,_,_,_,_,B, },
      { B,_,_,_,B,X,B,X,B,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,B,X,X,B,X,X,B,_,_,B, },
      { B,_,_,B,B,_,_,_,B,B,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
