 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition HolyGrails_Draw[]  =
{
  {10,3}
};

static BMLevelData HolyGrails =
{
  /* BMLevel */
  {
    "Holy Grails",
    "Glaset",
    "xblast.useHolyGrails",
    "The fastest wins",
    GM_Random | GM_3_Player | GM_Single | GM_LR_Players,
    (void *) &HolyGrails,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_savage_compound,
    {GAME_TIME*0.33, 1, HolyGrails_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_holy_grail,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 3,
    {
      { 1, 3 },
      { 1, 11 },
      { 1, 7 },
      { 1, 6 },
      { 5, 1 },
      { 6, 1 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_rebound, bomb_click_rebound,
    GoStop, FUSEshort,
    BMTnormal, BMTconstruction, BMTpyro,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Black", "Black"}, 
     {"iron_floor_S", "Black", "Black", "Black"}, 
     {"dark_block", "Black", "Black", "Yellow"}, 
     {"dark_block_R", "Black", "Black", "Yellow"}, 
     {"extra", "Black", "Black", "Yellow"}, 
     {"extra_O", "Black", "Black", "Yellow"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_HOLYGRAIL,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 15, 23, 30, 38 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,r,r,r,r,r,r,r,r,r,r,B, },
        { B,_,X,q,X,q,X,q,X,q,X,q,B, },
        { B,_,b,b,b,b,b,b,b,b,b,b,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,r,r,r,r,r,r,r,r,r,r,B, },
        { B,_,X,q,X,q,X,q,X,q,X,q,B, },
        { B,_,b,b,b,b,b,b,b,b,b,b,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,r,r,r,r,r,r,r,r,r,r,B, },
        { B,_,X,q,X,q,X,q,X,q,X,q,B, },
        { B,_,b,b,b,b,b,b,b,b,b,b,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
