/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData Atmosphere =
{
  /* BMLevel */
  {
    "Atmosphere",
    "Tobias Johansson",
    "xblast.useAtmosphere",
    "A protected world?",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Atmosphere,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_nasty_walls_2,
  special_game_nasty_walls,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 4, 5 },
      { 4, 7 },
      { 4, 9 },
      { 8, 5 },
      { 8, 7 },
      { 8, 9 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_rebound,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "karo_light", "Black", "Orchid", "DarkOrchid" },
      { "karo_light_S", "Black", "Orchid", "DarkOrchid" },
      { "pyramid", "Black", "SlateBlue", "Black" },
      { "pyramid_R", "Black", "SlateBlue", "Black" },
      { "pyramid", "Black", "SlateBlue", "Black" },
      { "pyramid_R", "Black", "SlateBlue", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,q,_,_,_,_,_,_,_,_,_,q,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,X,B,X,B,X,_,_,_,B, },
      { B,_,_,B,_,_,_,_,_,B,_,_,B, },
      { B,_,_,X,_,_,_,_,_,X,_,_,B, },
      { B,_,_,B,_,_,_,_,_,B,_,_,B, },
      { B,_,_,X,_,_,_,_,_,X,_,_,B, },
      { B,_,_,B,_,_,_,_,_,B,_,_,B, },
      { B,_,_,X,_,_,_,_,_,X,_,_,B, },
      { B,_,_,B,_,_,_,_,_,B,_,_,B, },
      { B,_,_,_,X,B,X,B,X,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,q,_,_,_,_,_,_,_,_,_,q,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
