 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Battlefield =
{
  /* BMLevel */
  {
    "Battlefield",
    "Tobias Johansson",
    "xblast.useBattlefield",
    "No time to think",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Battlefield,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 2, 2 },
      { 10, 12 },
      { 2, 12 },
      { 10, 2 },
      { 2, 7 },
      { 10, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_RC | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"rock_floor", "Black", "LimeGreen", "ForestGreen"}, 
     {"rock_floor_S", "Black", "LimeGreen", "ForestGreen"}, 
     {"hex_wall", "Black", "DarkGreen", "DarkSlateGray"}, 
     {"hex_wall", "Black", "DarkGreen", "DarkSlateGray"}, 
     {"chest", "Black", "OrangeRed", "Blue"}, 
     {"chest_O", "Black", "OrangeRed", "Blue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"score_floor", "SteelBlue", "SteelBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 16, 63, 63, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,X,_,X,_,_,_,_,_,X,_,X,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,X,_,X,_,_,_,_,_,X,_,X,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,X,_,X,_,_,_,_,_,X,_,X,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
