 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition BigBang_Draw[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {11,1}, {1,2}, {2,2}, {3,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {9,2}, {10,2}, {11,2}, {1,3}, {2,3}, {10,3}, {11,3}, {1,4}, {2,4}, {10,4}, {11,4}, {1,5}, {2,5}, {5,5}, {6,5}, {7,5}, {10,5}, {11,5}, {1,6}, {2,6}, {5,6}, {6,6}, {7,6}, {10,6}, {11,6}, {1,7}, {2,7}, {5,7}, {6,7}, {7,7}, {10,7}, {11,7}, {1,8}, {2,8}, {5,8}, {6,8}, {7,8}, {10,8}, {11,8}, {1,9}, {2,9}, {5,9}, {6,9}, {7,9}, {10,9}, {11,9}, {1,10}, {2,10}, {10,10}, {11,10}, {1,11}, {2,11}, {10,11}, {11,11}, {1,12}, {2,12}, {3,12}, {4,12}, {5,12}, {6,12}, {7,12}, {8,12}, {9,12}, {10,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMPosition BigBang_Del[]  =
{
  {2,2}, {3,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {9,2}, {10,2}, {2,3}, {7,3}, {10,3}, {2,4}, {6,4}, {10,4}, {2,5}, {4,5}, {5,5}, {6,5}, {7,5}, {8,5}, {10,5}, {2,6}, {6,6}, {10,6}, {2,7}, {5,7}, {6,7}, {7,7}, {10,7}, {2,8}, {6,8}, {10,8}, {2,9}, {4,9}, {5,9}, {6,9}, {7,9}, {8,9}, {10,9}, {2,10}, {6,10}, {10,10}, {2,11}, {5,11}, {10,11}, {2,12}, {3,12}, {4,12}, {5,12}, {6,12}, {7,12}, {8,12}, {9,12}, {10,12}
};

static BMLevelData BigBang =
{
  /* BMLevel */
  {
    "Big Bang",
    "Tor Andr",
    "xblast.useBigBang",
    "Grab a safe place before the shrink",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &BigBang,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.15, 95, BigBang_Draw, },
    {GAME_TIME*0.19, 55, BigBang_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    4, 14,
    {
      { 6, 3 },
      { 6, 11 },
      { 3, 9 },
      { 9, 5 },
      { 3, 5 },
      { 9, 9 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_contact, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "BlueViolet", "SpringGreen"}, 
     {"iron_floor_S", "Black", "BlueViolet", "SpringGreen"}, 
     {"dark_block", "Black", "SpringGreen", "Aquamarine"}, 
     {"dark_block_R", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,B,B,B,_,B,B,B,_,_,B, },
        { B,_,_,B,B,B,B,B,B,B,_,_,B, },
        { B,_,_,_,B,b,r,b,B,_,_,_,B, },
        { B,_,_,B,B,r,q,r,B,B,_,_,B, },
        { B,_,_,B,B,b,q,b,B,B,_,_,B, },
        { B,_,_,B,B,r,q,r,B,B,_,_,B, },
        { B,_,_,_,B,b,r,b,B,_,_,_,B, },
        { B,_,_,B,B,B,B,B,B,B,_,_,B, },
        { B,_,_,B,B,B,_,B,B,B,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
