/*
 * Level created by Storch 1.31
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData BlackHandHill =
{
  /* BMLevel */
  {
    "Black Hand Hill",
    "Tobias Johansson",
    "xblast.useBlackHandHill",
    "Catch the moon",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &BlackHandHill,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_holy_grail,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    3, 4,
    {
      { 2, 12 },
      { 10, 2 },
      { 6, 12 },
      { 2, 2 },
      { 6, 2 },
      { 10, 12 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTfirecracker, BMTrenovation, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "sphere_half", "Black", "Navy", "Black" },
      { "sphere_half_S", "Black", "Navy", "Black" },
      { "dark_block", "Black", "Navy", "Black" },
      { "dark_block_R", "Black", "Navy", "Black" },
      { "sphere_light", "Black", "White", "Black" },
      { "sphere_light_O", "Black", "White", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_HOLYGRAIL,
      { "score_floor", "Black", "Black", "Black" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 0, 0, 0, 63, 63 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,X,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
