 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData BlastAway =
{
  /* BMLevel */
  {
    "Blast Away",
    "Glaset",
    "xblast.useBlastAway",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &BlastAway,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "BlueViolet", "SpringGreen"}, 
     {"iron_floor_S", "Black", "BlueViolet", "SpringGreen"}, 
     {"dark_block", "Black", "SpringGreen", "Aquamarine"}, 
     {"dark_block_R", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 8, 15, 23, 30, 38 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,X,_,_,_,X,r,_,_,_,B, },
        { B,_,_,_,X,r,X,X,X,b,X,_,B, },
        { B,X,X,_,X,_,_,_,_,r,X,_,B, },
        { B,X,b,_,_,_,X,X,b,X,b,r,B, },
        { B,_,_,X,X,b,X,X,_,X,X,X,B, },
        { B,X,X,X,_,r,_,_,_,r,b,_,B, },
        { B,_,_,_,_,X,X,X,X,_,X,_,B, },
        { B,_,X,X,_,b,X,X,X,_,X,_,B, },
        { B,r,_,X,X,_,_,_,_,r,X,_,B, },
        { B,X,_,b,X,_,X,X,b,X,b,r,B, },
        { B,X,X,_,X,r,_,_,_,X,X,_,B, },
        { B,_,_,_,_,b,X,b,_,X,X,_,B, },
        { B,_,_,X,_,_,X,X,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
