 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Blitz_Del[]  =
{
  {3,4}, {5,4}, {7,4}, {9,4}, {3,6}, {9,6}, {3,8}, {9,8}, {3,10}, {5,10}, {7,10}, {9,10}
};

static BMLevelData Blitz =
{
  /* BMLevel */
  {
    "Blitz",
    "Tobias Johansson",
    "xblast.useBlitz",
    "Make your move",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Blitz,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_f,
    SCRAMBLE_VOID,
    {GAME_TIME*0.07, 12, Blitz_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_cloak,
  special_key_cloak,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 5, 5 },
      { 7, 9 },
      { 4, 8 },
      { 8, 6 },
      { 4, 6 },
      { 8, 8 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTrenovation, BMTgrenade,
  },
  /* BMGraphicsData */
  {
    {
     {"chess_floor", "Black", "SpringGreen", "SpringGreen"}, 
     {"chess_floor_S", "Black", "SpringGreen", "SpringGreen"}, 
     {"book_shelf", "Black", "SpringGreen", "Aquamarine"}, 
     {"book_shelf", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_CLOAK,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 15, 23, 30, 38 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,q,_,X,_,X,_,X,_,q,_,B, },
        { B,X,_,X,_,X,_,X,_,X,_,X,B, },
        { B,_,X,_,b,_,b,_,b,_,X,_,B, },
        { B,r,_,B,_,B,_,B,_,B,_,r,B, },
        { B,_,b,_,B,_,B,_,B,_,b,_,B, },
        { B,r,_,B,_,_,_,_,_,B,_,r,B, },
        { B,_,b,_,B,_,q,_,B,_,b,_,B, },
        { B,r,_,B,_,_,_,_,_,B,_,r,B, },
        { B,_,b,_,B,_,B,_,B,_,b,_,B, },
        { B,r,_,B,_,B,_,B,_,B,_,r,B, },
        { B,_,X,_,b,_,b,_,b,_,X,_,B, },
        { B,X,_,X,_,X,_,X,_,X,_,X,B, },
        { B,_,q,_,X,_,X,_,X,_,q,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
