 /*
 * Level created by Storch 2.10
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition BlueberryPie_Del[]  =
{
  {3,3}, {6,3}, {9,3}, {3,4}, {6,4}, {9,4}, {3,5}, {4,5}, {5,5}, {6,5}, {7,5}, {8,5}, {9,5}, {3,6}, {6,6}, {9,6}, {3,7}, {4,7}, {5,7}, {6,7}, {7,7}, {8,7}, {9,7}, {3,8}, {6,8}, {9,8}, {3,9}, {4,9}, {5,9}, {6,9}, {7,9}, {8,9}, {9,9}, {3,10}, {6,10}, {9,10}, {3,11}, {6,11}, {9,11}
};

static BMLevelData BlueberryPie =
{
  /* BMLevel */
  {
    "Blueberry pie",
    "Tor Andr",
    "xblast.useBlueberryPie",
    "Take control over the central parts",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &BlueberryPie,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_early_spiral,
    SCRAMBLE_VOID,
    {GAME_TIME*0.28, 39, BlueberryPie_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    3, 4,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_anticlockwise, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"city_free", "Black", "Navy", "Yellow"}, 
     {"city_free_S", "Black", "Navy", "Yellow"}, 
     {"dark_block", "Black", "Chocolate", "Chocolate"}, 
     {"dark_block_R", "Black", "Chocolate", "Chocolate"}, 
     {"pumpkin", "Black", "Blue", "Chocolate"}, 
     {"pumpkin_O", "Black", "Blue", "Chocolate"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 6, 12, 12, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,B,B,B,X,B,B,B,X,_,B, },
        { B,_,B,B,X,B,B,B,X,B,B,_,B, },
        { B,_,B,B,B,B,B,B,B,B,B,_,B, },
        { B,_,B,B,B,B,B,B,B,B,B,_,B, },
        { B,_,B,B,B,B,B,B,X,B,B,_,B, },
        { B,_,X,B,B,B,B,B,B,B,X,_,B, },
        { B,_,B,B,B,X,B,B,B,B,B,_,B, },
        { B,_,B,B,B,B,B,B,B,B,B,_,B, },
        { B,_,B,B,B,B,B,B,B,B,B,_,B, },
        { B,_,B,B,X,B,B,B,X,B,B,_,B, },
        { B,_,X,B,B,B,X,B,B,B,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
