 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Bluetooth_Del[]  =
{
  {4,2}, {2,4}, {10,4}, {8,5}, {4,9}, {2,10}, {10,10}, {8,12}
};

static BMLevelData Bluetooth =
{
  /* BMLevel */
  {
    "Bluetooth",
    "Tor Andr",
    "xblast.useBluetooth",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Bluetooth,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_plus,
    SCRAMBLE_VOID,
    {GAME_TIME*0.38, 8, Bluetooth_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    5, 5,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_RC | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Navy", "White", "Black"}, 
     {"button_floor_S", "Navy", "White", "Black"}, 
     {"dark_block", "Black", "DarkBlue", "MediumBlue"}, 
     {"dark_block_R", "Navy", "DarkBlue", "MediumBlue"}, 
     {"extra", "Black", "White", "White"}, 
     {"extra_O", "Navy", "White", "White"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"extra", "Black", "Navy", "OrangeRed"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 32, 63, 63, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,_,_,B,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,B,_,_,_,B,_,_,_,B,_,B, },
        { B,_,_,_,X,_,_,_,B,_,_,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,B,B,_,B,B,B,_,B,B,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,_,_,B,_,_,_,X,_,_,_,B, },
        { B,_,B,_,_,_,B,_,_,_,B,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,_,_,X,_,_,_,B,_,_,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
