 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData BombBuffet =
{
  /* BMLevel */
  {
    "Bomb Buffet",
    "Tobias Johansson",
    "xblast.useBombBuffet",
    "Help yourself",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &BombBuffet,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_special_bomb,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    1, 4,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_rebound, bomb_click_rebound, bomb_click_rebound,
    GoStop, FUSEnormal,
    BMTrandom, BMTrandom, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"rock_floor", "Black", "SaddleBrown", "SaddleBrown"}, 
     {"rock_floor_S", "Black", "SaddleBrown", "SaddleBrown"}, 
     {"weight", "Maroon", "Maroon", "Maroon"}, 
     {"weight_R", "Black", "Maroon", "Maroon"}, 
     {"bricks", "SaddleBrown", "SaddleBrown", "SaddleBrown"}, 
     {"brick_O", "Black", "SaddleBrown", "SaddleBrown"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_NAPALM,
     {"score_floor", "SaddleBrown", "SaddleBrown", "SaddleBrown"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,b,_,_,_,_,_,B, },
        { B,_,_,_,_,_,q,_,_,_,_,_,B, },
        { B,_,_,_,q,_,b,_,q,_,_,_,B, },
        { B,_,_,_,b,_,q,_,b,_,_,_,B, },
        { B,_,_,_,q,_,B,_,q,_,_,_,B, },
        { B,_,_,_,b,_,q,_,b,_,_,_,B, },
        { B,_,_,_,q,_,b,_,q,_,_,_,B, },
        { B,_,_,_,_,_,q,_,_,_,_,_,B, },
        { B,_,_,_,_,_,b,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
