 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData BoostyWorld =
{
  /* BMLevel */
  {
    "Boosty World",
    "Glaset",
    "xblast.useBoostyWorld",
    "%#(''#&(!'')",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &BoostyWorld,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_speed_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    10, 15,
    {
      { 5, 6 },
      { 7, 8 },
      { 5, 8 },
      { 7, 6 },
      { 1, 6 },
      { 7, 8 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTpyro, BMTnormal, BMTconstruction,
  },
  /* BMGraphicsData */
  {
    {
     {"dark_way", "Black", "Green", "Gray"}, 
     {"dark_way_S", "Black", "Green", "Gray"}, 
     {"r_i_p", "Black", "Gray", "Green"}, 
     {"r_i_p_R", "Black", "Gray", "Green"}, 
     {"pumpkin", "Black", "Goldenrod", "Green"}, 
     {"pumpkin_O", "Black", "Goldenrod", "Green"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "Black", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 32 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,v,_,_,_,_,_,B, },
        { B,_,_,_,_,_,v,_,_,_,_,_,B, },
        { B,_,_,_,_,_,v,_,_,_,_,_,B, },
        { B,_,_,_,_,_,v,_,_,_,_,_,B, },
        { B,_,_,_,_,_,v,_,_,_,_,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,v,v,v,v,X,X,X,v,v,v,v,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,_,_,_,v,_,_,_,_,_,B, },
        { B,_,_,_,_,_,v,_,_,_,_,_,B, },
        { B,_,_,_,_,_,v,_,_,_,_,_,B, },
        { B,_,_,_,_,_,v,_,_,_,_,_,B, },
        { B,_,_,_,_,_,v,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
