 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData ClockwiseChaos =
{
  /* BMLevel */
  {
    "Clockwise Chaos",
    "Tor Andr",
    "xblast.useClockwiseChaos",
    "Kick and stay away from the bombs",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &ClockwiseChaos,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_12,
  special_game_void,
  special_extra_void,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    10, 8,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_clockwise, bomb_click_contact,
    GoStop, FUSElong,
    BMTnormal, BMTconstruction, BMTfungus,
  },
  /* BMGraphicsData */
  {
    {
     {"chess_floor", "Black", "PapayaWhip", "Black"}, 
     {"chess_floor_S", "Black", "PapayaWhip", "Black"}, 
     {"book_shelf", "Black", "DarkBlue", "OrangeRed"}, 
     {"book_shelf", "Black", "DarkBlue", "OrangeRed"}, 
     {"chess_sphere", "Black", "PapayaWhip", "CornflowerBlue"}, 
     {"chess_sphere_O", "Black", "PapayaWhip", "CornflowerBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 15, 23, 23, 38 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,B,B,B,_,B,B,B,B,_,B, },
        { B,_,B,_,_,B,_,B,_,_,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,_,_,_,_,_,_,_,_,_,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,_,_,_,_,_,_,_,_,_,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,_,B,_,B,_,_,B,_,B, },
        { B,_,B,B,B,B,_,B,B,B,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
