 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Division_Draw[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {11,1}, {1,2}, {2,2}, {3,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {9,2}, {10,2}, {11,2}, {1,3}, {2,3}, {3,3}, {4,3}, {5,3}, {6,3}, {7,3}, {8,3}, {9,3}, {10,3}, {11,3}, {1,4}, {2,4}, {3,4}, {4,4}, {5,4}, {6,4}, {7,4}, {8,4}, {9,4}, {10,4}, {11,4}, {1,5}, {2,5}, {3,5}, {4,5}, {5,5}, {6,5}, {7,5}, {8,5}, {9,5}, {10,5}, {11,5}, {1,6}, {2,6}, {3,6}, {4,6}, {5,6}, {6,6}, {7,6}, {8,6}, {9,6}, {10,6}, {11,6}
};

static BMPosition Division_Del[]  =
{
  {1,7}, {2,7}, {3,7}, {4,7}, {5,7}, {6,7}, {7,7}, {8,7}, {9,7}, {10,7}, {11,7}
};

static BMLevelData Division =
{
  /* BMLevel */
  {
    "Division",
    "Tobias Johansson",
    "xblast.useDivision",
    "Switch half!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Division,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    {GAME_TIME*0.33, 66, Division_Draw, },
    {GAME_TIME*0.3, 11, Division_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 3,
    {
      { 1, 1 },
      { 11, 6 },
      { 1, 6 },
      { 11, 1 },
      { 6, 6 },
      { 6, 1 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_randomdir, bomb_click_thru,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTpyro,
  },
  /* BMGraphicsData */
  {
    {
     {"ghost", "Black", "Gold", "Black"}, 
     {"ghost", "Black", "Gold", "Black"}, 
     {"ghost_sq", "Black", "Gold", "LimeGreen"}, 
     {"ghost_sq_R", "Black", "Gold", "LimeGreen"}, 
     {"ghost_ci", "Black", "Gold", "RoyalBlue"}, 
     {"ghost_ci_R", "Black", "Gold", "RoyalBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"score_floor", "Black", "Black", "Black"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 16, 32, 47, 47, 51 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,X,X,X,_,X,X,X,_,_,B, },
        { B,_,_,_,_,_,_,X,X,X,_,_,B, },
        { B,_,_,X,X,X,_,_,_,_,_,_,B, },
        { B,_,_,X,X,X,_,X,X,X,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,B,_,B,_,_,B,B,B,_,B, },
        { B,_,_,_,_,B,B,_,_,_,B,_,B, },
        { B,_,B,B,_,_,_,_,B,_,_,_,B, },
        { B,_,_,B,B,_,B,_,B,B,B,_,B, },
        { B,q,_,q,_,q,_,q,_,q,_,q,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
