/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData Edinbourgh =
{
  /* BMLevel */
  {
    "Edinbourgh",
    "Glaset",
    "xblast.useEdinbourgh",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Edinbourgh,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 5,
    {
      { 1, 1 },
      { 1, 7 },
      { 1, 13 },
      { 11, 1 },
      { 11, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "chess_floor", "Black", "PapayaWhip", "Black" },
      { "chess_floor_S", "Black", "PapayaWhip", "Black" },
      { "book_shelf", "Black", "LimeGreen", "Chocolate" },
      { "book_shelf", "Black", "LimeGreen", "Chocolate" },
      { "chess_sphere", "Black", "PapayaWhip", "CornflowerBlue" },
      { "chess_sphere_O", "Black", "PapayaWhip", "CornflowerBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 31, 62, 62, 62, 62 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,X,X,X,_,X,X,X,X,_,B, },
      { B,_,X,B,B,B,_,B,B,B,X,_,B, },
      { B,_,X,B,B,X,_,X,B,B,X,_,B, },
      { B,_,X,B,X,X,_,X,X,B,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,B,X,X,_,X,X,B,X,_,B, },
      { B,_,X,B,B,X,_,X,B,B,X,_,B, },
      { B,_,X,B,B,B,_,B,B,B,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,X,X,X,X,X,X,X,X,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
