 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition FourCourners_Draw[]  =
{
  {1,1}, {2,1}, {10,1}, {11,1}, {1,2}, {2,2}, {10,2}, {11,2}, {1,12}, {2,12}, {10,12}, {11,12}, {1,13}, {2,13}, {10,13}, {11,13}
};

static BMLevelData FourCourners =
{
  /* BMLevel */
  {
    "Four Courners",
    "Glaset",
    "xblast.useFourCourners",
    "Dont be in the corners",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &FourCourners,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    {GAME_TIME*0.33, 16, FourCourners_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_speed,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 5,
    {
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_none, bomb_click_contact,
    GoStop, FUSElong,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"chess_floor", "Black", "PapayaWhip", "Black"}, 
     {"chess_floor_S", "Black", "PapayaWhip", "Black"}, 
     {"book_shelf", "Black", "LimeGreen", "Chocolate"}, 
     {"book_shelf", "Black", "LimeGreen", "Chocolate"}, 
     {"chess_sphere", "Black", "PapayaWhip", "CornflowerBlue"}, 
     {"chess_sphere_O", "Black", "PapayaWhip", "CornflowerBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_SPEED,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEget,
      { 8, 15, 23, 30, 38 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,q,r,X,_,_,X,r,_,X,_,_,B, },
        { B,r,r,X,_,_,X,_,_,X,_,_,B, },
        { B,_,_,X,_,_,X,_,_,X,_,_,B, },
        { B,_,_,X,r,b,X,_,b,X,X,X,B, },
        { B,_,_,X,_,_,X,_,r,_,_,_,B, },
        { B,_,_,X,_,_,X,_,r,_,b,_,B, },
        { B,_,_,X,_,_,X,_,_,_,r,_,B, },
        { B,_,_,X,r,_,X,X,X,X,X,X,B, },
        { B,_,_,X,_,_,_,r,_,_,_,b,B, },
        { B,_,_,X,_,_,_,b,_,_,_,_,B, },
        { B,_,_,X,X,X,X,X,X,X,X,X,B, },
        { B,r,r,_,_,_,_,_,_,_,r,r,B, },
        { B,q,r,_,_,_,_,_,_,_,r,q,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
