 /*
 * Level created by Storch 2.11
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData FullBlast =
{
  /* BMLevel */
  {
    "Full Blast",
    "Tor Andr",
    "xblast.useFullBlast",
    "Get some range, then attack",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &FullBlast,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_2_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 3, 3 },
      { 9, 11 },
      { 3, 11 },
      { 9, 3 },
      { 3, 7 },
      { 9, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "LightSteelBlue", "SpringGreen"}, 
     {"button_floor_S", "Black", "LightSteelBlue", "SpringGreen"}, 
     {"dark_block", "Black", "Black", "Black"}, 
     {"dark_block_R", "Black", "Black", "Black"}, 
     {"extra", "Black", "Sienna", "Black"}, 
     {"extra_O", "Black", "Sienna", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "White", "White"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 16, 63, 63, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,B,X,B,X,B,X,B,X,B,X,B, },
        { B,X,_,_,X,X,X,X,X,_,_,X,B, },
        { B,X,B,_,B,X,B,X,B,_,B,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,B,X,B,X,B,X,B,X,B,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,B,X,B,X,B,X,B,X,B,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,B,_,B,X,B,X,B,_,B,X,B, },
        { B,X,_,_,X,X,X,X,X,_,_,X,B, },
        { B,X,B,X,B,X,B,X,B,X,B,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
