 /*
 * Level created by Storch 2.16
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData GHB =
{
  /* BMLevel */
  {
    "GHB",
    "Glaset",
    "xblast.useGHB",
    "Don't drink it...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &GHB,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_constrict_wave,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_poison,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 8,
    {
      { 1, 7 },
      { 9, 7 },
      { 5, 7 },
      { 3, 7 },
      { 7, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Morph | RF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_rebound, bomb_click_rebound, bomb_click_rebound,
    GoStop, FUSEnormal,
    BMTnormal, BMTtrianglebombs, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"dark_way", "Navy", "Green", "DeepSkyBlue"}, 
     {"dark_way_S", "Navy", "Green", "DeepSkyBlue"}, 
     {"r_i_p", "FloralWhite", "Gray", "DeepSkyBlue"}, 
     {"r_i_p_R", "Navy", "Gray", "DeepSkyBlue"}, 
     {"pumpkin", "Black", "Goldenrod", "DeepSkyBlue"}, 
     {"pumpkin_O", "Navy", "Goldenrod", "DeepSkyBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POISON,
     {"score_floor", "Black", "Black", "Red"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
