 /*
 * Level created by Storch 2.14
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition GhostDance_Draw[]  =
{
  {7,5}, {5,6}, {7,8}, {5,9}
};

static BMPosition GhostDance_Del[]  =
{
  {2,2}, {3,2}, {6,2}, {9,2}, {10,2}, {2,3}, {3,3}, {4,3}, {6,3}, {8,3}, {9,3}, {10,3}, {3,4}, {9,4}, {2,7}, {3,7}, {9,7}, {10,7}, {3,10}, {9,10}, {2,11}, {3,11}, {4,11}, {6,11}, {8,11}, {9,11}, {10,11}, {2,12}, {3,12}, {6,12}, {9,12}, {10,12}
};

static BMLevelData GhostDance =
{
  /* BMLevel */
  {
    "Ghost Dance",
    "Tobias Johansson",
    "xblast.useGhostDance",
    "The spirits are uneasy",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &GhostDance,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_lego,
    {GAME_TIME*0.78, 4, GhostDance_Draw, },
    {GAME_TIME*0.78, 32, GhostDance_Del, },
  },
  /* BMFuncData */
  {
  special_init_nasty_walls,
  special_game_nasty_walls,
  special_extra_cloak,
  special_key_cloak,
  },
  /* BMPlayerData */
  {
    3, 6,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"ghost", "Black", "DodgerBlue", "CadetBlue"}, 
     {"ghost", "Black", "DodgerBlue", "CadetBlue"}, 
     {"dark_block", "Black", "ForestGreen", "LightSeaGreen"}, 
     {"dark_block_R", "Black", "ForestGreen", "LightSeaGreen"}, 
     {"extra", "DodgerBlue", "DodgerBlue", "DodgerBlue"}, 
     {"extra_O", "Black", "DodgerBlue", "DodgerBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_CLOAK,
     {"ghost", "Red", "DodgerBlue", "CadetBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 16, 32, 39, 47, 54 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,X,X,B,_,B,X,X,X,_,B, },
        { B,_,X,B,B,B,_,B,B,B,X,_,B, },
        { B,_,X,B,_,_,_,_,_,B,X,_,B, },
        { B,_,X,B,_,_,_,_,_,B,X,_,B, },
        { B,_,B,B,_,_,_,_,_,B,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,B,_,_,_,_,_,B,B,_,B, },
        { B,_,X,B,_,_,_,_,_,B,X,_,B, },
        { B,_,X,B,_,_,_,_,_,B,X,_,B, },
        { B,_,X,B,B,B,_,B,B,B,X,_,B, },
        { B,_,X,X,X,B,_,B,X,X,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
