 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData GhostGarden =
{
  /* BMLevel */
  {
    "Ghost Garden",
    "Tobias Johansson",
    "xblast.useGhostGarden",
    "A haunted place...",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &GhostGarden,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_quad,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_haunt,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 4,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTgrenade,
  },
  /* BMGraphicsData */
  {
    {
     {"ghost", "ForestGreen", "Black", "DarkGreen"}, 
     {"ghost", "ForestGreen", "Black", "DarkGreen"}, 
     {"ghost_sq", "ForestGreen", "Black", "FireBrick"}, 
     {"ghost_sq_R", "ForestGreen", "Black", "FireBrick"}, 
     {"ghost_ci", "ForestGreen", "Black", "RoyalBlue"}, 
     {"ghost_ci_R", "ForestGreen", "Black", "RoyalBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "Black", "Black", "Black"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 13, 25, 51, 57, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,X,_,X,_,X,_,X,_,_,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,X,_,X,_,X,_,X,_,X,_,X,B, },
        { B,_,X,X,_,X,_,X,_,X,X,_,B, },
        { B,X,_,_,X,_,X,_,X,_,_,X,B, },
        { B,_,X,X,_,X,_,X,_,X,X,_,B, },
        { B,_,_,X,X,_,X,_,X,X,_,_,B, },
        { B,_,X,X,_,X,_,X,_,X,X,_,B, },
        { B,X,_,_,X,_,X,_,X,_,_,X,B, },
        { B,_,X,X,_,X,_,X,_,X,X,_,B, },
        { B,X,_,X,_,X,_,X,_,X,_,X,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,_,_,X,_,X,_,X,_,X,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
