 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition GhostTown_Del[]  =
{
  {2,8}, {10,8}, {4,9}, {8,9}
};

static BMLevelData GhostTown =
{
  /* BMLevel */
  {
    "Ghost Town",
    "Tor Andr",
    "xblast.useGhostTown",
    "",
    GM_Random | GM_23456_Player | GM_Team | GM_Double | GM_Single,
    (void *) &GhostTown,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    {GAME_TIME*0.5, 4, GhostTown_Del, },
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_speed,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 1, 1 },
      { 7, 1 },
      { 3, 1 },
      { 11, 1 },
      { 5, 1 },
      { 9, 1 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoRight, FUSEnormal,
    BMTnormal, BMTfungus, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"ghost", "Black", "MediumBlue", "Black"}, 
     {"ghost", "Black", "MediumBlue", "Black"}, 
     {"ghost_sq", "Black", "MediumBlue", "FireBrick"}, 
     {"ghost_sq_R", "Black", "MediumBlue", "FireBrick"}, 
     {"ghost_ci", "Black", "MediumBlue", "GhostWhite"}, 
     {"ghost_ci_R", "Black", "MediumBlue", "GhostWhite"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_SPEED,
     {"score_floor", "Black", "Black", "Black"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEspecial,
      { 27, 53, 60, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,B,_,B,_,B,_,B,_,B,_,B,B, },
        { B,B,X,B,X,B,X,B,X,B,X,B,B, },
        { B,B,_,_,_,_,_,_,_,_,_,B,B, },
        { B,X,B,_,_,_,_,_,_,_,B,X,B, },
        { B,X,X,B,B,B,X,B,B,B,X,X,B, },
        { B,_,_,_,X,_,_,_,X,_,_,_,B, },
        { B,X,X,X,_,X,_,X,_,X,X,X,B, },
        { B,q,q,X,_,_,B,_,_,X,q,q,B, },
        { B,q,q,X,_,_,_,_,_,X,q,q,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
