 /*
 * Level created by Storch 2.11
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Glases_Draw[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {8,1}, {9,1}, {10,1}, {11,1}, {1,2}, {2,2}, {3,2}, {9,2}, {10,2}, {11,2}, {1,3}, {2,3}, {10,3}, {11,3}, {1,4}, {2,4}, {3,4}, {9,4}, {10,4}, {11,4}, {1,5}, {2,5}, {3,5}, {4,5}, {8,5}, {9,5}, {10,5}, {11,5}, {1,6}, {2,6}, {3,6}, {4,6}, {5,6}, {7,6}, {8,6}, {9,6}, {10,6}, {11,6}, {1,7}, {2,7}, {3,7}, {4,7}, {5,7}, {7,7}, {8,7}, {9,7}, {10,7}, {11,7}, {1,8}, {2,8}, {3,8}, {4,8}, {5,8}, {7,8}, {8,8}, {9,8}, {10,8}, {11,8}, {1,9}, {2,9}, {3,9}, {4,9}, {8,9}, {9,9}, {10,9}, {11,9}, {1,10}, {2,10}, {3,10}, {9,10}, {10,10}, {11,10}, {1,11}, {2,11}, {10,11}, {11,11}, {1,12}, {2,12}, {3,12}, {9,12}, {10,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMLevelData Glases =
{
  /* BMLevel */
  {
    "Glases",
    "Glaset",
    "xblast.useGlases",
    "Be in the glases or be dead",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_SinglePlayer | GM_All,
    (void *) &Glases,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.6, 94, Glases_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_speed,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"karo_light", "Black", "Orchid", "DarkOrchid"}, 
     {"karo_light_S", "Black", "Orchid", "DarkOrchid"}, 
     {"pyramid", "Black", "SlateBlue", "Black"}, 
     {"pyramid_R", "Black", "SlateBlue", "Black"}, 
     {"extra", "Black", "Gold", "Yellow"}, 
     {"extra_O", "Black", "Gold", "Yellow"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_SPEED,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 28, 56, 56, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,B,X,B,_,_,_,_,B, },
        { B,_,_,_,B,X,X,X,B,_,_,_,B, },
        { B,_,_,B,X,X,X,X,X,B,_,_,B, },
        { B,_,_,_,B,X,X,X,B,_,_,_,B, },
        { B,_,_,_,_,B,X,B,_,_,_,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,_,_,B,X,B,_,_,_,_,B, },
        { B,_,_,_,B,X,X,X,B,_,_,_,B, },
        { B,_,_,B,X,X,X,X,X,B,_,_,B, },
        { B,_,_,_,B,X,X,X,B,_,_,_,B, },
        { B,_,_,_,_,B,X,B,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
