 /*
 * Level created by Storch 2.01
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Cowriter Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition GlasetSurprise_Draw[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {1,2}, {2,2}, {3,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {9,2}, {10,2}, {11,2}, {1,3}, {2,3}, {3,3}, {4,3}, {5,3}, {6,3}, {7,3}, {8,3}, {9,3}, {10,3}, {11,3}, {1,4}, {2,4}, {3,4}, {9,4}, {10,4}, {11,4}, {1,5}, {2,5}, {3,5}, {9,5}, {10,5}, {11,5}, {1,6}, {2,6}, {3,6}, {9,6}, {10,6}, {11,6}, {1,7}, {2,7}, {3,7}, {9,7}, {10,7}, {11,7}, {1,8}, {2,8}, {3,8}, {9,8}, {10,8}, {11,8}, {1,9}, {2,9}, {3,9}, {9,9}, {10,9}, {11,9}, {1,10}, {2,10}, {3,10}, {9,10}, {10,10}, {11,10}, {1,11}, {2,11}, {3,11}, {4,11}, {5,11}, {6,11}, {7,11}, {8,11}, {9,11}, {10,11}, {11,11}, {1,12}, {2,12}, {3,12}, {4,12}, {5,12}, {6,12}, {7,12}, {8,12}, {9,12}, {10,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMPosition GlasetSurprise_Del[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {1,2}, {6,2}, {11,2}, {1,3}, {6,3}, {11,3}, {1,4}, {11,4}, {1,5}, {11,5}, {1,6}, {11,6}, {1,7}, {11,7}, {1,8}, {11,8}, {1,9}, {11,9}, {1,10}, {11,10}, {1,11}, {6,11}, {11,11}, {1,12}, {6,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMLevelData GlasetSurprise =
{
  /* BMLevel */
  {
    "Glaset Surprise",
    "Glaset",
    "xblast.useGlasetSurprise",
    "Stand in the middle",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &GlasetSurprise,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.33, 107, GlasetSurprise_Draw, },
    {GAME_TIME*0.67, 47, GlasetSurprise_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
      { 11, 1 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_rebound, bomb_click_clockwise, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"dark_way", "Black", "Green", "Gray"}, 
     {"dark_way_S", "Black", "Green", "Gray"}, 
     {"r_i_p", "Black", "Gray", "Green"}, 
     {"r_i_p_R", "Black", "Gray", "Green"}, 
     {"pumpkin", "Black", "Goldenrod", "Green"}, 
     {"pumpkin_O", "Black", "Goldenrod", "Green"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "Black", "Black", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 27, 54, 57, 60, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,q,_,_,_,_,_,_,_,_,_,q,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,X,X,X,X,X,X,X,X,X,B, },
        { B,_,X,q,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,_,X,X,X,X,X,X,X,B, },
        { B,_,X,_,_,X,_,_,_,_,_,_,B, },
        { B,_,X,_,_,X,_,_,_,_,_,_,B, },
        { B,_,X,_,_,X,_,_,X,X,X,X,B, },
        { B,_,X,_,_,X,_,_,X,_,_,_,B, },
        { B,_,X,_,_,X,_,_,X,_,_,_,B, },
        { B,q,X,_,_,X,_,_,X,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
