 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Greed_Draw[]  =
{
  {4,1}, {4,2}, {4,3}, {4,4}, {4,5}, {4,6}, {4,7}, {4,8}, {4,9}, {4,10}, {4,11}, {4,12}, {4,13}
};

static BMLevelData Greed =
{
  /* BMLevel */
  {
    "Greed",
    "Tobias Johansson",
    "xblast.useGreed",
    "Have it all!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Greed,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down,
    {GAME_TIME*0.04, 13, Greed_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_life,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 12,
    {
      { 11, 4 },
      { 11, 12 },
      { 11, 10 },
      { 11, 2 },
      { 11, 8 },
      { 11, 6 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "DarkSlateGray", "Teal"}, 
     {"iron_floor_S", "Black", "DarkSlateGray", "Teal"}, 
     {"bricks", "Black", "LightSkyBlue", "Cyan"}, 
     {"bricks", "Black", "LightSkyBlue", "Cyan"}, 
     {"bricks", "Black", "Crimson", "Black"}, 
     {"brick_O", "Black", "Crimson", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_LIFE,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,q,q,b,_,_,_,_,_,_,_,_,B, },
        { B,q,r,r,_,_,_,_,_,_,_,_,B, },
        { B,q,q,b,_,_,_,_,_,_,_,_,B, },
        { B,q,r,r,_,_,_,_,_,_,_,_,B, },
        { B,q,q,b,_,_,_,_,_,_,_,_,B, },
        { B,q,r,r,_,_,_,_,_,_,_,_,B, },
        { B,q,q,b,_,_,_,_,_,_,_,_,B, },
        { B,q,r,r,_,_,_,_,_,_,_,_,B, },
        { B,q,q,b,_,_,_,_,_,_,_,_,B, },
        { B,q,r,r,_,_,_,_,_,_,_,_,B, },
        { B,q,q,b,_,_,_,_,_,_,_,_,B, },
        { B,q,r,r,_,_,_,_,_,_,_,_,B, },
        { B,q,q,b,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
