 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData GroupOfDeath =
{
  /* BMLevel */
  {
    "Group Of Death",
    "Glaset",
    "xblast.useGroupOfDeath",
    "Argentina, England, Nigeria & Sweden",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &GroupOfDeath,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_quad,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 5, 3 },
      { 3, 3 },
      { 7, 3 },
      { 9, 3 },
      { 8, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_randomdir, bomb_click_randomdir, bomb_click_randomdir,
    GoStop, FUSEnormal,
    BMTnormal, BMTrandom, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"karo_light", "Black", "Orchid", "DarkOrchid"}, 
     {"karo_light_S", "Black", "Orchid", "DarkOrchid"}, 
     {"pyramid", "Black", "SlateBlue", "Black"}, 
     {"pyramid_R", "Black", "SlateBlue", "Black"}, 
     {"extra", "Black", "Gold", "Yellow"}, 
     {"extra_O", "Black", "Gold", "Yellow"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 47, 47, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,s,r,r,r,r,r,r,r,r,r,s,B, },
        { B,r,X,X,X,X,X,X,X,X,X,r,B, },
        { B,r,X,_,_,_,X,_,_,_,X,r,B, },
        { B,r,X,_,_,_,X,_,_,_,X,r,B, },
        { B,r,X,_,_,_,X,_,_,_,X,r,B, },
        { B,r,X,X,X,X,X,X,X,X,X,r,B, },
        { B,r,X,b,b,b,X,b,b,b,X,r,B, },
        { B,r,X,X,X,X,X,X,X,X,X,r,B, },
        { B,r,X,b,b,b,X,b,b,b,X,r,B, },
        { B,r,X,X,X,X,X,X,X,X,X,r,B, },
        { B,r,X,b,b,b,X,b,b,b,X,r,B, },
        { B,r,X,X,X,X,X,X,X,X,X,r,B, },
        { B,s,r,r,r,r,r,r,r,r,r,s,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
