 /*
 * Level created by Storch 2.14
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition HardWork_Draw[]  =
{
  {3,4}, {9,4}, {3,7}, {9,7}, {3,10}, {9,10}
};

static BMPosition HardWork_Del[]  =
{
  {6,2}, {5,3}, {7,3}, {5,5}, {7,5}, {6,6}, {6,8}, {5,9}, {7,9}, {5,11}, {7,11}, {6,12}
};

static BMLevelData HardWork =
{
  /* BMLevel */
  {
    "Hard Work",
    "Glaset",
    "xblast.useHardWork",
    "No bananas today.",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &HardWork,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_extra,
    {GAME_TIME*0.5, 6, HardWork_Draw, },
    {GAME_TIME*0.7, 12, HardWork_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_mayhem,
  special_key_teleport,
  },
  /* BMPlayerData */
  {
    3, 5,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Teleport | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTrandom, BMTconstruction, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"city_free", "Black", "LightSkyBlue", "Maroon"}, 
     {"city_free_S", "Black", "LightSkyBlue", "Maroon"}, 
     {"pyramid", "Black", "DarkRed", "Sienna"}, 
     {"pyramid_R", "Black", "DarkRed", "Sienna"}, 
     {"dark_house", "Black", "LimeGreen", "SandyBrown"}, 
     {"dark_house", "Black", "LimeGreen", "SandyBrown"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MAYHEM,
     {"score_floor", "Black", "Black", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 0, 16, 32, 47, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,X,B,X,B,X,B,X,_,_,B, },
        { B,_,s,B,X,B,X,B,X,B,s,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,s,B,X,B,X,B,X,B,s,_,B, },
        { B,_,_,X,B,X,B,X,B,X,_,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,_,X,B,X,B,X,B,X,_,_,B, },
        { B,_,s,B,X,B,X,B,X,B,s,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,s,B,X,B,X,B,X,B,s,_,B, },
        { B,_,_,X,B,X,B,X,B,X,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
