 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData HauntedHell =
{
  /* BMLevel */
  {
    "Haunted Hell",
    "Tor Andr",
    "xblast.useHauntedHell",
    "",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &HauntedHell,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_speed_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_haunt,
  special_extra_teleport,
  special_key_teleport,
  },
  /* BMPlayerData */
  {
    5, 4,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_contact,
    GoStop, FUSElong,
    BMTnormal, BMTpyro, BMTfirecracker,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Red", "Yellow"}, 
     {"iron_floor_S", "Black", "Red", "Yellow"}, 
     {"dark_block", "Black", "Black", "Black"}, 
     {"dark_block_R", "Black", "Black", "Black"}, 
     {"extra", "Black", "Yellow", "Red"}, 
     {"extra_O", "Black", "Yellow", "Red"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BEAM,
     {"score_floor", "Black", "Black", "Black"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 7, 14, 29, 33, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,X,_,_,X,_,_,X,_,_,B, },
        { B,_,B,B,B,_,B,_,B,B,B,_,B, },
        { B,X,_,_,B,_,_,_,B,_,_,X,B, },
        { B,_,_,_,B,B,X,B,B,_,_,_,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,X,_,X,_,X,_,X,_,X,_,X,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,_,_,_,B,B,X,B,B,_,_,_,B, },
        { B,X,_,_,B,_,_,_,B,_,_,X,B, },
        { B,_,B,B,B,_,B,_,B,B,B,_,B, },
        { B,_,_,X,_,_,X,_,_,X,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
