 /*
 * Level created by Storch 2.16 develop
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Heineken =
{
  /* BMLevel */
  {
    "Heineken",
    "Glaset",
    "xblast.useHeineken",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Heineken,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 3,
    {
      { 1, 6 },
      { 1, 9 },
      { 1, 10 },
      { 1, 5 },
      { 1, 7 },
      { 1, 8 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_contact, bomb_click_contact,
    GoDown, FUSEnormal,
    BMTrandom, BMTconstruction, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "BlueViolet", "SpringGreen"}, 
     {"iron_floor_S", "Black", "BlueViolet", "SpringGreen"}, 
     {"dark_block", "Black", "SpringGreen", "Aquamarine"}, 
     {"dark_block_R", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 15, 23, 30, 38 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,_,_,X,X,X,_,_,B, },
        { B,_,_,_,_,_,X,X,X,X,X,_,B, },
        { B,_,_,_,_,X,X,X,X,X,X,X,B, },
        { B,_,_,_,X,X,X,X,X,X,X,X,B, },
        { B,_,_,X,X,X,X,X,X,X,X,X,B, },
        { B,_,X,X,X,X,X,X,X,X,X,X,B, },
        { B,_,_,X,X,X,X,X,X,X,X,X,B, },
        { B,_,_,_,X,X,X,X,X,X,X,X,B, },
        { B,_,_,_,_,X,X,X,X,X,X,X,B, },
        { B,_,_,_,_,_,X,X,X,X,X,_,B, },
        { B,_,_,_,_,_,_,X,X,X,_,_,B, },
        { B,_,_,_,_,_,_,_,X,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
