/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData Hemohes =
{
  /* BMLevel */
  {
    "Hemohes",
    "Penfold",
    "xblast.useHemohes",
    "A short cut to victory???",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Hemohes,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_mayhem,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 4,
    {
      { 1, 1 },
      { 1, 7 },
      { 1, 13 },
      { 11, 1 },
      { 11, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_contact, bomb_click_thru,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "button_floor", "Black", "White", "White" },
      { "button_floor_S", "Black", "White", "White" },
      { "dark_block", "Black", "Blue", "Blue" },
      { "dark_block_R", "Black", "Blue", "Blue" },
      { "box", "Black", "White", "Blue" },
      { "box", "Black", "White", "Blue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MAYHEM,
      { "syringe", "Black", "Black", "White" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 12, 24, 36, 36, 48 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,X,v,X,_,_,_,_,B, },
      { B,X,X,_,_,X,X,X,_,_,X,X,B, },
      { B,v,X,_,_,_,_,_,_,_,X,v,B, },
      { B,X,X,_,_,_,_,_,_,_,X,X,B, },
      { B,_,_,_,s,s,B,s,s,_,_,_,B, },
      { B,_,_,_,s,q,B,q,s,_,_,_,B, },
      { B,_,_,_,B,B,B,B,B,_,_,_,B, },
      { B,_,_,_,s,q,B,q,s,_,_,_,B, },
      { B,_,_,_,s,s,B,s,s,_,_,_,B, },
      { B,X,X,_,s,s,B,s,s,_,X,X,B, },
      { B,v,X,_,_,_,_,_,_,_,X,v,B, },
      { B,X,X,_,_,X,X,X,_,_,X,X,B, },
      { B,_,_,_,_,X,v,X,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
