 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Highway =
{
  /* BMLevel */
  {
    "Highway",
    "Glaset",
    "xblast.useHighway",
    "Bomb 'em down",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Highway,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_savage_compound,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    5, 10,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Black", "SpringGreen"}, 
     {"iron_floor_S", "Black", "Black", "SpringGreen"}, 
     {"dark_block", "Black", "SpringGreen", "Aquamarine"}, 
     {"dark_block_R", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Blue", "Yellow"}, 
     {"extra_O", "Black", "Blue", "Yellow"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"pumpkin", "Yellow", "Blue", "Yellow"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 32, 32, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,X,_,v,_,X,_,_,_,B, },
        { B,X,X,_,X,_,_,_,X,_,X,X,B, },
        { B,X,X,X,X,_,v,_,X,X,X,X,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,X,X,X,X,_,v,_,X,X,X,X,B, },
        { B,X,X,_,X,_,_,_,X,_,X,X,B, },
        { B,_,_,_,X,_,v,_,X,_,_,_,B, },
        { B,X,X,_,X,_,_,_,X,_,X,X,B, },
        { B,X,X,X,X,_,v,_,X,X,X,X,B, },
        { B,X,_,_,_,_,_,_,_,_,_,X,B, },
        { B,X,X,X,X,_,v,_,X,X,X,X,B, },
        { B,X,X,_,X,_,_,_,X,_,X,X,B, },
        { B,_,_,_,X,_,v,_,X,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
