 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData HitmanHall =
{
  /* BMLevel */
  {
    "Hitman Hall",
    "Tobias Johansson",
    "xblast.useHitmanHall",
    "Don't let them get away...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &HitmanHall,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_speed_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_ignite_all,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_RC | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Navy", "Teal"}, 
     {"iron_floor_S", "Black", "Navy", "Teal"}, 
     {"dark_block", "Black", "Black", "Coral"}, 
     {"dark_block_R", "Black", "Black", "Coral"}, 
     {"extra", "Black", "Red", "OrangeRed"}, 
     {"extra_O", "Black", "Red", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BUTTON,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 8, 15, 19, 26, 30 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,X,_,X,_,_,_,X,_,X,_,B, },
        { B,_,_,_,X,_,X,_,X,_,_,_,B, },
        { B,_,X,_,X,_,_,_,X,_,X,_,B, },
        { B,X,_,_,_,_,X,_,_,_,_,X,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,_,_,_,_,X,_,X,_,_,_,_,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,X,_,_,_,_,X,_,_,_,_,X,B, },
        { B,_,X,_,X,_,_,_,X,_,X,_,B, },
        { B,_,_,_,X,_,X,_,X,_,_,_,B, },
        { B,_,X,_,X,_,_,_,X,_,X,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
