 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Hospital =
{
  /* BMLevel */
  {
    "Hospital",
    "Tobias Johansson",
    "xblast.useHospital",
    "There is a cure...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Hospital,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_speed_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_life,
  special_key_void,
  },
  /* BMPlayerData */
  {
    4, 4,
    {
      { 3, 1 },
      { 9, 1 },
      { 7, 1 },
      { 11, 1 },
      { 1, 1 },
      { 5, 1 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTdestruction,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Ivory", "Yellow"}, 
     {"iron_floor_S", "Black", "Ivory", "Yellow"}, 
     {"bricks", "Black", "Red", "Cyan"}, 
     {"bricks", "Black", "Red", "Cyan"}, 
     {"bricks", "Black", "SaddleBrown", "Black"}, 
     {"brick_O", "Black", "SaddleBrown", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_LIFE,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 4, 8, 15, 15, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,s,s,s,s,s,s,s,s,s,s,s,B, },
        { B,s,s,s,s,s,s,s,s,s,s,s,B, },
        { B,s,s,s,s,s,s,s,s,s,s,s,B, },
        { B,s,s,s,s,s,s,s,s,s,s,s,B, },
        { B,s,s,s,s,s,s,s,s,s,s,s,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,q,_,q,_,q,_,q,_,q,_,B, },
        { B,q,_,q,_,q,_,q,_,q,_,q,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
