 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Initials_Draw[]  =
{
  {7,3}, {8,4}, {4,5}, {4,6}, {10,6}, {10,7}, {4,8}, {10,8}, {9,9}, {8,10}
};

static BMPosition Initials_Del[]  =
{
  {2,2}, {3,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {9,2}, {10,2}, {6,3}, {6,4}, {2,5}, {3,5}, {4,5}, {5,5}, {6,5}, {7,5}, {8,5}, {10,5}, {4,7}, {5,7}, {6,7}, {7,7}, {8,7}, {3,8}, {9,8}, {2,9}, {10,9}, {2,10}, {7,10}, {10,10}, {2,11}, {10,11}, {7,12}, {8,12}, {9,12}
};

static BMLevelData Initials =
{
  /* BMLevel */
  {
    "Initials",
    "Glaset",
    "xblast.useInitials",
    "Make daddy happy",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &Initials,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.6, 10, Initials_Draw, },
    {GAME_TIME*0.6, 36, Initials_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Teleport | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSElong,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "LightSteelBlue", "SpringGreen"}, 
     {"iron_floor_S", "Black", "LightSteelBlue", "SpringGreen"}, 
     {"dark_block", "Black", "LightCoral", "IndianRed"}, 
     {"dark_block_R", "Black", "LightCoral", "IndianRed"}, 
     {"extra", "Black", "Sienna", "Black"}, 
     {"extra_O", "Black", "Sienna", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 0, 0, 0, 47, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,B,B,B,B,B,B,B,B,B,_,B, },
        { B,_,X,_,X,_,B,_,_,_,_,_,B, },
        { B,_,_,_,_,_,B,_,X,_,X,_,B, },
        { B,X,B,B,B,B,B,B,B,B,B,X,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,_,B,B,B,B,B,_,_,_,B, },
        { B,_,_,B,_,_,_,_,_,B,_,_,B, },
        { B,_,B,_,_,_,_,_,_,_,B,_,B, },
        { B,X,B,_,_,_,_,B,_,_,B,X,B, },
        { B,_,B,X,_,X,_,B,X,X,B,_,B, },
        { B,_,_,B,_,_,_,B,B,B,X,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
