 /*
 * Level created by Storch develop
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Kamnarsratten =
{
  /* BMLevel */
  {
    "Kmnrsrtten",
    "Penfold",
    "xblast.useKamnarsratten",
    "Tja, det blev ju likt :-)",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &Kamnarsratten,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_special_bomb,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    4, 6,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_randomdir, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTfungus, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "DarkGray", "DimGray"}, 
     {"iron_floor_S", "Black", "DarkGray", "DimGray"}, 
     {"dark_house", "Black", "FireBrick", "Red"}, 
     {"dark_house_R", "Black", "FireBrick", "Red"}, 
     {"hex_extra", "Black", "SaddleBrown", "DarkGreen"}, 
     {"hex_extra_O", "Black", "SaddleBrown", "DarkGreen"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_NAPALM,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 16, 32, 32, 47, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,X,_,_,_,_,B, },
        { B,_,_,B,_,_,X,X,X,_,_,_,B, },
        { B,_,B,B,B,_,_,X,q,B,_,_,B, },
        { B,_,_,B,_,_,B,q,B,B,B,_,B, },
        { B,_,B,B,B,B,B,B,_,B,_,_,B, },
        { B,_,_,B,_,_,B,_,_,_,_,_,B, },
        { B,_,_,X,_,q,B,_,_,B,_,_,B, },
        { B,_,X,X,X,B,B,B,B,B,B,_,B, },
        { B,_,_,X,_,q,B,q,_,B,_,_,B, },
        { B,_,_,B,_,_,B,_,_,X,_,_,B, },
        { B,_,B,B,B,B,B,B,X,X,X,_,B, },
        { B,_,_,B,_,_,B,_,_,X,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
