/*
 * Level created by Storch 1.2
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData Kickpicker =
{
  /* BMLevel */
  {
    "Kickpicker",
    "Tobias Johansson",
    "xblast.useKickpicker",
    "Beware of the wave shrink",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Kickpicker,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_constrict_wave,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 1, 1 },
      { 1, 7 },
      { 1, 13 },
      { 11, 1 },
      { 11, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "ghost", "Black", "Ivory", "Black" },
      { "ghost", "Black", "Ivory", "Black" },
      { "ghost_sq", "Black", "Ivory", "DarkGreen" },
      { "ghost_sq_R", "Black", "Ivory", "DarkGreen" },
      { "ghost_ci", "Black", "Ivory", "Aquamarine" },
      { "ghost_ci_R", "Black", "Ivory", "Aquamarine" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "Black", "SpringGreen", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 15, 30, 45, 45, 45 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,X,X,X,X,X,X,X,_,_,B, },
      { B,_,_,X,_,_,_,_,_,X,_,_,B, },
      { B,_,_,X,_,X,X,X,_,X,_,_,B, },
      { B,_,_,X,_,X,q,X,_,X,_,_,B, },
      { B,_,_,X,_,X,q,X,_,X,_,_,B, },
      { B,_,_,X,_,X,q,X,_,X,_,_,B, },
      { B,_,_,X,_,X,q,X,_,X,_,_,B, },
      { B,_,_,X,_,X,q,X,_,X,_,_,B, },
      { B,_,_,X,_,X,X,X,_,X,_,_,B, },
      { B,_,_,X,_,_,_,_,_,X,_,_,B, },
      { B,_,_,X,X,X,X,X,X,X,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
