 /*
 * Level created by Storch 2.15 Develop
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Kuopio_Del[]  =
{
  {1,1}, {1,2}, {1,3}, {1,4}, {1,5}, {1,6}, {1,7}, {2,7}, {3,7}, {4,7}, {5,7}, {6,7}, {7,7}, {8,7}, {9,7}, {10,7}, {11,7}, {1,8}, {1,9}, {1,10}, {1,11}, {1,12}, {1,13}
};

static BMLevelData Kuopio =
{
  /* BMLevel */
  {
    "Kuopio",
    "Glaset",
    "xblast.useKuopio",
    "Run Forrest",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Kuopio,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down,
    SCRAMBLE_VOID,
    {GAME_TIME*0.91, 23, Kuopio_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    0, 0,
    {
      { 1, 1 },
      { 1, 1 },
      { 1, 1 },
      { 1, 1 },
      { 1, 1 },
      { 1, 1 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTconstruction, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"lego_floor", "Black", "ForestGreen", "ForestGreen"}, 
     {"lego_floor_S", "Black", "ForestGreen", "ForestGreen"}, 
     {"lego_white", "Black", "Blue", "ForestGreen"}, 
     {"lego_white", "Black", "Blue", "ForestGreen"}, 
     {"lego_black", "Red", "Black", "ForestGreen"}, 
     {"lego_black_O", "Black", "Black", "ForestGreen"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"lego_floor", "Black", "ForestGreen", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,b,B,r,r,q,r,r,B,q,r,B, },
        { B,r,b,B,b,b,b,b,b,B,b,r,B, },
        { B,r,b,B,b,r,B,r,b,B,b,r,B, },
        { B,r,b,B,b,r,B,r,b,B,b,r,B, },
        { B,r,b,B,b,r,B,r,b,B,b,r,B, },
        { B,r,b,B,b,r,B,r,b,B,b,r,B, },
        { B,r,b,B,b,r,B,r,b,B,b,r,B, },
        { B,r,b,B,b,r,B,r,b,B,b,r,B, },
        { B,r,b,B,b,r,B,r,b,B,b,r,B, },
        { B,r,b,B,b,r,B,r,b,B,b,r,B, },
        { B,r,b,B,b,r,B,r,b,B,b,r,B, },
        { B,r,b,b,b,r,B,r,b,b,b,r,B, },
        { B,r,r,q,r,r,B,r,r,q,r,r,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
