 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData LegoClassic =
{
  /* BMLevel */
  {
    "Lego Classic",
    "Tor Andr",
    "xblast.useLegoClassic",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &LegoClassic,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_early_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_stun_others,
  special_key_void,
  },
  /* BMPlayerData */
  {
    2, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"lego_floor", "Black", "ForestGreen", "ForestGreen"}, 
     {"lego_floor_S", "Black", "ForestGreen", "ForestGreen"}, 
     {"lego_white", "Black", "Blue", "ForestGreen"}, 
     {"lego_white", "Black", "Blue", "ForestGreen"}, 
     {"lego_black", "Red", "Black", "ForestGreen"}, 
     {"lego_black_O", "Black", "Black", "ForestGreen"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POW,
     {"lego_floor", "Black", "ForestGreen", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 16, 32, 32, 39, 39 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,X,_,X,_,_,_,_,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,_,_,_,X,_,X,_,X,_,_,_,B, },
        { B,_,B,X,B,_,B,_,B,X,B,_,B, },
        { B,X,_,_,X,_,_,_,X,_,_,X,B, },
        { B,_,B,_,B,X,B,X,B,_,B,_,B, },
        { B,_,_,_,X,_,X,_,X,_,_,_,B, },
        { B,_,B,_,B,X,B,X,B,_,B,_,B, },
        { B,X,_,_,X,_,_,_,X,_,_,X,B, },
        { B,_,B,X,B,_,B,_,B,X,B,_,B, },
        { B,_,_,_,X,_,X,_,X,_,_,_,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,_,_,_,_,X,_,X,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
