 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition LevelX_Del[]  =
{
  {1,1}, {2,1}, {11,1}, {11,2}, {6,5}, {6,6}, {5,7}, {6,7}, {7,7}, {6,8}, {6,9}, {11,12}, {1,13}, {2,13}, {11,13}
};

static BMLevelData LevelX =
{
  /* BMLevel */
  {
    "Level X",
    "Tor Andr",
    "xblast.useLevelX",
    "",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_SinglePlayer | GM_All,
    (void *) &LevelX,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    {GAME_TIME*0.2, 15, LevelX_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_special_bomb,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    2, 3,
    {
      { 1, 7 },
      { 11, 7 },
      { 6, 13 },
      { 7, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTpyro, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "White", "SpringGreen"}, 
     {"button_floor_S", "Black", "White", "SpringGreen"}, 
     {"dark_block", "Black", "OrangeRed", "OrangeRed"}, 
     {"dark_block_R", "Black", "OrangeRed", "OrangeRed"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_FIRECRACKER,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 39, 39, 55, 62 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,X,_,_,_,_,_,_,X,B,B, },
        { B,_,B,B,X,_,_,_,_,X,B,B,B, },
        { B,_,X,B,B,X,_,_,X,B,B,X,B, },
        { B,_,_,X,B,B,X,X,B,B,X,_,B, },
        { B,_,_,_,X,B,B,B,B,X,_,_,B, },
        { B,_,_,_,X,B,B,B,X,_,_,_,B, },
        { B,_,_,_,X,B,B,B,X,_,_,_,B, },
        { B,_,_,_,X,B,B,B,X,_,_,_,B, },
        { B,_,_,_,X,B,B,B,B,X,_,_,B, },
        { B,_,_,X,B,B,X,X,B,B,X,_,B, },
        { B,_,X,B,B,X,_,_,X,B,B,X,B, },
        { B,_,B,B,X,_,_,_,_,X,B,B,B, },
        { B,B,B,X,_,_,_,_,_,_,X,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
