 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition LightSkyBlue_Draw[]  =
{
  {4,4}, {9,4}, {4,5}, {8,5}, {9,5}, {4,6}, {7,6}, {9,6}, {4,7}, {6,7}, {9,7}, {4,8}, {5,8}, {9,8}, {4,9}, {9,9}
};

static BMLevelData LightSkyBlue =
{
  /* BMLevel */
  {
    "Light Sky Blue",
    "Tobias Johansson",
    "xblast.useLightSkyBlue",
    "Forza Malm!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &LightSkyBlue,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    {GAME_TIME*0.5, 16, LightSkyBlue_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_air,
  special_key_air,
  },
  /* BMPlayerData */
  {
    2, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_rebound, bomb_click_contact,
    GoStop, FUSElong,
    BMTnapalm, BMTfirecracker, BMTconstruction,
  },
  /* BMGraphicsData */
  {
    {
     {"score_floor", "LightSkyBlue", "LightSkyBlue", "LightSkyBlue"}, 
     {"score_floor", "LightSkyBlue", "LightSkyBlue", "LightSkyBlue"}, 
     {"sphere_dark", "LightSkyBlue", "DeepSkyBlue", "LavenderBlush"}, 
     {"sphere_dark", "LightSkyBlue", "DeepSkyBlue", "LavenderBlush"}, 
     {"sphere_light", "LightSkyBlue", "LavenderBlush", "LavenderBlush"}, 
     {"sphere_light_O", "LightSkyBlue", "LavenderBlush", "LavenderBlush"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_AIRPUMP,
     {"score_floor", "SteelBlue", "SteelBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 8, 15, 23, 54, 62 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,X,_,_,B, },
        { B,_,_,_,_,_,_,_,X,X,_,_,B, },
        { B,_,_,X,_,_,_,X,X,X,X,_,B, },
        { B,_,_,X,X,_,_,_,X,X,X,_,B, },
        { B,_,X,X,X,X,_,_,X,X,X,_,B, },
        { B,_,X,X,X,_,_,_,_,X,X,_,B, },
        { B,_,X,X,X,_,_,X,_,_,_,_,B, },
        { B,_,_,_,_,_,_,X,_,_,_,_,B, },
        { B,X,_,_,_,_,X,X,_,_,_,_,B, },
        { B,X,X,_,_,_,X,X,X,_,_,X,B, },
        { B,X,X,X,_,X,X,X,_,_,X,X,B, },
        { B,_,X,X,_,_,X,_,_,_,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
