/*

 * Level created by Storch 0.92 beta

 * Written by Tobias Johansson (d97tj@efd.lth.se)

 */



/* XBlast 2.6.beta level */

static BMLevelData Maclaurins =

{

  /* BMLevel */

  {

    "Maclaurins",

    "Tor Andr",

    "xblast.useMaclaurins",

    "?",

    GM_Random | GM_23456_Player | GM_All,

    (void *) &Maclaurins,

    NULL,

  },

  /* BMShrinkData */

  {

    shrink_constrict_wave,

    SCRAMBLE_VOID,

    SCRAMBLE_VOID,

  },

  /* BMFuncData */

  {

  special_init_void,

  special_game_void,

  special_extra_kick,

  special_key_void,

  },

  /* BMPlayerData */

  {

    1, 1,

    {

      { 3, 3 },

      { 9, 11 },

      { 3, 7 },

      { 9, 5 },

      { 3, 13 },

      { 9, 1 },

    },

    PM_Polar, 2,

    IllRun, IllRun, IF_None,

  },

  /* BMBombData */

  {

    bomb_click_none, bomb_click_none, bomb_click_none,

    GoStop, FUSEnormal,

    BMTnormal, BMTnormal, BMTnormal,

  },

  /* BMGraphicsData */

  {

    {

	{ "city_free", "Black", "Gray65", "tan" },

      { "city_free_S", "Black", "Gray65", "tan" },

      { "dark_house", "Black", "FireBrick", "Sienna" },

      { "dark_house_R", "Black", "FireBrick", "Sienna" },

      { "light_house", "Black", "LimeGreen", "SandyBrown" },

      { "light_house_O", "Black", "LimeGreen", "SandyBrown" },

      EXTRA_BOMB,

      EXTRA_RANGE,

      EXTRA_TRAP,

      EXTRA_KICK,

      { "score_floor", "Black", "Black", "RoyalBlue" },

    },

  },

  /* BMMapData */

  {

      ShadowFull, DEsingle,

      { 12, 24, 36, 48, 48 },

      {

      { B,B,B,B,B,B,B,B,B,B,B,B,B, },

      { B,r,_,_,_,b,X,r,_,_,_,b,B, },

      { B,X,B,X,B,X,B,X,B,X,B,X,B, },

      { B,b,_,_,_,r,X,b,_,_,_,r,B, },

      { B,X,B,X,B,X,B,X,B,X,B,X,B, },

      { B,r,_,_,_,b,X,r,_,_,_,b,B, },

      { B,X,B,X,B,X,B,X,B,X,B,X,B, },

      { B,b,_,_,_,r,X,b,_,_,_,r,B, },

      { B,X,B,X,B,X,B,X,B,X,B,X,B, },

      { B,r,_,_,_,b,X,r,_,_,_,b,B, },

      { B,X,B,X,B,X,B,X,B,X,B,X,B, },

      { B,b,_,_,_,r,X,b,_,_,_,r,B, },

      { B,X,B,X,B,X,B,X,B,X,B,X,B, },

      { B,r,_,_,_,b,X,r,_,_,_,b,B, },

      { B,B,B,B,B,B,B,B,B,B,B,B,B, },

    },

  },

};

