 /*
 * Level created by Storch 2.02
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Cowriter Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition MayhemMania_Del[]  =
{
  {3,2}, {4,2}, {5,2}, {6,2}, {3,3}, {6,3}, {3,4}, {6,4}, {7,4}, {8,4}, {9,4}, {10,4}, {3,5}, {4,5}, {5,5}, {6,5}, {7,5}, {10,5}, {7,6}, {10,6}, {2,7}, {3,7}, {4,7}, {5,7}, {7,7}, {8,7}, {9,7}, {10,7}, {2,8}, {5,8}, {6,8}, {7,8}, {8,8}, {9,8}, {2,9}, {5,9}, {6,9}, {9,9}, {2,10}, {3,10}, {4,10}, {5,10}, {6,10}, {9,10}, {6,11}, {7,11}, {8,11}, {9,11}
};

static BMLevelData MayhemMania =
{
  /* BMLevel */
  {
    "Mayhem Mania",
    "Tobias Johansson",
    "xblast.useMayhemMania",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &MayhemMania,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_3,
    SCRAMBLE_VOID,
    {GAME_TIME*0.25, 48, MayhemMania_Del, },
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_mayhem,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    3, 4,
    {
      { 7, 2 },
      { 10, 8 },
      { 11, 13 },
      { 11, 1 },
      { 10, 3 },
      { 8, 12 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"ghost", "Red", "Black", "Red"}, 
     {"ghost", "Red", "Black", "Red"}, 
     {"pyramid", "Black", "Silver", "MediumBlue"}, 
     {"pyramid_R", "Red", "Silver", "MediumBlue"}, 
     {"chest", "Black", "Gold", "Yellow"}, 
     {"chest_O", "Red", "Gold", "Yellow"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MAYHEM,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEget,
      { 16, 32, 32, 64, 64 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,B,B,B,B,_,_,_,_,_,B, },
        { B,_,_,B,X,X,B,_,_,_,_,_,B, },
        { B,_,_,B,X,X,B,B,B,B,B,_,B, },
        { B,_,_,B,B,B,B,B,X,X,B,_,B, },
        { B,_,_,_,_,_,_,B,X,X,B,_,B, },
        { B,_,B,B,B,B,q,B,B,B,B,_,B, },
        { B,_,B,X,X,B,B,B,B,B,_,_,B, },
        { B,_,B,X,X,B,B,X,X,B,_,_,B, },
        { B,_,B,B,B,B,B,X,X,B,_,_,B, },
        { B,_,_,_,_,_,B,B,B,B,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
