 /*
 * Level created by Storch 2 beta1
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Cowriter Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition MegaBlast2_Draw[]  =
{
  {2,2}, {10,2}, {2,12}, {10,12}
};

static BMPosition MegaBlast2_Del[]  =
{
  {6,4}, {3,7}, {6,7}, {9,7}, {6,10}
};

static BMLevelData MegaBlast2 =
{
  /* BMLevel */
  {
    "MegaBlast2",
    "Tor Andr",
    "xblast.useMegaBlast2",
    "The blast is back!",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &MegaBlast2,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.3, 4, MegaBlast2_Draw, },
    {GAME_TIME*0.3, 5, MegaBlast2_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    5, 15,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_RC | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "LightSteelBlue", "SpringGreen"}, 
     {"iron_floor_S", "Black", "LightSteelBlue", "SpringGreen"}, 
     {"dark_block", "Black", "LightCoral", "IndianRed"}, 
     {"dark_block_R", "Black", "LightCoral", "IndianRed"}, 
     {"extra", "Black", "Sienna", "Black"}, 
     {"extra_O", "Black", "Sienna", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 3, 3, 7, 7, 7 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,B,_,B,_,_,_,_,B, },
        { B,_,_,B,_,_,B,_,_,B,_,_,B, },
        { B,_,_,_,_,B,_,B,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
