 /*
 * Level created by Storch 2.11
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition MiracleOfModernScience_Del[]  =
{
  {10,1}, {11,1}, {10,2}, {11,2}, {10,3}, {11,3}, {10,4}, {11,4}, {10,5}, {11,5}, {10,6}, {11,6}, {10,7}, {11,7}, {10,8}, {11,8}, {1,9}, {2,9}, {3,9}, {4,9}, {5,9}, {6,9}, {7,9}, {8,9}, {10,9}, {11,9}, {1,10}, {2,10}, {3,10}, {4,10}, {5,10}, {6,10}, {7,10}, {8,10}, {9,10}, {10,10}, {11,10}, {1,11}, {2,11}, {3,11}, {4,11}, {5,11}, {6,11}, {7,11}, {8,11}, {9,11}, {10,11}, {11,11}, {1,12}, {2,12}, {3,12}, {4,12}, {5,12}, {6,12}, {7,12}, {8,12}, {9,12}, {10,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMLevelData MiracleOfModernScience =
{
  /* BMLevel */
  {
    "Miracle of modern science",
    "George",
    "xblast.useMiracleOfModernScience",
    "Are we getting this",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &MiracleOfModernScience,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    {GAME_TIME*0.2, 70, MiracleOfModernScience_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_speed,
  special_key_void,
  },
  /* BMPlayerData */
  {
    2, 5,
    {
      { 2, 2 },
      { 2, 1 },
      { 1, 1 },
      { 1, 2 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_rebound, bomb_click_rebound,
    GoStop, FUSEnormal,
    BMTnormal, BMTrandom, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "BlueViolet", "SpringGreen"}, 
     {"iron_floor_S", "Black", "BlueViolet", "SpringGreen"}, 
     {"dark_block", "Black", "SpringGreen", "Aquamarine"}, 
     {"dark_block_R", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_SPEED,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,b,r,q,r,r,q,B,B,B,B, },
        { B,_,_,b,r,r,b,r,r,B,B,B,B, },
        { B,b,b,b,r,q,r,r,r,B,B,B,B, },
        { B,r,r,b,r,b,r,b,r,B,B,B,B, },
        { B,q,r,b,r,b,r,r,b,B,B,B,B, },
        { B,r,b,r,r,r,q,r,b,B,B,B,B, },
        { B,r,r,b,r,b,r,b,r,B,B,B,B, },
        { B,q,r,r,r,r,r,r,q,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
