/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData OldFaithful =
{
  /* BMLevel */
  {
    "Old Faithful",
    "Glaset",
    "xblast.useOldFaithful",
    "Proberly",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &OldFaithful,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    5, 5,
    {
      { 1, 1 },
      { 1, 7 },
      { 1, 13 },
      { 11, 1 },
      { 11, 7 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_none, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "PapayaWhip", "Black" },
      { "rock_floor_S", "Black", "PapayaWhip", "Black" },
      { "pyramid", "Black", "LimeGreen", "Chocolate" },
      { "pyramid_R", "Black", "LimeGreen", "Chocolate" },
      { "box", "Black", "PapayaWhip", "CornflowerBlue" },
      { "box", "Black", "PapayaWhip", "CornflowerBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "hex", "Black", "Chartreuse", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 63, 63, 63, 63 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,r,_,_,_,s,_,_,_,r,_,B, },
      { B,r,B,_,X,_,_,_,v,_,B,r,B, },
      { B,_,B,_,X,_,_,_,v,_,B,_,B, },
      { B,X,B,_,X,_,_,_,v,_,B,X,B, },
      { B,_,_,_,_,_,X,_,_,_,_,_,B, },
      { B,r,_,_,_,_,X,_,_,_,_,r,B, },
      { B,_,r,X,B,X,B,X,B,X,r,_,B, },
      { B,r,_,_,_,_,X,_,_,_,_,r,B, },
      { B,_,_,_,_,_,X,_,_,_,_,_,B, },
      { B,X,B,_,v,_,_,_,X,_,B,X,B, },
      { B,_,B,_,v,_,_,_,X,_,B,_,B, },
      { B,r,B,_,v,_,_,_,X,_,B,r,B, },
      { B,_,r,_,_,_,s,_,_,_,r,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
