 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Powerblast =
{
  /* BMLevel */
  {
    "Powerblast",
    "Tobias Johansson",
    "xblast.usePowerblast",
    "Nowhere is safe",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Powerblast,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 12,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_contact, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnapalm, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"dark_way", "Black", "FireBrick", "Gray"}, 
     {"dark_way_S", "Black", "FireBrick", "Gray"}, 
     {"r_i_p", "Black", "White", "FireBrick"}, 
     {"r_i_p_R", "Black", "White", "FireBrick"}, 
     {"pumpkin", "Black", "PaleGreen", "FireBrick"}, 
     {"pumpkin_O", "Black", "PaleGreen", "FireBrick"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "Black", "Black", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 25, 51, 57, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,B,_,_,_,_,_,B,B,_,B, },
        { B,_,B,_,_,_,_,_,_,_,B,_,B, },
        { B,_,_,_,X,X,_,X,X,_,_,_,B, },
        { B,_,_,_,X,X,_,X,X,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,X,X,_,X,X,_,_,_,B, },
        { B,_,_,_,X,X,_,X,X,_,_,_,B, },
        { B,_,B,_,_,_,_,_,_,_,B,_,B, },
        { B,_,B,B,_,_,_,_,_,B,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
