 /*
 * Level created by Storch 2.04
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Reconstructor =
{
  /* BMLevel */
  {
    "Reconstructor",
    "Tobias Johansson",
    "xblast.useReconstructor",
    "Won't easily be blasted away",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Reconstructor,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_constrict_wave,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 5,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_randomdir, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTconstruction,
  },
  /* BMGraphicsData */
  {
    {
     {"rock_floor", "Black", "LimeGreen", "ForestGreen"}, 
     {"rock_floor_S", "Black", "LimeGreen", "ForestGreen"}, 
     {"dark_block", "Black", "Blue", "Blue"}, 
     {"dark_block_R", "Black", "Blue", "Blue"}, 
     {"dark_block", "Peru", "Blue", "Blue"}, 
     {"dark_block", "Black", "Blue", "Blue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "SteelBlue", "SteelBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,_,_,_,_,_,_,X,_,_,_,_,B, },
        { B,_,_,_,_,X,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,X,_,_,_,_,B, },
        { B,_,_,_,_,X,_,_,_,X,_,_,B, },
        { B,_,_,X,_,_,_,X,_,_,_,_,B, },
        { B,_,_,_,_,X,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,X,_,_,_,_,B, },
        { B,_,_,_,_,X,_,_,_,_,_,_,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
