 /*
 * Level created by Storch 2.16
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData SafeBox =
{
  /* BMLevel */
  {
    "\"Safe\" box",
    "Tor Andr",
    "xblast.useSafeBox",
    "Try if you dare",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &SafeBox,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_nasty_walls_2,
  special_game_nasty_walls,
  special_extra_RC,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    8, 6,
    {
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_rebound, bomb_click_rebound, bomb_click_thru,
    GoRight, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "BlueViolet", "SpringGreen"}, 
     {"button_floor_S", "Black", "BlueViolet", "SpringGreen"}, 
     {"wall", "Black", "SpringGreen", "Aquamarine"}, 
     {"wall_R", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,r,b,B,B,B,_,B,B,B,_,_,B, },
        { B,r,b,B,_,_,_,_,_,B,_,_,B, },
        { B,r,b,B,_,_,B,_,_,B,_,_,B, },
        { B,r,b,B,_,_,_,_,_,B,_,q,B, },
        { B,r,b,B,_,_,_,_,_,B,q,q,B, },
        { B,r,b,B,_,_,_,_,_,B,_,q,B, },
        { B,r,b,B,_,_,B,_,_,B,_,_,B, },
        { B,r,b,B,_,_,_,_,_,B,_,_,B, },
        { B,r,b,B,B,B,_,B,B,B,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
