 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition ScrambleZone_Draw[]  =
{
  {4,3}, {5,3}, {6,3}, {8,3}, {9,3}, {3,4}, {4,4}, {5,4}, {6,4}, {7,4}, {8,4}, {9,4}, {3,5}, {4,5}, {6,5}, {7,5}, {8,5}, {3,6}, {4,6}, {5,6}, {6,6}, {7,6}, {8,6}, {9,6}, {4,7}, {5,7}, {6,7}, {8,7}, {9,7}, {3,8}, {4,8}, {5,8}, {6,8}, {7,8}, {8,8}, {9,8}, {3,9}, {4,9}, {6,9}, {7,9}, {8,9}, {3,10}, {4,10}, {5,10}, {6,10}, {7,10}, {8,10}, {9,10}, {4,11}, {5,11}, {6,11}, {8,11}, {9,11}
};

static BMPosition ScrambleZone_Del[]  =
{
  {2,1}, {3,1}, {4,1}, {6,1}, {7,1}, {8,1}, {10,1}, {11,1}, {1,2}, {2,2}, {3,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {9,2}, {10,2}, {11,2}, {1,3}, {2,3}, {10,3}, {1,4}, {2,4}, {10,4}, {11,4}, {2,5}, {10,5}, {11,5}, {1,6}, {2,6}, {10,6}, {11,6}, {1,7}, {2,7}, {10,7}, {1,8}, {2,8}, {10,8}, {11,8}, {2,9}, {10,9}, {11,9}, {1,10}, {2,10}, {10,10}, {11,10}, {1,11}, {2,11}, {10,11}, {1,12}, {2,12}, {3,12}, {4,12}, {5,12}, {6,12}, {7,12}, {8,12}, {9,12}, {10,12}, {11,12}, {2,13}, {3,13}, {4,13}, {6,13}, {7,13}, {8,13}, {10,13}, {11,13}
};

static BMLevelData ScrambleZone =
{
  /* BMLevel */
  {
    "Scramble Zone",
    "Tobias Johansson",
    "xblast.useScrambleZone",
    "Beware of the fill!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &ScrambleZone,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_speed_spiral,
    {GAME_TIME*0.7, 53, ScrambleZone_Draw, },
    {GAME_TIME*0.67, 69, ScrambleZone_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    4, 3,
    {
      { 2, 1 },
      { 11, 13 },
      { 2, 13 },
      { 11, 1 },
      { 1, 7 },
      { 10, 7 },
    },
    PM_Polar, 2,
    IllRun, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_rebound, bomb_click_rebound, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTgrenade, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"karo_dark", "Black", "SeaGreen", "DarkSeaGreen"}, 
     {"karo_dark_S", "Black", "SeaGreen", "DarkSeaGreen"}, 
     {"pyramid", "Black", "DarkBlue", "Snow"}, 
     {"pyramid_R", "Black", "DarkBlue", "Snow"}, 
     {"chest", "Black", "SaddleBrown", "Gold"}, 
     {"chest_O", "Black", "SaddleBrown", "Gold"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,_,_,_,B,_,_,_,B,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,B,_,_,_,B,_,_,_,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,_,_,_,B,_,_,_,B,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,B,_,_,_,B,_,_,_,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,_,_,_,B,_,_,_,B,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,B,_,_,_,B,_,_,_,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,_,_,_,B,_,_,_,B,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
