 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData ShanghaiNoon =
{
  /* BMLevel */
  {
    "Shanghai Noon",
    "Tobias Johansson",
    "xblast.useShanghaiNoon",
    "Speed = Survival",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &ShanghaiNoon,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_speed,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 4,
    {
      { 6, 3 },
      { 6, 3 },
      { 6, 3 },
      { 6, 11 },
      { 6, 11 },
      { 6, 11 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"hex", "Black", "LimeGreen", "LimeGreen"}, 
     {"hex", "Black", "LimeGreen", "LimeGreen"}, 
     {"hex_wall", "Black", "LimeGreen", "Maroon"}, 
     {"hex_wall", "Black", "LimeGreen", "Maroon"}, 
     {"hex_extra", "Black", "LimeGreen", "CornflowerBlue"}, 
     {"hex_extra_O", "Black", "LimeGreen", "CornflowerBlue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_SPEED,
     {"score_floor", "Black", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 0, 0, 0, 0, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,_,q,B,_,B,q,_,_,_,B, },
        { B,_,_,X,X,B,_,B,X,X,_,_,B, },
        { B,_,_,r,b,B,_,B,b,r,_,_,B, },
        { B,_,_,r,r,B,_,B,r,r,_,_,B, },
        { B,X,X,r,r,B,_,B,r,r,X,X,B, },
        { B,X,X,b,b,B,_,B,b,b,X,X,B, },
        { B,X,X,r,r,B,_,B,r,r,X,X,B, },
        { B,_,_,r,r,B,_,B,r,r,_,_,B, },
        { B,_,_,r,b,B,_,B,b,r,_,_,B, },
        { B,_,_,X,X,B,_,B,X,X,_,_,B, },
        { B,_,_,_,q,B,_,B,q,_,_,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
