 /*
 * Level created by Storch 2.15 Develop
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition ShrinkMania_Draw[]  =
{
  {2,2}, {10,2}, {2,12}, {10,12}
};

static BMPosition ShrinkMania_Del[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {11,1}, {1,2}, {3,2}, {6,2}, {9,2}, {11,2}, {1,3}, {2,3}, {6,3}, {10,3}, {11,3}, {1,4}, {11,4}, {1,5}, {11,5}, {1,6}, {11,6}, {1,7}, {2,7}, {3,7}, {9,7}, {10,7}, {11,7}, {1,8}, {11,8}, {1,9}, {11,9}, {1,10}, {11,10}, {1,11}, {2,11}, {6,11}, {10,11}, {11,11}, {1,12}, {3,12}, {6,12}, {9,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMLevelData ShrinkMania =
{
  /* BMLevel */
  {
    "Shrink Mania",
    "Tor Andr",
    "xblast.useShrinkMania",
    "Don't stay in the middle.",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &ShrinkMania,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound,
    {GAME_TIME*0.5, 4, ShrinkMania_Draw, },
    {GAME_TIME*0.5, 60, ShrinkMania_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    IllRun, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_randomdir, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "BlueViolet", "SpringGreen"}, 
     {"button_floor_S", "Black", "BlueViolet", "SpringGreen"}, 
     {"dark_block", "Black", "Black", "DimGray"}, 
     {"dark_block_R", "Black", "Black", "DimGray"}, 
     {"extra", "Black", "Gold", "BlueViolet"}, 
     {"extra_O", "Black", "Gold", "BlueViolet"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 16, 47, 47, 47, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
