 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Snake_Draw[]  =
{
  {2,1}, {3,1}, {4,1}, {5,1}, {7,1}, {8,1}, {2,2}, {10,2}, {2,3}, {10,3}, {2,4}, {10,4}, {2,5}, {10,5}, {2,6}, {10,6}, {2,7}, {10,7}, {2,8}, {10,8}, {2,9}, {10,9}, {2,10}, {10,10}, {2,11}, {10,11}, {2,12}, {10,12}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}
};

static BMPosition Snake_Del[]  =
{
  {3,2}, {9,3}, {3,4}, {9,5}, {3,6}, {9,7}, {3,8}, {9,9}, {3,10}, {9,11}, {3,12}
};

static BMLevelData Snake =
{
  /* BMLevel */
  {
    "Snake",
    "Glaset",
    "xblast.useSnake",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Snake,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.7, 35, Snake_Draw, },
    {GAME_TIME*0.72, 11, Snake_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_invincible,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 25,
    {
      { 6, 1 },
      { 6, 5 },
      { 6, 9 },
      { 6, 3 },
      { 6, 11 },
      { 6, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_rebound, bomb_click_clockwise, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTconstruction, BMTconstruction,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "BlueViolet", "SpringGreen"}, 
     {"iron_floor_S", "Black", "BlueViolet", "SpringGreen"}, 
     {"dark_block", "Black", "SpringGreen", "Aquamarine"}, 
     {"dark_block_R", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_INVINC,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 15, 23, 23, 30 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,_,_,X,X,_,b,X,B,B,B,B, },
        { B,B,_,B,X,r,_,X,X,s,q,B,B, },
        { B,B,_,_,X,X,_,b,X,B,_,B,B, },
        { B,B,_,B,X,r,_,X,X,s,q,B,B, },
        { B,B,_,_,X,X,_,b,X,B,_,B,B, },
        { B,B,_,B,X,r,_,X,X,s,q,B,B, },
        { B,B,_,_,X,X,_,b,X,B,_,B,B, },
        { B,B,_,B,X,r,_,X,X,s,q,B,B, },
        { B,B,_,_,X,X,_,b,X,B,_,B,B, },
        { B,B,_,B,X,r,_,X,X,s,q,B,B, },
        { B,B,_,_,X,X,_,b,X,B,_,B,B, },
        { B,B,_,B,X,r,_,X,X,s,q,B,B, },
        { B,B,_,_,X,X,_,b,X,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
