 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Spinner =
{
  /* BMLevel */
  {
    "Spinner",
    "Tobias Johansson",
    "xblast.useSpinner",
    "",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &Spinner,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_speed_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_nasty_walls,
  special_game_nasty_walls,
  special_extra_long_stunned,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_contact, bomb_click_thru,
    GoStop, FUSEnormal,
    BMTnormal, BMTnapalm, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"karo_light", "Black", "DarkRed", "Gray"}, 
     {"karo_light_S", "Black", "DarkRed", "Gray"}, 
     {"temple", "Black", "White", "Gray"}, 
     {"temple", "Black", "White", "Gray"}, 
     {"box", "Black", "Yellow", "DarkRed"}, 
     {"box", "Black", "Yellow", "DarkRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POW,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEget,
      { 13, 25, 38, 50, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,X,X,X,_,X,_,X,_,_,B, },
        { B,_,_,_,_,_,X,_,_,_,X,_,B, },
        { B,_,_,_,X,_,X,_,X,_,_,_,B, },
        { B,_,X,_,X,_,_,_,_,X,X,_,B, },
        { B,_,X,_,_,_,X,_,_,_,X,_,B, },
        { B,_,_,X,_,_,_,_,X,_,_,_,B, },
        { B,_,_,_,_,_,X,X,_,_,_,_,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,_,_,_,X,_,X,_,_,X,_,_,B, },
        { B,_,X,_,X,_,_,X,_,_,_,_,B, },
        { B,_,X,_,_,_,_,_,_,X,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
