 /*
 * Level created by Storch 2.11
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Starstruck =
{
  /* BMLevel */
  {
    "Starstruck",
    "Tobias Johansson",
    "xblast.useStarstruck",
    "Reach for the stars...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Starstruck,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_invincible,
  special_key_void,
  },
  /* BMPlayerData */
  {
    5, 3,
    {
      { 4, 1 },
      { 11, 7 },
      { 4, 13 },
      { 8, 1 },
      { 1, 7 },
      { 8, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"dark_way", "Black", "White", "Maroon"}, 
     {"dark_way_S", "Black", "White", "Maroon"}, 
     {"dark_block", "Black", "Purple", "DarkMagenta"}, 
     {"dark_block_R", "Black", "Purple", "DarkMagenta"}, 
     {"extra", "Black", "DarkSlateGray", "DarkCyan"}, 
     {"extra_O", "Black", "DarkSlateGray", "DarkCyan"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_INVINC,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 0, 47, 47, 47, 47 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,X,_,X,_,X,_,X,_,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,X,X,X,X,X,_,X,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,X,_,X,X,q,X,X,_,X,_,B, },
        { B,_,_,_,X,X,X,X,X,_,_,_,B, },
        { B,_,X,_,X,X,X,X,X,_,X,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,X,_,_,_,_,_,_,_,X,_,B, },
        { B,_,_,X,_,X,_,X,_,X,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
