/*
 * Level created by Storch 1.00
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData Surprise =
{
  /* BMLevel */
  {
    "Surprise",
    "Tobias Johansson",
    "xblast.useSurprise",
    "Beware of hidden bombs!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Surprise,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_speed_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    5, 8,
    {
      { 1, 1 },
      { 1, 13 },
      { 11, 1 },
      { 11, 13 },
      { 6, 5 },
      { 6, 9 },
    },
    PM_Polar, 2,
    IllMini, IllMini, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTfirecracker,
  },
  /* BMGraphicsData */
  {
    {
      { "karo_light", "Black", "Orchid", "DarkOrchid" },
      { "karo_light_S", "Black", "Orchid", "DarkOrchid" },
      { "pyramid", "Black", "SlateBlue", "Black" },
      { "pyramid_R", "Black", "LightSlateBlue", "Black" },
      { "extra", "Black", "Gold", "Yellow" },
      { "extra_O", "Black", "Gold", "Yellow" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 63 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,_,B,_,X,_,B,_,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,_,X,_,B,_,X,_,B,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,_,B,_,X,_,B,_,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,_,X,_,B,_,X,_,B,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,_,B,_,X,_,B,_,X,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,_,X,_,B,_,X,_,B,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
