 /*
 * Level created by Storch 2.15 Develop
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition TheBigBanana_Del[]  =
{
  {8,1}, {10,1}, {11,1}, {8,2}, {11,2}, {3,3}, {4,3}, {8,3}, {9,3}, {10,3}, {8,4}, {9,4}, {8,5}, {10,5}, {11,5}, {8,6}, {11,6}, {8,7}, {9,7}, {10,7}, {8,8}, {9,8}, {8,9}, {10,9}, {11,9}, {8,10}, {11,10}, {8,11}, {9,11}, {10,11}, {8,12}, {9,12}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMLevelData TheBigBanana =
{
  /* BMLevel */
  {
    "The Big Banana",
    "Glaset",
    "xblast.useTheBigBanana",
    "Yellow with klick'n walls",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TheBigBanana,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    {GAME_TIME*0.2, 36, TheBigBanana_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 8,
    {
      { 9, 5 },
      { 9, 9 },
      { 10, 8 },
      { 9, 2 },
      { 11, 4 },
      { 10, 12 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_contact, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"karo_light", "Black", "Orchid", "DarkOrchid"}, 
     {"karo_light_S", "Black", "Orchid", "DarkOrchid"}, 
     {"pyramid", "Black", "Olive", "Black"}, 
     {"pyramid_R", "Black", "Olive", "Black"}, 
     {"extra", "Black", "Yellow", "Yellow"}, 
     {"extra_O", "Black", "Yellow", "Yellow"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Magenta", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 30, 59, 63, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,v,_,v,v,B, },
        { B,_,_,B,X,X,_,_,v,_,_,v,B, },
        { B,_,_,B,B,X,X,_,v,v,v,_,B, },
        { B,_,_,_,_,_,X,X,v,v,_,_,B, },
        { B,_,_,_,_,_,X,X,v,_,v,v,B, },
        { B,_,_,_,_,_,X,X,v,_,_,v,B, },
        { B,_,_,_,_,_,X,X,v,v,v,_,B, },
        { B,_,_,_,_,_,X,X,v,v,_,_,B, },
        { B,_,_,_,_,_,X,X,v,_,v,v,B, },
        { B,_,_,_,_,X,X,X,v,_,_,v,B, },
        { B,_,_,_,X,X,X,_,v,v,v,_,B, },
        { B,_,_,_,_,_,_,_,v,v,_,_,B, },
        { B,_,_,_,_,_,_,_,v,v,v,v,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
