/*
 * Level created by Storch 1.00
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData TheEmbrace =
{
  /* BMLevel */
  {
    "The Embrace",
    "Tobias Johansson",
    "xblast.useTheEmbrace",
    "Seek shelter!",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TheEmbrace,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_nasty_walls_2,
  special_game_nasty_walls,
  special_extra_ignite_all,
  special_key_void,
  },
  /* BMPlayerData */
  {
    4, 15,
    {
      { 1, 1 },
      { 11, 1 },
      { 1, 13 },
      { 11, 13 },
      { 2, 1 },
      { 10, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
	{ "city_free", "Black", "Gray65", "tan" },
      { "city_free_S", "Black", "Gray65", "tan" },
      { "dark_house", "Black", "FireBrick", "Sienna" },
      { "dark_house_R", "Black", "FireBrick", "Sienna" },
      { "light_house", "Black", "LimeGreen", "SandyBrown" },
      { "light_house_O", "Black", "LimeGreen", "SandyBrown" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BUTTON,
      { "score_floor", "Black", "Black", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 10, 20, 30, 40, 50 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,X,X,X,X,X,X,X,_,_,B, },
      { B,_,_,X,X,X,X,X,X,X,_,_,B, },
      { B,_,_,X,_,_,_,_,_,X,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,X,_,_,_,_,_,X,_,_,B, },
      { B,_,_,X,X,X,X,X,X,X,_,_,B, },
      { B,_,_,X,X,X,X,X,X,X,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
