 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition TheEscape_Draw[]  =
{
  {6,6}, {6,7}, {6,8}
};

static BMLevelData TheEscape =
{
  /* BMLevel */
  {
    "The escape",
    "Tobias Johansson",
    "xblast.useTheEscape",
    "Move out",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TheEscape,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_outward_spiral,
    {GAME_TIME*0.45, 3, TheEscape_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_teleport,
  special_key_teleport,
  },
  /* BMPlayerData */
  {
    1, 2,
    {
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"score_floor", "Black", "Black", "DarkGreen"}, 
     {"score_floor", "Black", "Black", "DarkGreen"}, 
     {"temple", "Black", "DarkSlateGray", "DarkGreen"}, 
     {"temple", "Black", "DarkSlateGray", "DarkGreen"}, 
     {"sphere_light", "Black", "DarkGreen", "Black"}, 
     {"sphere_light_O", "Black", "DarkGreen", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BEAM,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 15, 15, 19, 19 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,X,_,X,X,X,X,X,B, },
        { B,X,X,X,X,_,_,_,X,X,X,X,B, },
        { B,X,X,X,X,_,_,_,X,X,X,X,B, },
        { B,X,X,X,X,_,_,_,X,X,X,X,B, },
        { B,X,X,X,X,X,_,X,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
