/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData TheHourglass =
{
  /* BMLevel */
  {
    "The Hourglass",
    "Tobias Johansson",
    "xblast.useTheHourglass",
    "Time is running short...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TheHourglass,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 1,
    {
      { 1, 6 },
      { 1, 7 },
      { 1, 8 },
      { 2, 6 },
      { 2, 7 },
      { 2, 8 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoDown, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "chess_floor", "Black", "PapayaWhip", "Black" },
      { "chess_floor_S", "Black", "PapayaWhip", "Black" },
      { "dark_block", "Black", "DarkGreen", "Chocolate" },
      { "dark_block_R", "Black", "DarkGreen", "Chocolate" },
      { "chess_sphere", "Black", "PapayaWhip", "Ivory" },
      { "chess_sphere_O", "Black", "PapayaWhip", "Ivory" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 31 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,v,v,v,v,v,v,v,v,v,B,B, },
      { B,_,B,v,v,v,v,v,v,v,B,X,B, },
      { B,_,B,v,v,v,v,v,v,v,B,X,B, },
      { B,_,_,B,v,v,v,v,v,B,X,X,B, },
      { B,_,_,_,B,v,v,v,B,_,X,X,B, },
      { B,_,_,_,X,B,B,B,_,_,X,X,B, },
      { B,_,_,_,_,X,X,X,X,X,X,X,B, },
      { B,_,_,_,X,B,B,B,_,_,X,X,B, },
      { B,_,_,_,B,v,v,v,B,_,X,X,B, },
      { B,_,_,B,v,v,v,v,v,B,X,X,B, },
      { B,_,B,v,v,v,v,v,v,v,B,X,B, },
      { B,_,B,v,v,v,v,v,v,v,B,X,B, },
      { B,B,v,v,v,v,v,v,v,v,v,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
