 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData TheMask =
{
  /* BMLevel */
  {
    "The Mask",
    "Glaset",
    "xblast.useTheMask",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TheMask,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    3, 20,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_RC,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"city_free", "Black", "Gray", "Tan"}, 
     {"city_free_S", "Black", "Gray", "Tan"}, 
     {"dark_house", "Black", "FireBrick", "Sienna"}, 
     {"dark_house_R", "Black", "FireBrick", "Sienna"}, 
     {"dark_house", "Black", "LimeGreen", "SandyBrown"}, 
     {"dark_house", "Black", "LimeGreen", "SandyBrown"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "Black", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,v,v,v,_,v,v,v,_,B, },
        { B,_,v,_,_,_,_,_,_,_,_,_,B, },
        { B,_,v,_,_,r,_,_,_,_,v,_,B, },
        { B,_,v,_,v,r,_,_,_,_,v,_,B, },
        { B,_,v,_,v,_,_,_,_,_,v,_,B, },
        { B,_,_,_,v,_,v,v,v,_,_,_,B, },
        { B,_,v,_,v,_,_,_,_,_,v,_,B, },
        { B,_,v,_,v,r,_,_,_,_,v,_,B, },
        { B,_,v,_,_,r,_,_,_,_,v,_,B, },
        { B,_,v,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,v,v,v,_,v,v,v,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
