 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition TheRiver_Del[]  =
{
  {4,2}, {5,3}, {6,3}, {7,4}, {6,9}, {4,10}, {5,10}, {2,11}, {4,11}, {1,12}
};

static BMLevelData TheRiver =
{
  /* BMLevel */
  {
    "The River",
    "Tor Andr",
    "xblast.useTheRiver",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TheRiver,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_2_f,
    SCRAMBLE_VOID,
    {GAME_TIME*0.3, 10, TheRiver_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    3, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 8, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"rock_floor", "Black", "ForestGreen", "SpringGreen"}, 
     {"rock_floor_S", "Black", "ForestGreen", "SpringGreen"}, 
     {"sphere_dark", "Black", "ForestGreen", "Honeydew"}, 
     {"sphere_dark", "Black", "ForestGreen", "Honeydew"}, 
     {"pumpkin", "Black", "Yellow", "SpringGreen"}, 
     {"pumpkin_O", "Black", "Yellow", "SpringGreen"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"ghost", "MediumBlue", "MediumBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 23, 46, 52, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,X,v,v,X,_,_,_,_,_,B, },
        { B,_,_,_,v,v,_,_,_,_,_,_,B, },
        { B,_,_,_,_,v,v,X,_,_,X,_,B, },
        { B,_,X,_,_,X,v,v,_,_,_,_,B, },
        { B,_,_,_,_,_,v,v,X,_,_,_,B, },
        { B,_,_,_,_,_,X,v,v,_,_,_,B, },
        { B,_,_,X,_,_,_,X,X,_,_,_,B, },
        { B,_,_,_,_,_,X,X,_,_,_,_,B, },
        { B,X,_,_,_,X,v,v,_,_,_,_,B, },
        { B,_,_,_,v,v,v,v,X,_,_,_,B, },
        { B,X,v,v,v,v,v,X,_,_,X,_,B, },
        { B,v,v,v,X,_,_,_,_,_,_,_,B, },
        { B,X,_,X,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
