 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition TheSnookerAlley_Del[]  =
{
  {6,5}, {5,6}, {6,6}, {7,6}, {6,7}, {5,8}, {6,8}, {7,8}, {6,9}
};

static BMLevelData TheSnookerAlley =
{
  /* BMLevel */
  {
    "The Snooker Alley",
    "Tor Andr",
    "xblast.useTheSnookerAlley",
    "Trap your opponents in a cul-de-sac ",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TheSnookerAlley,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound,
    SCRAMBLE_VOID,
    {GAME_TIME*0.45, 9, TheSnookerAlley_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    10, 1,
    {
      { 3, 7 },
      { 9, 7 },
      { 3, 7 },
      { 9, 7 },
      { 3, 7 },
      { 9, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"mr_beam_free", "Black", "FireBrick", "Cyan"}, 
     {"mr_beam_free", "Black", "FireBrick", "Cyan"}, 
     {"dark_block", "Black", "Navy", "MediumBlue"}, 
     {"dark_block_R", "Black", "Navy", "MediumBlue"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,_,B,B,B,B,B,_,B,B,B, },
        { B,B,B,_,_,_,B,_,_,_,B,B,B, },
        { B,B,B,_,B,B,B,B,B,_,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,_,B,B,B,B,B,_,B,B,B, },
        { B,B,B,_,B,B,B,B,B,_,B,B,B, },
        { B,B,B,_,_,_,B,_,_,_,B,B,B, },
        { B,B,B,_,B,B,B,B,B,_,B,B,B, },
        { B,B,B,_,B,B,B,B,B,_,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,_,B,B,B,B,B,_,B,B,B, },
        { B,B,B,_,_,_,B,_,_,_,B,B,B, },
        { B,B,B,_,B,B,B,B,B,_,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
