 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition TinyWorld_Del[]  =
{
  {1,2}, {11,2}, {1,3}, {11,3}, {6,4}, {3,7}, {9,7}, {6,10}, {1,11}, {11,11}, {1,12}, {11,12}
};

static BMLevelData TinyWorld =
{
  /* BMLevel */
  {
    "Tiny World",
    "Glaset",
    "xblast.useTinyWorld",
    "Get Holy Grails ",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &TinyWorld,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    {GAME_TIME*0.33, 12, TinyWorld_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_holy_grail,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 2,
    {
      { 6, 8 },
      { 7, 7 },
      { 5, 7 },
      { 6, 6 },
      { 11, 1 },
      { 7, 6 },
    },
    PM_Polar, 2,
    Healthy, IllRun, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_anticlockwise, bomb_click_clockwise, bomb_click_randomdir,
    GoStop, FUSEnormal,
    BMTnormal, BMTgrenade, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "BlueViolet", "SpringGreen"}, 
     {"iron_floor_S", "Black", "BlueViolet", "SpringGreen"}, 
     {"dark_block", "Black", "SpringGreen", "Aquamarine"}, 
     {"dark_block_R", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_HOLYGRAIL,
     {"score_floor", "Black", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,b,b,b,b,b,q,b,b,b,b,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,r,r,r,r,r,r,r,r,r,B,B, },
        { B,B,r,B,B,B,B,B,B,B,r,B,B, },
        { B,B,r,B,_,_,_,_,_,B,r,B,B, },
        { B,B,r,B,_,B,_,B,_,B,r,B,B, },
        { B,B,r,B,_,_,B,_,_,B,r,B,B, },
        { B,B,r,B,_,B,_,B,_,B,r,B,B, },
        { B,B,r,B,_,_,_,_,_,B,r,B,B, },
        { B,B,r,B,B,B,B,B,B,B,r,B,B, },
        { B,B,r,r,r,r,r,r,r,r,r,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,b,b,b,b,b,q,b,b,b,b,b,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
