/*
 * Level created by Storch 1.33
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData Toxic =
{
  /* BMLevel */
  {
    "Toxic",
    "Tobias Johansson",
    "xblast.useToxic",
    "Mind your step",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Toxic,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_poison,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    0, 7,
    {
      { 11, 4 },
      { 11, 6 },
      { 11, 10 },
      { 11, 2 },
      { 11, 8 },
      { 11, 12 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_RC | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "button_floor", "Black", "LimeGreen", "Tan" },
      { "button_floor_S", "Black", "LimeGreen", "Tan" },
      { "r_i_p", "Black", "Snow", "LimeGreen" },
      { "r_i_p_R", "Black", "Snow", "LimeGreen" },
      { "chest", "Black", "LimeGreen", "Crimson" },
      { "chest_O", "Black", "LimeGreen", "Crimson" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POISON,
      { "score_floor", "Black", "LimeGreen", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 31, 62, 62 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,b,X,X,X,q,_,_,b,q,q,q,B, },
      { B,r,_,_,_,q,_,_,b,q,q,_,B, },
      { B,s,_,s,_,q,_,_,b,q,q,q,B, },
      { B,r,_,X,_,q,_,_,b,q,q,_,B, },
      { B,b,_,_,_,q,_,_,b,q,q,q,B, },
      { B,r,_,s,_,q,_,_,b,q,q,_,B, },
      { B,s,_,_,_,q,_,_,b,q,q,q,B, },
      { B,r,_,s,_,q,_,_,b,q,q,_,B, },
      { B,b,_,_,_,q,_,_,b,q,q,q,B, },
      { B,r,_,X,_,q,_,_,b,q,q,_,B, },
      { B,s,_,s,_,q,_,_,b,q,q,q,B, },
      { B,r,_,_,_,q,_,_,b,q,q,_,B, },
      { B,b,X,X,X,q,_,_,b,q,q,q,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
