/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData Traffic =
{
  /* BMLevel */
  {
    "Traffic",
    "Glaset",
    "xblast.useTraffic",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Traffic,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_teleport,
  special_key_teleport,
  },
  /* BMPlayerData */
  {
    10, 10,
    {
      { 1, 1 },
      { 1, 9 },
      { 1, 13 },
      { 1, 3 },
      { 1, 5 },
      { 1, 11 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoDown, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "karo_dark", "Black", "SeaGreen", "DarkSeaGreen" },
      { "karo_dark_S", "Black", "SeaGreen", "DarkSeaGreen" },
      { "wall", "Black", "FireBrick", "Black" },
      { "wall_R", "Black", "FireBrick", "Black" },
      { "chest", "Black", "SaddleBrown", "Gold" },
      { "chest_O", "Black", "SaddleBrown", "Gold" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BEAM,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 15, 30, 45 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,X,_,X,_,B, },
      { B,_,X,X,X,X,X,X,X,_,X,_,B, },
      { B,_,_,_,_,_,_,_,X,_,X,_,B, },
      { B,_,X,X,X,X,X,X,X,_,X,_,B, },
      { B,_,_,_,_,_,_,_,X,_,X,_,B, },
      { B,_,X,X,X,X,X,X,X,_,X,_,B, },
      { B,_,_,_,_,_,_,_,X,_,X,_,B, },
      { B,_,X,X,X,X,X,X,X,_,X,_,B, },
      { B,_,_,_,_,_,_,_,X,_,X,_,B, },
      { B,_,X,X,X,X,X,X,X,_,X,_,B, },
      { B,_,_,_,_,_,_,_,X,_,X,_,B, },
      { B,_,X,X,X,X,X,X,X,_,X,_,B, },
      { B,_,_,_,_,_,_,_,X,_,X,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
