 /*
 * Level created by Storch 2.04
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Transformation =
{
  /* BMLevel */
  {
    "Transformation",
    "Tobias Johansson",
    "xblast.useTransformation",
    "Move the blocks around",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Transformation,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_3,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_void,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTpyro, BMTrenovation, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"button_floor", "Black", "Gray", "Black"}, 
     {"button_floor_S", "Black", "Gray", "Black"}, 
     {"dark_block", "Black", "LightBlue", "Red"}, 
     {"dark_block_R", "Black", "LightBlue", "Red"}, 
     {"box", "Black", "LightBlue", "Red"}, 
     {"box", "Black", "LightBlue", "Red"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"score_floor", "Red", "Red", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,B,_,_,_,B,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,B,_,B,_,B,_,B,_,B,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,B,_,_,_,B,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
