 /*
 * Level created by Storch 2.10
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData TrickyWalls =
{
  /* BMLevel */
  {
    "Tricky Walls",
    "Glaset",
    "xblast.useTrickyWalls",
    "Everything isnt what it seems",
    GM_Random | GM_23456_Player | GM_SinglePlayer | GM_All,
    (void *) &TrickyWalls,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_holy_grail,
  special_key_void,
  },
  /* BMPlayerData */
  {
    4, 7,
    {
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
      { 6, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_contact,
    GoStop, FUSEshort,
    BMTnormal, BMTdestruction, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"rock_floor", "Black", "MediumBlue", "Magenta"}, 
     {"rock_floor_S", "Black", "MediumBlue", "Magenta"}, 
     {"dark_block", "Black", "Blue", "Blue"}, 
     {"dark_block_R", "Black", "Blue", "Blue"}, 
     {"dark_block", "Black", "Blue", "Blue"}, 
     {"dark_block", "Black", "Blue", "Blue"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_HOLYGRAIL,
     {"score_floor", "Chartreuse", "Crimson", "DeepSkyBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 21, 42, 63, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,B,X,B,B,B,B,X,B,X,B, },
        { B,_,_,X,_,_,_,_,B,s,s,s,B, },
        { B,B,X,B,_,_,_,_,B,s,q,s,B, },
        { B,_,_,X,_,_,_,_,B,s,s,s,B, },
        { B,_,_,X,B,X,X,B,B,X,B,X,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,_,_,_,X,_,_,_,_,_,B, },
        { B,_,_,_,_,_,B,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
