/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData UpAroundTheBend =
{
  /* BMLevel */
  {
    "Up Around The Bend",
    "Penfold",
    "xblast.useUpAroundTheBend",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &UpAroundTheBend,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_mayhem,
  special_key_void,
  },
  /* BMPlayerData */
  {
    4, 4,
    {
      { 11, 13 },
      { 11, 13 },
      { 11, 13 },
      { 11, 13 },
      { 11, 13 },
      { 11, 13 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_clockwise, bomb_click_thru,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "chess_floor", "Black", "PapayaWhip", "Black" },
      { "chess_floor_S", "Black", "PapayaWhip", "Black" },
      { "hex_wall", "Black", "LimeGreen", "Chocolate" },
      { "hex_wall", "Black", "LimeGreen", "Chocolate" },
      { "hex_extra", "Black", "PapayaWhip", "CornflowerBlue" },
      { "hex_extra_O", "Black", "PapayaWhip", "CornflowerBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_MAYHEM,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 63, 63, 63, 63 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,B,X,B,B,B,X,B,B,_,B, },
      { B,_,B,_,_,_,_,_,_,_,_,_,B, },
      { B,_,X,_,B,B,X,B,B,B,_,B,B, },
      { B,_,B,_,B,_,_,_,_,_,_,_,B, },
      { B,_,B,_,X,_,B,B,B,_,B,B,B, },
      { B,_,B,_,B,_,B,_,_,_,_,_,B, },
      { B,_,B,_,B,_,X,_,_,B,B,X,B, },
      { B,_,B,_,B,_,B,_,_,_,_,_,B, },
      { B,_,B,_,B,_,B,_,B,X,B,B,B, },
      { B,_,X,_,X,_,B,_,B,_,_,_,B, },
      { B,_,B,_,B,_,B,_,B,_,B,_,B, },
      { B,q,B,q,B,q,B,q,B,_,B,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
