 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData Variations =
{
  /* BMLevel */
  {
    "Variations",
    "Tobias Johansson",
    "xblast.useVariations",
    "Mind the rebounds",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Variations,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_plus,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_special_bomb,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    1, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_anticlockwise, bomb_click_clockwise, bomb_click_randomdir,
    GoStop, FUSEshort,
    BMTnormal, BMTgrenade, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"karo_light", "Black", "MidnightBlue", "RoyalBlue"}, 
     {"karo_light_S", "Black", "MidnightBlue", "RoyalBlue"}, 
     {"pyramid", "Black", "MediumBlue", "Black"}, 
     {"pyramid_R", "Black", "MediumBlue", "Black"}, 
     {"extra", "Black", "Yellow", "Red"}, 
     {"extra_O", "Black", "Yellow", "Red"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_NAPALM,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 15, 30, 33, 63, 63 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,X,B,X,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,X,X,B,X,B,X,X,_,_,B, },
        { B,_,_,X,b,r,X,r,b,X,_,_,B, },
        { B,_,_,B,_,b,B,b,_,B,_,_,B, },
        { B,_,_,X,b,r,X,r,b,X,_,_,B, },
        { B,_,_,X,X,B,X,B,X,X,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,_,_,_,X,B,X,_,_,_,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
