 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Waterworld_Del[]  =
{
  {6,3}, {6,4}, {6,6}, {6,7}, {6,9}, {6,10}
};

static BMLevelData Waterworld =
{
  /* BMLevel */
  {
    "Waterworld",
    "Glaset",
    "xblast.useWaterworld",
    "Blast over the water",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_All,
    (void *) &Waterworld,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    {GAME_TIME*0.5, 6, Waterworld_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    5, 13,
    {
      { 6, 2 },
      { 6, 11 },
      { 6, 8 },
      { 6, 5 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_rebound, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"rock_floor", "Black", "MediumSeaGreen", "SpringGreen"}, 
     {"rock_floor_S", "Black", "MediumSeaGreen", "SpringGreen"}, 
     {"book_shelf", "Black", "SpringGreen", "Aquamarine"}, 
     {"book_shelf", "Black", "SpringGreen", "Aquamarine"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"dark_way", "DeepSkyBlue", "White", "Gray"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,v,v,v,v,v,v,v,v,v,v,r,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,b,v,b,v,v,v,v,v,r,v,v,B, },
        { B,v,v,v,v,v,v,v,v,v,v,r,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,b,v,b,v,v,v,v,v,r,v,v,B, },
        { B,v,v,v,v,v,v,v,v,v,v,r,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,b,v,b,v,v,v,v,v,r,v,v,B, },
        { B,v,v,v,v,v,v,v,v,v,v,r,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,b,v,b,v,v,v,v,v,r,v,v,B, },
        { B,v,v,v,v,v,v,v,v,v,v,v,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
