 /*
 * Level created by Storch 2.12
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition WumpusWorld_Del[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {11,1}, {2,2}, {4,2}, {6,2}, {8,2}, {10,2}, {11,2}, {1,3}, {11,3}, {3,4}, {4,4}, {5,4}, {6,4}, {7,4}, {8,4}, {10,4}, {11,4}, {1,5}, {3,5}, {8,5}, {11,5}, {3,6}, {8,6}, {10,6}, {11,6}, {1,7}, {3,7}, {8,7}, {11,7}, {3,8}, {8,8}, {10,8}, {11,8}, {1,9}, {3,9}, {4,9}, {5,9}, {6,9}, {7,9}, {8,9}, {11,9}, {10,10}, {11,10}, {1,11}, {3,11}, {5,11}, {7,11}, {9,11}, {11,11}, {1,12}, {2,12}, {3,12}, {4,12}, {5,12}, {6,12}, {7,12}, {8,12}, {9,12}, {10,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMLevelData WumpusWorld =
{
  /* BMLevel */
  {
    "Wumpus World",
    "Tobias Johansson",
    "xblast.useWumpusWorld",
    "No safe actions",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &WumpusWorld,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    {GAME_TIME*0.2, 81, WumpusWorld_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_poison,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 7, 5 },
      { 7, 5 },
      { 7, 5 },
      { 7, 5 },
      { 7, 5 },
      { 7, 5 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "MidnightBlue", "RoyalBlue"}, 
     {"iron_floor_S", "Black", "MidnightBlue", "RoyalBlue"}, 
     {"dark_block", "Black", "Red", "DarkRed"}, 
     {"dark_block_R", "Black", "Red", "DarkRed"}, 
     {"extra", "Black", "Yellow", "Red"}, 
     {"extra_O", "Black", "Yellow", "Red"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POISON,
     {"score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,b,B,b,B,b,B,b,B,b,B,B,B, },
        { B,B,r,r,r,r,r,r,r,r,b,B,B, },
        { B,b,r,B,B,B,B,B,B,r,B,B,B, },
        { B,B,r,B,_,s,_,_,B,r,b,B,B, },
        { B,b,r,B,_,r,_,_,B,r,B,B,B, },
        { B,B,r,B,_,q,_,q,B,r,b,B,B, },
        { B,b,r,B,q,_,_,_,B,r,B,B,B, },
        { B,B,r,B,B,B,B,B,B,r,b,B,B, },
        { B,b,r,r,r,r,r,r,r,r,B,B,B, },
        { B,B,b,B,b,B,b,B,b,B,b,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
