 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData YellowFever =
{
  /* BMLevel */
  {
    "Yellow Fever",
    "Tobias Johansson",
    "xblast.useYellowFever",
    "Keep your head cool",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &YellowFever,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_special_bomb,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    3, 10,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTgrenade, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"hex", "Black", "Yellow", "Yellow"}, 
     {"hex", "Black", "Yellow", "Yellow"}, 
     {"weight", "Black", "Yellow", "Yellow"}, 
     {"weight_R", "Black", "Yellow", "Yellow"}, 
     {"ghost_ci", "Black", "Crimson", "Yellow"}, 
     {"ghost_ci_R", "Black", "Crimson", "Yellow"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_NAPALM,
     {"ghost_ci", "Black", "Yellow", "Yellow"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 0, 0, 47, 55, 55 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,v,v,X,v,X,v,X,v,v,_,B, },
        { B,_,v,X,X,X,_,X,X,X,v,_,B, },
        { B,_,X,X,v,v,_,v,v,X,X,_,B, },
        { B,_,v,X,v,_,v,_,v,X,v,_,B, },
        { B,_,v,_,v,X,v,X,v,_,X,_,B, },
        { B,_,X,_,_,X,_,X,_,_,v,_,B, },
        { B,_,v,_,v,X,v,X,v,_,X,_,B, },
        { B,_,v,X,v,_,v,_,v,X,v,_,B, },
        { B,_,X,X,v,v,_,v,v,X,X,_,B, },
        { B,_,v,X,X,X,_,X,X,X,v,_,B, },
        { B,_,v,v,X,v,X,v,X,v,v,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
