 /*
 * Level created by Storch 2.02
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Cowriter Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition Zipper_Draw[]  =
{
  {7,1}, {5,2}, {7,3}, {5,4}, {7,5}, {5,6}, {7,7}, {5,8}, {7,9}, {5,10}, {7,11}, {5,12}, {7,13}
};

static BMPosition Zipper_Del[]  =
{
  {5,1}, {7,2}, {5,3}, {7,4}, {5,5}, {7,6}, {5,7}, {7,8}, {5,9}, {7,10}, {5,11}, {7,12}, {5,13}
};

static BMLevelData Zipper =
{
  /* BMLevel */
  {
    "Zipper",
    "Tobias Johansson",
    "xblast.useZipper",
    "Don't get caught",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Zipper,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_quad,
    {GAME_TIME*0.33, 13, Zipper_Draw, },
    {GAME_TIME*0.33, 13, Zipper_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_special_bomb,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    3, 3,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_rebound, bomb_click_contact, bomb_click_thru,
    GoStop, FUSEshort,
    BMTnormal, BMTgrenade, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"city_free", "Black", "Yellow", "SteelBlue"}, 
     {"city_free_S", "Black", "Yellow", "SteelBlue"}, 
     {"pyramid", "Black", "SteelBlue", "Coral"}, 
     {"pyramid_R", "Black", "SteelBlue", "Coral"}, 
     {"dark_block", "MediumAquamarine", "SteelBlue", "Black"}, 
     {"dark_block", "Black", "SteelBlue", "Black"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"pyramid", "WhiteSmoke", "SteelBlue", "Coral"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEall,
      { 12, 24, 36, 61, 64 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,B,_,_,X,_,_,_,B, },
        { B,_,_,_,X,_,_,B,_,_,_,_,B, },
        { B,_,_,_,_,B,_,_,X,_,_,_,B, },
        { B,_,_,_,X,_,_,B,_,_,_,_,B, },
        { B,_,_,_,_,B,_,_,X,_,_,_,B, },
        { B,_,_,_,X,_,_,B,_,_,_,_,B, },
        { B,_,_,_,_,B,_,_,X,_,_,_,B, },
        { B,_,_,_,X,_,_,B,_,_,_,_,B, },
        { B,_,_,_,_,B,_,_,X,_,_,_,B, },
        { B,_,_,_,X,_,_,B,_,_,_,_,B, },
        { B,_,_,_,_,B,_,_,X,_,_,_,B, },
        { B,_,_,_,X,_,_,B,_,_,_,_,B, },
        { B,_,_,_,_,B,_,_,X,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
