 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMLevelData CloseCall =
{
  /* BMLevel */
  {
    "Close Call",
    "Glaset",
    "xblast.useCloseCall",
    "Think fast",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &CloseCall,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_solid,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_kick,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 5,
    {
      { 3, 7 },
      { 7, 7 },
      { 5, 7 },
      { 9, 7 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTrandom,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "Gold", "OrangeRed"}, 
     {"iron_floor_S", "Black", "Gold", "OrangeRed"}, 
     {"dark_block", "Black", "Gold", "OrangeRed"}, 
     {"dark_block_R", "Black", "Gold", "OrangeRed"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
     {"score_floor", "Black", "Gold", "OrangeRed"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 8, 15, 31, 38, 54 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,q,X,_,X,_,X,_,X,_,X,q,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,_,X,_,X,q,X,q,X,_,X,_,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,_,X,_,X,_,X,_,X,_,X,_,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,_,X,_,X,q,X,q,X,_,X,_,B, },
        { B,X,X,X,X,X,X,X,X,X,X,X,B, },
        { B,q,X,_,X,_,X,_,X,_,X,q,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
